<?php

define( 'FARM', false );
define( 'FARM_DOMAIN', 'onbusinesswiki.com' );

if( defined( 'MW_INSTALL_PATH' ) ) {
	$IP = MW_INSTALL_PATH;
} else {
	$IP = dirname( __FILE__ );
}

if ( defined( 'FARM' ) && FARM === true ) {	
	if ( !$wgCommandLineMode ) {
		$instance = str_replace( '.' . FARM_DOMAIN, '', $_SERVER['SERVER_NAME'] );
		$instance = str_replace( 'www.', '', $instance );
		
		if ( !file_exists( "{$IP}/instances/{$instance}" ) ) {
		    header( 'HTTP/1.1 301 Moved Permanently' );
			header( 'Location: http://' . FARM_DOMAIN . '/' );
			header( 'Connection: close' );
			exit;
		}
		
		if ( $reason = file_get_contents( "{$IP}/instances/{$instance}/.deleted" ) ) {
			header( 'Location: http://' . FARM_DOMAIN . '/sites/disabled?message=' . urlencode( $reason ) );
			exit;
		}
	} else {
		$instance = str_replace( '/home/wiki-farm/public_html/instances/', '', $_SERVER['PWD'] );
		$instance = str_replace( '/maintenance', '', $instance );

		if ( empty( $instance ) || $instance == $_SERVER['PWD'] ) {
			die( "Cannot resolve instance name.\n" );
		}
	}
}

$path = array( $IP, "{$IP}/includes", "{$IP}/languages" );
set_include_path( implode( PATH_SEPARATOR, $path ) );

require_once( "includes/DefaultSettings.php" );

# If PHP's memory limit is very low, some operations may fail.
ini_set( 'memory_limit', '120M' );

if ( $wgCommandLineMode ) {
	if ( isset( $_SERVER ) && array_key_exists( 'REQUEST_METHOD', $_SERVER ) ) {
		die( "This script must be run from the command line\n" );
	}
} elseif ( empty( $wgNoOutputBuffer ) ) {
	## Compress output if the browser supports it
	if( !ini_get( 'zlib.output_compression' ) ) @ob_start( 'ob_gzhandler' );
}

require_once( 'CommonSettings.php' );

$wgLanguageCode = 'en';

# require_once( 'DebugSettings.php' );

/** Name of the site. */
$wgSitename         = 'Businesswiki';

# Miscellaneous configuration settings
#

$wgLocalInterwiki   = $wgSitename;

/**@{
 * Database settings
 */
/** database host name or ip address */
$wgDBserver         = '';
/** name of the database */
$wgDBname           = '';
/** */
$wgDBconnection     = '';
/** Database username */
$wgDBuser           = '';
/** Database user's password */
$wgDBpassword       = '';
/** Database type */
$wgDBtype           = 'mysql';

/** Table name prefix */
$wgDBprefix         = 'bizneswiki_';

/**
 * filesystem stylesheets directory
 */
if ( !defined( 'FARM' ) || FARM === false || empty( $instance ) ) {
	$wgLogo = "{$wgStylePath}/{$wgDefaultSkin}/titlebar_logo.png";
} else {
	$logo = "{$IP}/instances/{$instance}/logo.png";
	if ( file_exists( $logo ) ) {
		$wgLogo = "{$wgScriptPath}/instances/{$instance}/logo.png";
	} else {
		$wgLogo = "{$wgStylePath}/{$wgDefaultSkin}/titlebar_logo.png";
	}
}
$wgFavicon = "{$wgStylePath}/{$wgDefaultSkin}/favicon.ico";

if ( defined( 'FARM' ) && FARM === true && !empty( $instance ) ) {
    $wgUploadPath = "{$wgScriptPath}/instances/{$instance}/uploads";
    $wgUploadDirectory = "{$IP}/instances/{$instance}/uploads";
    $wgTmpDirectory = "{$wgUploadDirectory}/tmp";
    
	$file = "{$IP}/instances/{$instance}/Settings_pre.php";

	if ( file_exists( $file ) ) {
		require_once( $file );
	}
}

$wgLocalInterwiki = $wgSitename;

/* patch { */
/*
$wgGroupPermissions['*']['createaccount']		= false;
$wgGroupPermissions['user']['createaccount']	= false;
$wgGroupPermissions['bot']['createaccount']		= false;
$wgGroupPermissions['sysop']['createaccount']	= true;
*/
/* } */


require_once( "{$IP}/extensions/LoginRequired/LoginRequired.php" );

/* LDAP Authentication { */
/*
require_once( "{$IP}/extensions/LdapAuthentication/LdapAuthentication.php" );
include_once( 'LdapSettings.php' );
$wgAuth = new LdapAuthenticationPlugin();
*/
/* } */

if ( defined( 'FARM' ) && FARM === true && !empty( $instance ) ) {
	$file = "{$IP}/instances/{$instance}/Settings_post.php";

	if ( file_exists( $file ) ) {
		require_once( $file );
	}
}

/*
$wgGroupPermissions['*']['createaccount'] = true;
$wgGroupPermissions['*']['read'] = true;
$wgGroupPermissions['*']['edit'] = true;
$wgGroupPermissions['*']['createpage'] = true;
$wgGroupPermissions['*']['createtalk'] = true;
$wgGroupPermissions['*']['writeapi'] = true;

$wgLoginRequired = false;
*/

$wgShowExceptionDetails = true;

require_once( "{$IP}/extensions/NormalizeFiles/NormalizeFiles.php" );
