<?php

require_once( 'BusinessWiki_Dialogs.php' );
require_once( 'BusinessWiki_Title.php' );
require_once( 'BusinessWiki_User.php' );
require_once( 'BusinessWiki_Xml.php' );

function efBusinessWiki_Core_BeforePageDisplay( OutputPage &$out ) {
    global $wgScriptPath, $wgJsMimeType, $wgFCKEditorDir;
    
    $out->addScriptFile('jquery.listen.js');
    $out->addScriptFile('jquery.hotkeys.js');
    $out->addScriptFile('jquery.cookie.js');
	$out->addScriptFile('jquery.corner.js');
    $out->addScriptFile('jquery.dimensions.js');
    $out->addScriptFile('jquery.mousewheel.js');
    $out->addScriptFile('jquery.form.js');
    $out->addScriptFile('jqalert.js');
    $out->addScriptFile('jquery.scrollTo.js');
    $out->addScriptFile('jquery.localscroll.js');
    $out->addScriptFile('jquery.json.js');
    $out->addScriptFile('jquery.autocomplete.js');
    $out->addScriptFile('ajaxfileupload.js');
    $out->addScriptFile('jquery.MultiFile.js');
        
    $out->addScriptFile('jquery/jquery-ui-personalized-1.6rc6.min.js');
    $out->addScriptFile('metadata.js');
    $out->addScriptFile('css.js');
    $out->addScriptFile('tree_component.js');
    $out->addScriptFile('jquery.jeditable.js');
    $out->addScriptFile('jquery.tooltip.min.js');
    $out->addScriptFile('jquery.tablesorter.min.js');
    $out->addScriptFile('jquery.tablesorter.pager.js');

    $out->addScriptFile('/skins/bizneswiki/common.js');

    $out->addScriptFile('/extensions/BiznesWikiViews/ArticlePageView/ArticlePageView.js');
	if ( defined( 'LIVEBLEND' ) ) {
    $out->addScriptFile('/extensions/BiznesWikiViews/QuestionPageView/QuestionPageView.js');
    $out->addScriptFile('/extensions/BiznesWikiViews/ConceptPageView/ConceptPageView.js');
	}
    $out->addScriptFile('/core/jquery-businesswiki.js');
    
    $out->addExtensionStyle('/skins/bizneswiki/bluebar.css');
    $out->addExtensionStyle('/skins/bizneswiki/logobar.css');
    $out->addExtensionStyle('/skins/bizneswiki/sidebar.css');
    $out->addExtensionStyle('/skins/bizneswiki/main.css');
    $out->addExtensionStyle('/skins/bizneswiki/jquery.tooltip.css');

    $out->addExtensionStyle( "{$wgScriptPath}/core/theme/ui.core.css" );
    $out->addExtensionStyle( "{$wgScriptPath}/core/theme/ui.accordion.css" );
    $out->addExtensionStyle( "{$wgScriptPath}/core/theme/ui.datepicker.css" );
    $out->addExtensionStyle( "{$wgScriptPath}/core/theme/ui.dialog.css" );
    $out->addExtensionStyle( "{$wgScriptPath}/core/theme/ui.progressbar.css" );
    $out->addExtensionStyle( "{$wgScriptPath}/core/theme/ui.resizable.css" );
    $out->addExtensionStyle( "{$wgScriptPath}/core/theme/ui.slider.css" );
    $out->addExtensionStyle( "{$wgScriptPath}/core/theme/ui.tabs.css" );
    $out->addExtensionStyle( "{$wgScriptPath}/core/theme/ui.theme.css" );
    
    $out->addExtensionStyle( '/skins/common/jquery.autocomplete.css' );
            
    BusinessWiki_Dialogs::render( $out );
    
    return true;
}

/* Dialogs */
BusinessWiki_Dialogs::register( array(
    'Folders',
	'NewPage',
    'Move',
	'PageRestrictions',
	'SelectFolder'
) );

$wgHooks['BeforePageDisplay'][] = 'efBusinessWiki_Core_BeforePageDisplay';
