<?php

$wgHooks['ArticleInsertComplete'][] = 'efBusinessWiki_Title__ArticleInsertComplete';

/**
 * @param $article Article
 * @return bool
 */
function efBusinessWiki_Title__ArticleInsertComplete(&$article)
{
    $title = $article->getTitle();
    
    if (in_array($title->getNamespace(), array(NS_MAIN, NS_CATEGORY))) {
        global $wgParentCategoryId;
        
        if (empty($wgParentCategoryId)) {
            $parentId = jQueryCategoryTree::getParentCategoryId($title, false);
        } else {
            $parentId = $wgParentCategoryId;
        }
        
        if ($parentId != 0) {
            $dbw =& wfGetDB(DB_MASTER);
            
        	$dbw->insertSelect('restrictions', 'restrictions',
        		array( 
        			'r_page' => $article->getID(),
        			'r_action' => 'r_action',
        			'r_group' => 'r_group',
        			'r_user' => 'r_user',
        			'r_cascade' => 'r_cascade'
        		),
        		array('r_page' => $parentId),
        		__METHOD__,
        		array('IGNORE')
        	);
        }
    }
        
    return true;
}

class BusinessWiki_Title extends Title {
    private $firstContributor;
    
    public function __construct() {}
    
    /**
     * @param int $id
     * @return BusinessWiki_Title
     */
    public static function newFromID( $id ) {
		$dbr =& wfGetDB( DB_SLAVE );
		$row = $dbr->selectRow(
			'page',
		    array( 'page_namespace', 'page_title' ),
			array( 'page_id' => $id ),
			__METHOD__
		);
		
		$title = ( false !== $row )
		    ? self::makeTitle( $row->page_namespace, $row->page_title )
		    : null;
		
		return $title;        
    }
    
	/**
	 * @param int $ns
	 * @param string $title
	 * @return BusinessWiki_Title
	 */
	public static function &makeTitle( $ns, $title ) {
		$t = new self();
		$t->mInterwiki = $t->mFragment = '';
		$t->mNamespace = $ns = (int) $ns;
		$t->mDbkeyform = str_replace( ' ', '_', $title );
		$t->mArticleID = ( $ns >= 0 ) ? -1 : 0;
		$t->mUrlform = wfUrlencode( $t->mDbkeyform );
		$t->mTextform = str_replace( '_', ' ', $title );
		
		return $t;
	}
	
	public function getFirstContributor()
	{
        if ( is_null( $this->firstContributor ) ) {
            $dbr =& wfGetDB( DB_MASTER );
            
            $this->firstContributor = (int) $dbr->selectField(
            	'revision',
            	'rev_user',
                array( 'rev_page' => $this->getArticleID() ),
                __METHOD__,
                array( 'ORDER BY' => 'rev_id ASC' )
            );
        }
	    
        return $this->firstContributor;
	}
			
    /**
     * @param User $user
     * @return bool
     */
    public function isFirstContributor( User &$user ) {
        return ( (int) $user->getId() === $this->getFirstContributor() );
    }
}