<?php

$wgHooks['UserLoginComplete'][] = 'efBusinessWiki_User__UserLoginComplete';
$wgHooks['AbortLogin'][] = 'efBusinessWiki_User__AbortLogin';
$wgHooks['AddNewAccount'][] = 'efBusinessWiki_User__AddNewAccount';
$wgHooks['MediaWikiPerformAction'][] = 'efBusinessWiki_User__MediaWikiPerformAction';
$wgHooks['AbortNewAccount'][] = 'efBusinessWiki_User__AbortNewAccount';

$wgSpecialPages['BlockUser'] = 'BlockUser';

function efBusinessWiki_User__UserLoginComplete(User &$user)
{
	$dbw =& wfGetDB(DB_MASTER);
	$dbw->update(
		'user',
	    array('user_touched' => wfTimestamp(TS_MW)),
	    array('user_id' => $user->getId()),
	    __METHOD__
	);
	
	PageIndexView::onArticleChangeComplete();
    
	return true;
}

function efBusinessWiki_User__AbortLogin(User &$user, $password, &$retval)
{
    $retval = LoginForm::NOT_EXISTS;
    
    return !BusinessWiki_User::newFromId($user->getId())->isBlocked();
}

function efBusinessWiki_User__AddNewAccount(User $user)
{
    global $wgBusinessWiki_User__AutoBlock;
    
    if ($wgBusinessWiki_User__AutoBlock === true) {
    	$dbw =& wfGetDB(DB_MASTER);
    	$dbw->update(
    		'user',
    	    array('user_blocked' => true),
    	    array('user_id' => $user->getId()),
    	    __METHOD__
    	);
    }
    
    return true;
}

function efBusinessWiki_User__MediaWikiPerformAction($output, $article, $title, $user, $request, $wiki)
{
    $user = BusinessWiki_User::newFromId($user->getId());
    if ($user->isBlocked()) {
        $user->logout();
        
        return false;
    }

    return true;
}

function efBusinessWiki_User__AbortNewAccount(User $user, &$error)
{
    global $wgBusinessWiki_User__RequireRealName;
    
    if ($wgBusinessWiki_User__RequireRealName === true) {
        $realName = $user->getRealName();
        
        if (empty($realName)) {
        	$error = 'Podaj swoje imię i nazwisko';
        	
            return false;
        }
    }
    
    return true;
}


class BusinessWiki_User extends User
{
	public static function newFromId($id)
	{
		$user = new self();
		$user->mId = $id;
		$user->mFrom = 'id';
		
		return $user;
	}
	
	public function getLastLoginTime()
	{
	    $dbr =& wfGetDB(DB_SLAVE);
		$lastLoginTime = $dbr->selectField(
			'user',
			'user_touched',
			array('user_id' => $this->getId()),
		    __METHOD__
		);
		
		return wfTimestamp(TS_DB, $lastLoginTime);
	}
	
	public function isBlocked()
	{
        $dbr =& wfGetDB(DB_SLAVE);
		$blocked = $dbr->selectField(
			'user',
			'user_blocked',
			array('user_id' => $this->getId()),
		    __METHOD__
		);
		
		return (bool) $blocked;
	}
	
	public function switchBlocked()
	{
        $dbw =& wfGetDB(DB_MASTER);
		$dbw->update(
		    'user',
		    array('user_blocked = !user_blocked'),
		    array('user_id' => $this->getId()),
		    __METHOD__
		);
		
		return true;
	}
}

class BlockUser extends SpecialPage {
	public function __construct() {
		parent::__construct('BlockUser');
	}
 
	public function execute($userId) {
		global $wgUser, $wgOut;
		
		if (in_array('sysop', $wgUser->getGroups())) {
		    BusinessWiki_User::newFromId($userId)->switchBlocked();
		    
		    PageIndexView::onArticleChangeComplete();
		}
		
		$wgOut->redirect($_SERVER['HTTP_REFERER']);
	}
}

