<?php

class BusinessWiki_Xml extends Xml {
    public static function dialog( $id, $title, $content, $buttons, $params ) {
        global $wgJsMimeType;
        
        $id = 'bwi-dialog-' . $id;
        
        $out = Xml::tags( 'div', array( 'id' => $id, 'title' => $title ), $content );
        
        $out .= Xml::openElement( 'script', array( 'type' => $wgJsMimeType ) ) . "\n";
        $internalParams = array(
            'autoOpen' => false,
        	/* 'draggable' => false, */
            'resizable' => false,
            'modal' => true,
            /* 'bgiframe' => true, */
            'position' => array( 'center', 100 ),
        );
        foreach ( $internalParams as $key => $value ) {
            if ( !array_key_exists( $key, $params ) ) {
                $params[$key] = $value;
            }
        }
        $options = array();
        foreach ( $params as $key => $value ) {
            $option = "{$key}: ";
            if ( strpos( 'function(', $value ) === -1 ) {
                $option .= $value;
            } else {
                $option .= Xml::encodeJsVar( $value );
            }
            $options[] = $option;
        }
        if ( !empty( $buttons ) ) {
            $internalButtons = array();
            foreach ( $buttons as $key => $value ) {
                $internalButtons[] = "'{$key}': {$value}";
            }
            $options[] = 'buttons: { ' . implode( ', ', $internalButtons ) . '}';
        }
        $options = '{ ' . implode( ', ', $options ) . ' }';
        $options = str_replace( array( "\n", "\t", '  ' ), array( ' ', '', ' ' ), $options );
        $out .= <<<JS
addOnloadHook(function() {
	$('#{$id}').dialog({$options});
});
JS;
        $out .= "\n" . Xml::closeElement( 'script' ) . "\n";

        return $out;
    }
}