$.businesswikifolders = {
	selected : null,
	
	saveSelected : null,
	
	oldName : null,
	
	askDelete : true,
	
	parsePageId : function(node) {
		id = $(node).attr('id');
		id = id ? id.split('_')[1] : 0;
		return id;
	},
	
	setNodeId : function(node, id) {
		$(node).attr('id', 'folders-tree-node_' + id);
		$.businesswikifolders.saveSelected = id;
	},
	
	callChange : function(node) {
		$.businesswikifolders.selected = $.businesswikifolders.parsePageId(node);
	},
	
	callCreate : function(node, refNode) {
		var refId = $.businesswikifolders.selected;
		$.businesswikifolders.setNodeId(node, 'sub-' + refId);
		$(node).attr('rel', 'folder');
	},
	
	saveSelect : function(node) {
		$.businesswikifolders.saveSelected = $.businesswikifolders.parsePageId(node);
		return true;
	},
	
	callBeforeDelete : function(node) {
		if ($.businesswikifolders.askDelete) {
			if (wgContentLanguage == 'pl') {
				msg = "Czy napewno chcesz usunąć ten katalog?\n\nWszystkie katalogi w nim zawarte zostaną przeniesione do katalogu głównego.";
			} else {
				msg = "Are you sure you want to delete the folder?\n\nAll pages included will be moved to parent folder.";
			}
			if (confirm(msg)) {
				$.businesswikifolders.saveSelect(node);
				return true;
			}
		} else {
			$.businesswikifolders.saveSelect(node);
			return true;
		}
		
		return false;		
	},
	
	callDelete : function(node) {
		var id = $.businesswikifolders.saveSelected;
		$.businesswiki.sajax('wfSajaxDoCategoryTreeDeleteFCKeditor', [id], function(result) {});
		$.businesswikifolders.saveSelected = null;		
	},
	
	callBeforeRename : function(node) {
		$.businesswikifolders.saveSelected = $.businesswikifolders.parsePageId(node);
		$.businesswikifolders.oldName = node.getElementsByTagName('a')[0].innerHTML;
		$.businesswikifolders.renaming = true;
		return true;
	},
	
	callRename : function(node) {
		var id = $.businesswikifolders.saveSelected;
		var oldName = $.businesswikifolders.oldName;
		var value = node.getElementsByTagName('a')[0].innerHTML;
		$.businesswiki.sajax('wfSajaxDoCategoryTreeRenameFCKeditor', [id, value], function(result) {
			var response = result.trim();
			if (
				(response.indexOf('false') !== -1)
				&& (response.indexOf('false-delete') === -1)
				&& (response.indexOf('false-nothing') === -1)
				&& (response.indexOf('false-invalid') === -1)
				&& (response.indexOf('false-rename') === -1)
				&& (response.indexOf('false-problem') === -1)
				&& (response.indexOf('false-permisions') === -1)
			) {
				res = response.split('|');
				if (res[2] == '0') {
					alert('Folder with specified name: "' + res[1] + '" already exists. Please enter different name.');
				} else {
					alert('Folder with specified name: "' + res[1] + '" already exists under "' + res[2] + '". Please enter different name.');
				}
				node.getElementsByTagName('a')[0].innerHTML = oldName;
				$.businesswikifolders.selected = id;
			} else if (response.indexOf('false-delete') !== -1) {
				if (response === 'false-delete-invalid') {
					alert('Folder with specified name: "' + value + '" already exists. Please enter different name.');
				} else {
					res = response.split('|');
					if (res[2] == '0') {
						alert('Folder with specified name: "' + res[1] + '" already exists. Please enter different name.');
					} else {
						alert('Folder with specified name: "' + res[1] + '" already exists under "' + res[2] + '". Please enter different name.');
					}
				}
				$.businesswikifolders.askDelete = false;
				window.folderstree.remove();
				$.businesswikifolders.askDelete = true;
			} else if (response.indexOf('false-invalid') !== -1) {
				alert('Invalid name!');
				node.getElementsByTagName('a')[0].innerHTML = oldName;
				$.businesswikifolders.selected = id;
			} else if (response.indexOf('false-rename') !== -1) {
				res = response.split('|');
				msg = FCKLang.DlgMWCategoryFolderAlertPart1 + value + FCKLang.DlgMWCategoryFolderAlertPart2 + res[2] + '".' + "\n\n";
				msg = msg + FCKLang.DlgMWCategoryFolderAlertRename; 
				alert(msg);
				node.getElementsByTagName('a')[0].innerHTML = res[2];
				$.businesswikifolders.setNodeId(node, res[1]);
				$.businesswikifolders.selected = res[1];
			} 
			else if (response.indexOf('false-permisions') !== -1){
				alert('You have no permission to perform operation.');
				node.getElementsByTagName('a')[0].innerHTML = oldName;
				$.businesswikifolders.selected = id;
			}
			else if (response.indexOf('false-problem') !== -1){
				alert('Some problems occurred during operation.');
				node.getElementsByTagName('a')[0].innerHTML = oldName;
				$.businesswikifolders.selected = id;
			}
			else if (response != 'false-nothing') {
				$.businesswikifolders.setNodeId(node, response);
				$.businesswikifolders.selected = response;
			}
			
		} );
		$.businesswikifolders.oldNme = null;
		$.businesswikifolders.renaming = false;
	},
	
	callBeforeMove : function(node, refNode) {
		if (wgTreeNamespaceNumber == 14) {
			if (window.wgContentLanguage == 'pl') {
				return confirm('Czy napewno chcesz przenieść ten folder wraz z całą zawartością?');
			} else {
				return confirm('Are you sure you want to move the folder with all its contents?');
			}
		} else {
			return true;
		}
	},
	
	callMove : function(node, refNode) {
		var id = $.businesswikifolders.parsePageId(node);
		var refId = $.businesswikifolders.parsePageId(refNode);
		$.businesswiki.sajax('wfSajaxDoCategoryTreeMoveFCKeditor', [id, refId], function(result) {});
	}
};