<?php

class BusinessWiki_Dialog_Folders extends BusinessWiki_Dialog {
    public function __construct($class = false) {
        parent::__construct($class ? $class : __CLASS__);
        
        $this->buttons = array();
        
        $this->buttons[wfMsg('folders-button-cancel')] = <<<JS
function() {
	$(this).dialog('close');
	location.reload();
}        
JS;

        $this->buttons[wfMsg('folders-button-delete')] = <<<JS
function() {
	window.folderstree.remove();
}        
JS;
        
        $this->buttons[wfMsg('folders-button-edit')] = <<<JS
function() {
	window.folderstree.rename();
}        
JS;

        $this->buttons[wfMsg('folders-button-add')] = <<<JS
function() {
	window.folderstree.create();
}        
JS;

        /*
        $this->buttons['Ok'] = <<<JS
function() {
	_this = $(this);
	params = {
		id: parseInt(wgArticleId)
    };
	$('input:checked').each(function() {
		if ($(this).hasClass('permission')) {
			if(typeof(params[$(this).attr('name')]) == 'undefined') {
				params[$(this).attr('name')] = [];
			}
			if (!(value = parseInt(this.value))) {
				value = this.value;
			}
    		params[$(this).attr('name')].push(value);
    	}
	});
	$.businesswiki.sajax('wfSajaxBusinessWikiDialog_PageRestrictions_save', [$.compactJSON(params)], function() {
		_this.dialog('close');
	});
}        
JS;
*/
        $this->params = array(
            'width' => 350,
            'height' => 400,
        );
        
        $this->scripts = array('/core/dialogs/Folders.js');
    }
    
    public function content() {  }
    
    public static function ajaxContent() {
        global $wgJsMimeType, $wgContLanguageCode;
        
        require_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'Folders.i18n.php';
        
        $out = jQueryCategoryTree::newTree('folders-tree')->getHTML();
        
        $out .= Xml::openElement( 'script', array( 'type' => $wgJsMimeType ) ) . "\n";
        $out .= <<<JS
$(document).ready(function() {
	window.folderstree = new tree_component();
	
	window.folderstree.init(jQuery("#folders-tree"), {
		dflt	: "#folders-tree-node_" + ((window.wgNamespaceNumber != 14) ? window.wgArticleParentId : window.wgArticleId),
		ui		: { dots: true },
		rules	: {
			metadata	: false,
			clickable	: ["categories", "folder"],
			renameable	: ["folder"],
			draggable	: ["folder"],
			dragrules	: ["folder inside categories", "folder inside folder"],
			deletable	: ["folder"]
		},
		callback : {
			onchange		: $.businesswikifolders.callChange,
			oncreate		: $.businesswikifolders.callCreate,
			beforedelete	: $.businesswikifolders.callBeforeDelete,
			ondelete		: $.businesswikifolders.callDelete,
			beforerename	: $.businesswikifolders.callBeforeRename,
			onrename		: $.businesswikifolders.callRename,
			beforemove		: $.businesswikifolders.callBeforeMove,
			onmove			: $.businesswikifolders.callMove
		},
		lang : {
			new_node	: "{$messages[$wgContLanguageCode]['folders-newfolder']}"
		}
	});
	
	$.businesswikifolders.selected = (wgNamespaceNumber != 14) ? wgArticleParentId : wgArticleId;
});
JS;
        $out .= "\n" . Xml::closeElement( 'script' ) . "\n";

        return $out;        
    }
    
    /*
    public static function ajaxSave( $params ) {
        $r =& BusinessWikiPermissions_Restrictions::getInstanceFromId( $params['id'] );
        
        $r->restrictions( $params );
    }
    */
}
