<?php

class BusinessWiki_Dialog_Move extends BusinessWiki_Dialog_Folders {
    public function __construct() {
        parent::__construct( __CLASS__ );
        
        $this->buttons = array();

        $this->buttons[wfMsg('folders-button-cancel')] = <<<JS
function() {
	$(this).dialog('close');
}        
JS;

        $this->buttons['Ok'] = <<<JS
function() {
		_this = $(this);
		
		namespaceNumber = window.wgTreeNamespaceNumber;
		if (namespaceNumber == 14) {
			if (confirm('Are you sure you want to move the folder with all its contents?')) {
				var PageId = window.wgTreeArticleId;
				$.businesswiki.sajax( 'wfSajaxDoCategoryTreeMoveFCKeditor', [PageId, id], function ( result ) {
					_this.dialog('close');
					document.location.reload();
				} );
			}
		} else {
			var PageId = window.wgTreeArticleId;
			$.businesswiki.sajax( 'wfSajaxDoCategoryTreeMoveFCKeditor', [PageId, id], function ( result ) {
				var response = result.trim();
				if(response.indexOf('false-permisions') !== -1){
					alert('You have no permission to perform operation.');
					return;
    			}
    			else if(response.indexOf('false') !== -1){
					alert('Some problems occurred during operation.');
					return;
    			}
    			else{
				_this.dialog('close');
				document.location.reload();
				}
			} );
		}
    }
JS;

        $this->params = array(
            'width' => 350,
            'height' => 400,
        );
        
        $this->scripts = array('/core/dialogs/Folders.js');
    }
    
    public function content() {  }
    
    public static function ajaxContent() {
        global $wgJsMimeType, $wgContLanguageCode;
        
        require_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'Move.i18n.php';
        
        $out = jQueryCategoryTree::newTree('folders-tree')->getHTML();
        
        $out .= Xml::openElement( 'script', array( 'type' => $wgJsMimeType ) ) . "\n";
        $out .= <<<JS
$(document).ready(function() {
	window.folderstree = new tree_component();
	
	folderstree.init(jQuery("#folders-tree"), {
		dflt	: "#folders-tree-node_" + ((wgTreeNamespaceNumber != 14) ? wgTreeArticleParentId : wgTreeArticleId),
		ui		: { dots: true },
		rules	: {
			metadata	: false,
			clickable	: ["categories", "folder"],
			renameable	: ["folder"],
			draggable	: ["folder"],
			dragrules	: ["folder inside categories", "folder inside folder"],
			deletable	: ["folder"]
		},
		callback : {
			onchange		: $.businesswikifolders.callChange,
			oncreate		: $.businesswikifolders.callCreate,
			beforedelete	: $.businesswikifolders.callBeforeDelete,
			ondelete		: $.businesswikifolders.callDelete,
			beforerename	: $.businesswikifolders.callBeforeRename,
			onrename		: $.businesswikifolders.callRename,
			beforemove		: $.businesswikifolders.callBeforeMove,
			onmove			: $.businesswikifolders.callMove
		},
		lang : {
			new_node	: "{$messages[$wgContLanguageCode]['folders-newfolder']}"
		}
	});
	
	$.businesswikifolders.selected = wgTreeArticleParentId;
});
JS;
        $out .= "\n" . Xml::closeElement( 'script' ) . "\n";

        return $out;        
    }
    
    /*
    public static function ajaxSave( $params ) {
        $r =& BusinessWikiPermissions_Restrictions::getInstanceFromId( $params['id'] );
        
        $r->restrictions( $params );
    }
    */
}
