<?php

class BusinessWiki_Dialog_NewPage extends BusinessWiki_Dialog {
    public function __construct() {
        parent::__construct(__CLASS__);
        
        $this->buttons = array();
        
        $this->buttons[wfMsg('newpage-button-cancel')] = <<<JS
function() { $(this).dialog('close'); }        
JS;

        $this->buttons['Ok'] = <<<JS
function() {
	var _this = $(this);
	$.businesswiki.sajax('wfSajaxCheckIfPageExists', [$('#new-page-name').val(), wgNamespaceNumber, wgArticleId], function(result) {
		if ($.trim(result) == 'true') {
			document.location.href = wgScript + '?title=' + $('#new-page-name').val() + '&action=edit&fck=new&category=' + $.businesswikifolders.selected;
			_this.dialog('close');
		} else {
			alert('Nie można utworzyć podanej strony (prawdopodobnie już istnieje)');
		}
	});	
}        
JS;

        $this->params = array(
            'width' => 350,
            'height' => 450,
        );
    }
    
    public function content() {  }
    
    public static function ajaxContent() {
        global $wgJsMimeType, $wgContLanguageCode;
        
        require_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'NewPage.i18n.php';
        
        $nl = Xml::element('br');
        list($label, $input) = Xml::inputLabelSep( $messages[$wgContLanguageCode]['newpage-enterthetitle'], false, 'new-page-name', 30 );
        
        $out = $nl . $label . $nl . $nl . $input;
        $out .= '<br /><br /><br />';
        $out .= Xml::openElement( 'script', array( 'type' => $wgJsMimeType ) ) . "\n";
        $out .= <<<JS
$(document).ready(function() {
    var accept = function(e) {
    	var key = e.keyCode || e.which;
		if (key == 13) {
        	$('#bwi-dialog-NewPage').next('div.ui-dialog-buttonpane').find("button:contains('Ok')").click();
        }
    }
    
	$('#new-page-name').bind('keyup', function(e) {
    	accept(e);
    	$(this).unbind('keyup');
    });
    
    $('#new-page-name').bind('change', function(e) {
    	$(this).bind('keyup', function(e) {
    		accept(e);
    	});
    });
});
JS;
        $out .= "\n" . Xml::closeElement( 'script' ) . "\n";
        
        require_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'Move.i18n.php';
        
        $out .= jQueryCategoryTree::newTree('folders-tree')->getHTML();
        
        $out .= Xml::openElement( 'script', array( 'type' => $wgJsMimeType ) ) . "\n";
        $out .= <<<JS
$(document).ready(function() {
	window.folderstree = new tree_component();
	
	folderstree.init(jQuery("#folders-tree"), {
		dflt	: "#folders-tree-node_" + ((wgNamespaceNumber != 14) ? wgArticleParentId : wgArticleId),
		ui		: { dots: true },
		rules	: {
			metadata	: false,
			clickable	: ["categories", "folder"]
		},
		callback : {
			onchange		: $.businesswikifolders.callChange
		},
		lang : {
			new_node	: "{$messages[$wgContLanguageCode]['folders-newfolder']}"
		}
	});
	
	$.businesswikifolders.selected = ((wgNamespaceNumber != 14) ? wgArticleParentId : wgArticleId);
});
JS;
        $out .= "\n" . Xml::closeElement( 'script' ) . "\n";
        
        return $out;
    }
}