<?php

$dir = dirname(__FILE__);
$class = basename( __FILE__, '.php' );

$wgAutoloadClasses["{$class}_Body"] = "{$dir}/{$class}/{$class}_Body.php";

class ArticlePageView extends ArticlePageView_Body {
	public static $pageTOK;
	
	public static function newFromArticle( Article &$article ) {
		return new self( $article );
	}
	
	public function getPageTitle() {
		global $wgRequest;
		
		$action = $wgRequest->getText( 'action' );
		
		/* wudu! ;-D */
		switch (true) {
			case (
				$this->title->equals( Title::newMainPage() )
				&& !empty( $action )
			):
			case (
				!$this->title->equals( Title::newMainPage() )
			):
				$out = $this->title->getBaseText();
				break;
			case ( $this->title->equals( Title::newMainPage() ) ):
			default:
				$out = null;
		}
		
		return $out;
	}
	
	public function render() {
		global $wgUser, $wgOut, $wgRequest, $wgParser;
		
		$wgOut->setPagetitle( $this->title->getPrefixedText() );
		
		
		$parserOptions = ParserOptions::newFromUser( $wgUser );
		$parserOptions->setEditSection( true );
		$parserOptions->setTidy( true );

		$parserOutput = $wgParser->parse( $this->article->fetchContent( $this->article->getOldID() ), $this->article->getTitle(), $parserOptions, true, true );
		$body = $parserOutput->getText();
		
		# Content
		$wgOut->addHTML( self::$pageTOK );
		$this->article->view(); // TODO: Parsuje po raz drugi. Co prawda jest cache parsera, ale..
		
		if ( !$this->title->equals( Title::newMainPage() ) && !$wgRequest->getText( 'diff' ) ) {
		
			# History box
			$history = parent::getHistory();
			$count = count( $history );
			if ( $count > 1 ) {
				$out = '<ul id="mw-page-history">';
			} else {
				$out = '<ul id="mw-page-history" style="background-image: none; cursor: default;">';
			}
			for ( $i = 0; $i < $count; $i ++ ) {
				if ( ( $i >= 1 ) ) {
					$out .= '<li class="hidden">';
				} else {
					$out .= '<li>';
				}
				$out .= '<strong>' . $history[$i]->user . '</strong>';
				$out .= '<br />';
				$out .= Xml::escapeTagsOnly( wfTimestamp( TS_DB, $history[$i]->timestamp ) );
				$out .= '</li>';
			}
			$out .= '</ul>';
			$wgOut->addHTML( $out );
		}
		
		# Attachments
		if ( !$this->title->equals( Title::newMainPage() ) && !$wgRequest->getText( 'diff' ) ) {
			$attachments = new Attachments( $this->title );
			$wgOut->addHTML( $attachments );
		}
		
		# Tags
		if ( !$this->title->equals( Title::newMainPage() ) && !$wgRequest->getText( 'diff' ) ) {
			$tags = new Tags( $this->title );
			$wgOut->addHTML( $tags );
		}
		
		# Comments
		if ( !$this->title->equals( Title::newMainPage() ) && !$wgRequest->getText( 'diff' ) ) {
			$comments = new Comments( $this->article );
			$wgOut->addHTML( $comments );
		}
				
		return false;
	}
}
