<?php

class ArticlePageView_Body {
	public $article;
	public $title;
	
	public $dir;
	
	public function __construct( Article &$article ) {
		global $wgScriptPath;
		
		$this->article =& $article;
		$this->title = $article->getTitle();
		
		$this->dir = "{$wgScriptPath}/extensions/BiznesWikiViews/ArticlePageView";
		
		$this->headers();
	}
	
	public function headers() {
		global $wgOut;
		
		$wgOut->addExtensionStyle( "{$this->dir}/ArticlePageView.css" );		
	}

	public function getHistory( $limit = 5 ) {		
		$history = array();
		
		$db =& wfGetDB( DB_SLAVE );
		
		$res = $db->select(
			'revision',
			array( 'rev_id AS oldid', 'rev_timestamp AS timestamp', 'rev_user_text AS user', 'rev_user AS user_id' ),
			array( 'rev_page' => $this->title->getArticleId() ),
			__METHOD__,
			array( 'USE INDEX' => 'page_timestamp', 'ORDER BY' => 'rev_timestamp DESC', 'LIMIT' => $limit )
		);
		
		foreach ( $res as $row ) {
			$history[] = $row;
		}
		
		$db->freeResult( $res );
		
		return $history;
	}	
}