<?php

$dir = dirname(__FILE__);
$class = basename( __FILE__, '.php' );

$wgAutoloadClasses["{$class}_Body"] = "{$dir}/{$class}/{$class}_Body.php";

class CategoryPageView extends CategoryPageView_Body {
	public static function newFromArticle( Article &$article ) {
		return new self( $article );
	}
	
	public function getPageTitle() {
		$title = $this->article->getTitle();
		
		return $title->getBaseText();
	}

	public function render() {
		global $wgOut;
		
		$title = $this->article->getTitle();
		
		$wgOut->setPagetitle( $title->getPrefixedText() );
				
		# Content
		$this->article->view();
		
		# Attachments
		$attachments = new Attachments( $title );
		$wgOut->addHTML( $attachments );
				
		$wgOut->addHTML( parent::getPagesHTML() );
		
		return false;
	}
}