<?php

$wgHooks['SpecialPage_initList'][] = 'BiznesWikiHooks::onSpecialPage_initList';
$wgHooks['EditPage::showEditForm:initial'][] = 'BiznesWikiHooks::onEditPage__showEditForm_initial';
$wgHooks['EditPage::showEditForm:fields'][] = 'BiznesWikiHooks::onEditPage__showEditForm_fields';
$wgHooks['EditPageBeforeEditButtons'][] = 'BiznesWikiHooks::onEditPageBeforeEditButtons';
$wgHooks['ParserAfterTidy'][] = 'BiznesWikiHooks::onParserAfterTidy';
// $wgHooks['PersonalUrls'][] = 'fnMyHook';
$wgHooks['LinkBegin'][] = 'BiznesWikiHooks::onLinkBegin';

$wgHooks['AbortNewAccount'][] = 'BiznesWikiHooks::onAbortNewAccount';
$wgHooks['UploadVerification'][] = 'BiznesWikiHooks::onUploadVerification';

class BiznesWikiHooks {
	public static function onSpecialPage_initList( &$aSpecialPages ) {
		$unset = array(
			'Withoutinterwiki',
			'Protectedpages',
			'Protectedtitles',
			'Uncategorizedcategories',
			'Uncategorizedimages',
			'Uncategorizedpages',
			'Uncategorizedtemplates',
			'Unusedcategories',
			'Unusedimages',
			'Unusedtemplates',
			'Unwatchedpages',
			'Wantedcategories',
			'Wantedfiles',
			'Wantedpages',
			'Allpages',
			'Categories',
			'Disambiguations',
			'Listredirects',
			'Prefixindex',
			'RemoveUnusedGroups',
			'Listgrouprights',
			/*'Userrights',*/
			/*'Log',*/
			'Newpages',
			'Recentchangeslinked',
			'Filepath',
			'MIMEsearch',
			'FileDuplicateSearch',
			'GroupPermissions',
			'SortPermissions',
			'Allmessages',
			'Randomredirect',
			'LinkSearch',
			'Mostlinkedcategories',
			'Mostlinkedtemplates',
			'Mostcategories',
			'Booksources'
		);
		
		foreach ( $unset as $name ) {
			unset( $aSpecialPages[$name] );
		}
		
		return true;
	}
	
	public static function onEditPage__showEditForm_initial( EditPage &$editPage ) {
		$editPage->suppressIntro = true;
		
		return true;
	}
	
	public static function onEditPage__showEditForm_fields( EditPage &$editPage, OutputPage &$out ) {
		global $wgRequest;
		
		$inputs = array();

		$value = $wgRequest->getVal( 'category' );
		if ( empty( $value ) ) {
			$value = ( class_exists( 'jQueryCategoryTree' ) ) ? (string) jQueryCategoryTree::getParentCategoryId( $editPage->mTitle, false ) : '0';
		}
		$temp = array(
			'id'        => 'wpParentCategoryId',
			'name'      => 'wpParentCategoryId',
			'type'      => 'hidden',
			'value'     => $value
		);
		$inputs['parentcategoryid'] = Xml::element( 'input', $temp );
		
		$out->addHTML( implode( "\n", $inputs ) );

		return true;
	}
	
	public static function onEditPageBeforeEditButtons( EditPage &$editPage, &$buttons ) {
		unset( $buttons['diff'] );
		
		return true;
	}
	
	public static function onParserAfterTidy( &$parser, &$text ) {
		$text = preg_replace( '|<p>\s*<br\s*/>\s*</p>|s', '', $text );
		
		if (preg_match( "'<table id=\"toc\" class=\"toc\"[^>]*?>.*?</table>'si", $text, $matches )) {
			ArticlePageView::$pageTOK = $matches[0];
		}
		$text = preg_replace( "'<table id=\"toc\" class=\"toc\"[^>]*?>.*?</table>'si", '', $text );
		
		return true;
	}
	
	public static function onLinkBegin( $skin, Title $target, &$text, &$customAttribs, &$query, &$options, &$ret ) {
		if ( $target->getNamespace() == NS_USER ) {
		    $options[] = 'known';
		    $options = array_unique( $options );
		}
		
		return true;
	}
	
	public static function onAbortNewAccount( $user, &$message ) {
		global $wgMaxAccountsCount;
		
		if ( false != $wgMaxAccountsCount ) {
			$dbr =& wfGetDB( DB_SLAVE );
			$row = $dbr->selectRow(
			    array( 'user', 'ipblocks' ),
			    array( '(COUNT(user_id) - 1) AS count' ),
			    array( 'ipb_id' => null ),
			    __METHOD__,
			    null,
			    array( 'ipblocks' => array( 'LEFT JOIN', 'ipb_user = user_id' ) )			    
			);
			$count = $row->count;
			
			if ( $count >= $wgMaxAccountsCount ) {
				$message = 'Max accounts limit reached. Select other pricing plan.';
				
				return false;			
			}
		}
		
		return true;
	}
	
	public static function onUploadVerification( $saveName, $tempName, &$error ) {
		global $wgMaxFilesCount;
		
		if ( false != $wgMaxFilesCount ) {
			$dbr =& wfGetDB( DB_SLAVE );
			$count = 1;
			
			if ( $count >= $wgMaxFilesCount ) {
				$error = 'Max files limit reached. Select other pricing plan.';
				
				return false;
			}
		}
		
		return true;
	}
}