<?php

/**
 * MediaWiki PageIndex special page
 */

if ( ! defined( 'MEDIAWIKI' ) )
	die( 1 );

require_once( 'SpecialPage.php' );

$wgSpecialPages['Administration'] = 'SpecialAdministration';

$wgSpecialPages['CreateUser'] = 'SpecialCreateUser';

$wgHooks['LanguageGetSpecialPageAliases'][] = 'wfSpecialAdministrationLocalizedPageName';

function wfSpecialAdministrationLocalizedPageName( &$specialPageArray, $code ) {
	global $wgContLang;
	
	$specialPageArray[ 'Administration' ][] = ( $wgContLang->getCode() == 'pl' )
		? 'Administracja'
		: 'Administration';

	return true;
}

class SpecialCreateUser extends SpecialPage {
	public function __construct() {
		parent::__construct( 'CreateUser' );
	}
	
	public function execute() {
		global $wgOut, $wgContLang;
		
    	$wgOut->setPagetitle(
			( $wgContLang->getCode() == 'pl' )
				? 'Utwórz nowego użytkownika'
				: 'Create new user'
		);
		
		$userLogin = SpecialPage::getTitleFor( 'Userlogin' );
		
		$wgOut->redirect( $userLogin->getLocalURL() . '&type=signup' );
	}
}

class SpecialAdministration extends SpecialPage {
	public function __construct() {
		parent::__construct( 'Administration' );
	}
	
	public function execute() {
		global $wgOut, $wgRequest, $wgUser, $wgContLang;
		
		if ( !in_array( 'sysop', $wgUser->getGroups() ) ) {
			$wgOut->showErrorPage( 'error', 'permissionserrors' );
			
			return;
		}
				
		$this->setHeaders();
		$wgOut->setPagetitle(
			( $wgContLang->getCode() == 'pl' )
				? 'Administracja'
				: 'Administration'		
		);
		
		$skin = $wgUser->getSkin();
		
		$specialPages = array(
			/*'Blockip',*/
			/*'Ipblocklist',*/
			'Export',
			'Import',
			'CreateUser',
			'UserDirectory',
		    'ManageGroups'
		);
		
		$html = Xml::openElement( 'ul' ) . "\n";
		foreach ( $specialPages as $name ) {
			$page = SpecialPage::getPage( $name );
			if ($page->getName() == 'CreateUser') {
			    $name = ($wgContLang->getCode() == 'pl') ? 'Utwórz nowego użytkownika' : 'Create new user';
			} else {
			    $name = $page->getDescription();
			}
			$html .= Xml::tags(
				'li', null, $skin->link( $page->getTitle(), $name )
			) . "\n";	
		}		
		$html .= Xml::closeElement( 'ul' ) . "\n";
		
		$wgOut->addHTML( $html );	
	}
}