<?php

/**
 * MediaWiki PageIndex special page
 */

if ( ! defined( 'MEDIAWIKI' ) )
	die( 1 );

require_once( 'SpecialPage.php' );

$dir = dirname(__FILE__);
$wgExtensionMessagesFiles['CategoryPageView'] = "{$dir}/CategoryPageView.i18n.php"; // TODO: Rozgraniczyc CategoryPageView i PageIndex

$wgSpecialPages['PageIndex'] = 'SpecialPageIndex';
$wgHooks['LanguageGetSpecialPageAliases'][] = 'wfSpecialPageIndexLocalizedPageName';

function wfSpecialPageIndexLocalizedPageName( &$specialPageArray, $code ) {
	wfLoadExtensionMessages( 'CategoryPageView' );
	
	$title = Title::newFromText( wfMsg( 'pageindex' ) );
	$specialPageArray[ 'PageIndex' ][] = $title->getDBKey();

	return true;
}

class SpecialPageIndex extends SpecialPage {
	public function __construct() {
		SpecialPage::SpecialPage( 'PageIndex' );
	}
	
	public function execute() {
		global $wgOut, $wgRequest;
		
		$this->setHeaders();
		
		wfLoadExtensionMessages( 'CategoryPageView' );
		
		$view = new CategoryPageView( SpecialPageIndex::getTitle() );
		
		$wgOut->addHTML( $view->getSubcategoryHTML() );
		$wgOut->addHTML( $view->getPagesHTML() );	
	}
}