$(document).ready( function(){
	/* Comments */
	$('#mw-page-comments > .inner > h2').click(
		function() {
			$('#mw-page-comments > .inner > .comments').slideToggle(300,
				function() { $('#mw-page-comments > .inner').toggleClass('open'); }
			);
		}
	);

	var Comments = {
		add: function($this) {
			$this = $this.parents('h2').eq(0);
			$('#comment_new').remove();
			var node = $('#comment_dummy').clone().attr('id', 'comment_new').appendTo( $this.next('.comments') ).show();
			node = node.children('.content');
			node.attr('id', 'comment_parent_0');
			node.editable( wgServer + wgScript + '?title=' + wgPageName + "&action=comment&method=add", {
				id			: 'comment_parent_id',
				name		: 'comment_text',
				type		: 'textarea',
				height		: '100px',
				submit		: '<a class="save">' + "Add" +'</a>',
				cancel		: '<a class="cancel" href="#">' + "Cancel" +'</a>',
				indicator	: textSaving,
				onblur		: 'ignore',
				callback : function(value, settings) {
					var tools = node.children('.comment').children('.head').children('.tools');
					tools.children('.response').click(function() { Comments.response($(this)); });
					tools.children('.edit').click(function() { Comments.edit($(this)); });
					tools.children('.delete').click(function() { Comments.remove($(this)); });
					node.children().appendTo(node.parents('.comments'));
					node.parents('.comment').remove();
					$('.nocomments').hide();
					node.unbind('click');
				}
			}).click();
			node.find('a.cancel').eq(0).unbind('click').bind('click', function(e) {
				e.preventDefault();
				e.stopPropagation();
				$('#comment_new').remove();
			});
			// $.scrollTo('#comment_new');
		},
		
		response: function($this) {
			var comment = $this.parents('.comment');
			var subcomments = comment.next('.subcomments');
			var expand = comment.children('.expand');
			var callback = function() { Comments.responseBody($this); };
			Comments.expand(expand, callback);
			//Comments.responseBody($this);
		},
		
		responseBody: function($this) {
			var comment_parent = $this.parent().parent().next('.content');
			var comment_parent_id = comment_parent.attr('id').split('_')[1];
			var subcomments = $this.parents('.comment').next('.subcomments');
			$('#comment_new').remove();
			var comment = $('#comment_dummy').clone().attr('id', 'comment_new').appendTo( subcomments );
			comment.slideDown(300);
			var content = comment.children('.content');
			content.attr('id', 'comment_parent_' + comment_parent_id);
	
			content.editable( wgServer + wgScript + '?title=' + wgPageName + "&action=comment&method=add", {
				id			: 'comment_parent_id',
				name		: 'comment_text',
				type		: 'textarea',
				height		: '100px',
				submit		: '<a class="save">' + "Save" +'</a>',
				cancel		: '<a class="cancel" href="#">' + "Cancel" +'</a>',
				indicator	: textSaving,
				onblur		: 'ignore',
				callback : function(value, settings) {
					$('#comment_delete_' + comment_parent_id).remove();
					var tools = content.children('.comment').children('.head').children('.tools');
					tools.children('.response').click(function() { Comments.response($(this)); });
					tools.children('.edit').click(function() { Comments.edit($(this)); });
					tools.children('.delete').click(function() { Comments.remove($(this)); });
					content.children().appendTo(content.parent().parent());
					$('#comment_new').remove();
					if (content.html() == '') return;
					$('#comment_expand_' + comment_parent_id).slideDown(300);
					content.unbind('click');
				}
			}).click();
			content.find('a.cancel').eq(0).unbind('click').bind('click', function(e) {
				e.preventDefault();
				e.stopPropagation();
				$('#comment_new').remove();
			});
			// $.scrollTo('#comment_new');
		},
		
		edit: function($this) {
			var content = $this.parent().parent().next('.content'); 
			content.editable( wgServer + wgScript + '?title=' + wgPageName + "&action=comment&method=edit", {
				id			: 'comment_id',
				name		: 'comment_text',
				type		: 'textarea',
				height		: '100px',
				submit		: '<a class="save">' + "Save" +'</a>',
				cancel		: '<a class="cancel" href="#">' + "Cancel" +'</a>',
				indicator	: textSaving,
				onblur		: 'ignore',
				callback : function(value, settings) {
					content.html(value.replace(/[\n]/g, '<br />'));
					content.unbind('click');
				}
			}).html(content.html().replace(/[\n\r\t]/g, '').replace(/<br\s*\/?>/mg, "\n")).click();
		},
		
		remove: function($this) {
			var comment = $this.parents('.comment');
			var content = comment.children('.content');
			$.ajax({ 
				type: "GET", 
				url: wgServer + wgScript + '?title=' + wgPageName + "&action=comment&method=delete", 
				data: { comment_id: content.attr('id') },
				success: function(data) {
					comment.slideUp(300, function () {comment.remove();});
					$('#comment_expand_' + data).slideUp(300);
				}
			});
		},
		
		expand: function($this, callback) {
			var expand = $this;
			var content = expand.prev('.content');
			var subcomments = expand.parent('.comment').next('.subcomments');
			var labels = expand.attr('title').split(' / ');
			if ( expand.attr('rel') != "loaded" ) {
				$.ajax({
					type: "GET",
					url: wgServer + wgScript + '?title=' + wgPageName + "&action=comment&method=get",
					data: { comment_id: content.attr('id') },
					dataType: "html",
					success: function(response){
						subcomments.html(response);
						subcomments.slideDown(300, function () {
							expand.toggleClass('close');
							expand.html( (expand.html() == labels[0]) ? labels[1] : labels[0] );
							$.each(comments, function(i, n) { 
								$("#comment_expand_" + n).click(function() { Comments.expand($(this)); });
								$("#comment_response_" + n).click(function() { Comments.response($(this)); });
								$("#comment_edit_" + n).click(function() { Comments.edit($(this)); });
								$("#comment_delete_" + n).click(function() { Comments.remove($(this)); });
							});
							if (callback) callback();
						});
					}			
				});
				expand.attr('rel', 'loaded');
			} else {
				subcomments.slideToggle(300, function () {
					expand.toggleClass('close');
					expand.html( (expand.html() == labels[0]) ? labels[1] : labels[0] );
					if (callback) callback();		
				});
			}
		}
	};
	
	$("#mw-page-comments > .inner h2 > span > .response").click(function() { var $this = $(this); $this.parents('h2').eq(0).next('div.comments').slideDown(300, function() { Comments.add($this); return false; }); return false; });
	$("#mw-page-comments .tools > .response").click(function() { Comments.response($(this)); });
	$("#mw-page-comments .tools > .edit").click(function() { Comments.edit($(this)); });
	$("#mw-page-comments .tools > .delete").click(function() { Comments.remove($(this)); });
	$("#mw-page-comments .expand").click(function() { Comments.expand($(this)); });
});