<?php

if ( !defined( 'MEDIAWIKI' ) ) {
    echo <<<EOT
To install this extension, put the following line in LocalSettings.php:
require_once( "\$IP/extensions/Dashboard/Dashboard.php" );
EOT;
    exit( 1 );
}

define( 'DASHBOARD', true );
	
$wgExtensionCredits['specialpage'][] = array(
	'name' => 'Dashboard',
	'author' => 'My name',
	'url' => 'http://www.mediawiki.org/wiki/Extension:MyExtension',
	'description' => 'Default description message',
	'descriptionmsg' => 'myextension-desc',
	'version' => '0.0.0',
);

define( 'GADGETS_SERVER', 'http://gadgets.divante.pl/' );

define( 'DASHBOARD_OLDSTYLE', 1 );
define( 'DASHBOARD_NEWSTYLE', 0 );

$dir = dirname(__FILE__) . '/';
 
$wgAutoloadClasses['Dashboard'] = $dir . 'Dashboard_body.php';
$wgAutoloadClasses['DashboardStyle'] = $dir . 'Dashboard_body.php';
$wgAutoloadClasses['DashboardLayout'] = $dir . 'Dashboard_body.php';
$wgAutoloadClasses['ApiDashboard'] = $dir . 'Dashboard_body.php';
$wgAutoloadClasses['DashboardTemplate'] = $dir . 'DashboardTemplate.php';
$wgAutoloadClasses['DashboardAddTemplate'] = $dir . 'DashboardAddTemplate.php';
$wgExtensionMessagesFiles['Dashboard'] = $dir . 'Dashboard.i18n.php';
$wgExtensionAliasesFiles['Dashboard'] = $dir . 'Dashboard.alias.php';
$wgSpecialPages['Dashboard'] = 'Dashboard';

$wgHooks['ArticlePageDataBefore'][] = 'efDashboard_ArticlePageDataBefore';
$wgHooks['AddNewAccount'][] = 'efDashboard_AddNewAccount';

$wgAjaxExportList[] = 'efDashboard_ajaxSavePrefs';
$wgAjaxExportList[] = 'efDashboard_ajaxSaveLayout';

$wgAPIModules['gadget'] = 'ApiDashboard';

function efDashboard_ArticlePageDataBefore( Article &$article ) {
    if ( DashboardStyle::getStyle() == DASHBOARD_OLDSTYLE ) {
        // return true;
    }
    
    if ( $article->getTitle()->equals( Title::newMainPage() ) ) {
        global $wgOut;
		
        $wgOut->redirect( SpecialPage::getTitleFor( 'Dashboard' )->getLocalURL() );
	}
		
	return true;
}

function efDashboard_AddNewAccount( User $user ) {
    $dbw =& wfGetDB( DB_MASTER );
    
    $dbw->begin();
    $dbw->insert(
        'user_dashboard',
        array(
            'user_id' => $user->getId(),
            'user_dashboard' => null,
            'user_dashboard_oldstyle' => 0
        ),
        __METHOD__
    );
    $dbw->commit();
    
    return true;
}

function efDashboard_ajaxSavePrefs( $name, $id, $prefs ) {
    $dashboardLayout = new DashboardLayout();
    
    return json_encode( $dashboardLayout->savePrefs( $name, $id, $prefs ) );
}

function efDashboard_ajaxSaveLayout( $layout ) {
    $dashboardLayout = new DashboardLayout();
    
    return $dashboardLayout->saveLayout( $layout );
}