<?php

/**
 * MediaWiki DashboardStart extension
 */

if ( ! defined( 'MEDIAWIKI' ) )
	die( 1 );

$dir = dirname(__FILE__);

$wgExtensionFunctions[] = 'wfDashboardStartBox';
$wgHooks['LanguageGetMagic'][] = 'wfDashboardStartBoxMagic';

function wfDashboardStartBox() {
	global $wgParser;
	
	$wgParser->setHook( 'DashboardStartBox', 'DashboardStartBox' );
	
	$wgParser->setFunctionHook( 'startbox', 'wfDashboardStartBoxGetHTML' );
}
 
function wfDashboardStartBoxMagic( &$magicWords, $langCode ) {
	$magicWords['startbox'] = array( 0, 'startbox' );

	return true;
}

function wfDashboardStartBoxGetHTML() {
	$s = new DashboardStartBox();
	
	return array( $s->getDashboardHTML(), 'isHTML' => true );
}
 
class DashboardStartBox {
	public function __construct() { }
		
	public function getDashboardHTML() {
		global $wgScriptPath;
		
		$path = "{$wgScriptPath}/extensions/Dashboard";
		
		$html =
			Xml::tags( 'p', null, 'Bizneswiki helps your team share knowledge.' . Xml::element( 'br' ) ) . "\n" .
			Xml::tags( 'h4', null, Xml::span( ' So how to start?  ', 'mw-headline' ) ) . "\n" .
			Xml::openElement( 'table', array( 'cellpadding' => 5 ) ) . "\n" .
			Xml::openElement( 'tbody' ) . Xml::openElement( 'tr' ) . "\n" .
			
			Xml::openElement( 'tr' ) .
			Xml::tags( 'td', null, Xml::element( 'img', array( 'src' => "{$path}/page_add.png" ) ) ) .
			Xml::tags( 'td', null, Xml::element( 'b', null, 'Create a new page' ) . ', where you can share your ideas, knowledge, a list of to-do or anything you need.' ) .
			Xml::closeElement( 'tr' ) .

			Xml::openElement( 'tr' ) .
			Xml::tags( 'td', null, Xml::element( 'img', array( 'src' => "{$path}/folder.png" ) ) ) .
			Xml::tags( 'td', null, Xml::element( 'b', null, 'Manage pages' ) . ', and put them in folders, so everything has its place.' ) .
			Xml::closeElement( 'tr' ) .
			
			Xml::openElement( 'tr' ) .
			Xml::tags( 'td', null, Xml::element( 'img', array( 'src' => "{$path}/search.png" ) ) ) .
			Xml::tags( 'td', null, Xml::element( 'b', null, 'Search the contents' ) . ', of folders, pages and attachments, to see what others have to say.' ) .
			Xml::closeElement( 'tr' ) .
			
			Xml::openElement( 'tr' ) .
			Xml::tags( 'td', null, Xml::element( 'img', array( 'src' => "{$path}/page_edit.png" ) ) ) .
			Xml::tags( 'td', null, Xml::element( 'b', null, 'Edit pages' ) . ', created by yourself and others, to add new contents or update the old one.' ) .
			Xml::closeElement( 'tr' ) .
			
			Xml::openElement( 'tr' ) .
			Xml::tags( 'td', null, Xml::element( 'img', array( 'src' => "{$path}/comment_add.png" ) ) ) .
			Xml::tags( 'td', null, Xml::element( 'b', null, 'Comment pages' ) . ', to discuss its contents with your team.' ) .
			Xml::closeElement( 'tr' ) .
			
			Xml::openElement( 'tr' ) .
			Xml::tags( 'td', null, Xml::element( 'img', array( 'src' => "{$path}/favorite_add.png" ) ) ) .
			Xml::tags( 'td', null, Xml::element( 'b', null, 'Watch pages' ) . ', that are most important to you, so you can be informed about its changes and edits.' ) .
			Xml::closeElement( 'tr' ) .
			
			Xml::closeElement( 'tbody' ) . Xml::closeElement( 'table' ) . "\n";
		
		return $html;
	}
}