<?php

function wfSajaxGetMathUrl( $term ) {
	$originalLink = MathRenderer::renderMath( $term );

	if (false == strpos($originalLink, "src=\"")) {
		return "";
	}

	$srcPart = substr($originalLink, strpos($originalLink, "src=")+ 5);
	$url = strtok($srcPart, '"');

	return $url;
}

function wfSajaxGetImageUrl( $term ) {
	global $wgExtensionFunctions, $wgTitle;

	$options = new FCKeditorParserOptions();
	$options->setTidy(true);
	$parser = new FCKeditorParser();

	if (in_array("wfCite", $wgExtensionFunctions)) {
		$parser->setHook('ref', array($parser, 'ref'));
		$parser->setHook('references', array($parser, 'references'));
	}
	$parser->setOutputType(OT_HTML);
	$originalLink = $parser->parse("[[Image:".$term."]]", $wgTitle, $options)->getText();
	if (false == strpos($originalLink, "src=\"")) {
		return "";
	}

	$srcPart = substr($originalLink, strpos($originalLink, "src=")+ 5);
	$url = strtok($srcPart, '"');

	return $url;
}

function wfSajaxSearchSpecialTagFCKeditor($empty) {
	global $wgParser, $wgRawHtml;

	$ret = "nowiki\nincludeonly\nonlyinclude\nnoinclude\ngallery\n";
	if( $wgRawHtml )
	{
		$ret.="html\n";
	}
	foreach ($wgParser->getTags() as $h) {
		if (!in_array($h, array("pre", "math", "ref", "references"))) {
			$ret .= $h ."\n";
		}
	}
	$arr = explode("\n", $ret);
	sort($arr);
	$ret = implode("\n", $arr);
	
	return $ret;
}

function wfSajaxSearchImageFCKeditor( $term ) {
	global $wgContLang, $wgOut;
	$limit = 10;

	$term = $wgContLang->checkTitleEncoding( $wgContLang->recodeInput( js_unescape( $term ) ) );
	$term1 = str_replace( ' ', '_', $wgContLang->ucfirst( $term ) );
	$term2 = str_replace( ' ', '_', $wgContLang->lc( $term ) );
	$term3 = str_replace( ' ', '_', $wgContLang->uc( $term ) );
	$term4 = str_replace( ' ', '_', $wgContLang->ucfirst( $term2 ) );
	$term = $term1;

	/*
	if ( strlen( str_replace( '_', '', $term ) )<3 )
	return "";
	*/

    $db =& wfGetDB( DB_SLAVE );
    if ( !empty( $term ) ) {
	    $res = $db->select( 'page', array( 'page_title', 'page_namespace' ),
	    array(  'page_namespace' => NS_IMAGE,
		"page_title LIKE '%". $db->strencode( $term1 ) ."%'".
		"OR (page_title LIKE '%". $db->strencode( $term2 ) ."%') ".
		"OR (page_title LIKE '%". $db->strencode( $term3 ) ."%') ".
		"OR (page_title LIKE '%". $db->strencode( $term4 ) ."%') ",
	    "(SELECT COUNT(*) FROM " . $db->tableName( 'image' ) . " WHERE img_name = page_title AND img_media_type = 'BITMAP' LIMIT 1) = 1" ),
	    "wfSajaxSearch",
	    array( 'LIMIT' => $limit+1, 'ORDER BY' => 'page_touched DESC' )
	    );
    } else {
	    $res = $db->select( 'page', array( 'page_title', 'page_namespace' ),
	    array(  'page_namespace' => NS_IMAGE,
	    "(SELECT COUNT(*) FROM " . $db->tableName( 'image' ) . " WHERE img_name = page_title AND img_media_type = 'BITMAP' LIMIT 1) = 1"),
	    "wfSajaxSearch",
	    array( 'LIMIT' => $limit+1, 'ORDER BY' => 'page_touched DESC' )
	    );
    }
    
	$ret = "";
	$i = 0;
	while ( ( $row = $db->fetchObject( $res ) ) && ( ++$i <= $limit ) ) {
		$file = wfFindFile( Title::newFromRow( $row ) );
		if ( in_array( $file->getExtension(), array( 'png', 'gif', 'jpg', 'jpeg' ) ) ) {
			$ret .= $row->page_title ."\n";
		}
	}

	$term = htmlspecialchars( $term );

	return $ret;
}

function wfSajaxSearchArticleFCKeditor( $term ) {
	global $wgContLang, $wgOut;
	$limit = 10;
	$ns = NS_MAIN;

	$term = $wgContLang->checkTitleEncoding( $wgContLang->recodeInput( js_unescape( $term ) ) );

	if (strpos($term, "Category:") === 0) {
		$ns = NS_CATEGORY;
		$term = substr($term, 9);
		$prefix = "Category:";
	}
	else if (strpos($term, ":Category:") === 0) {
		$ns = NS_CATEGORY;
		$term = substr($term, 10);
		$prefix = ":Category:";
	}
	else if (strpos($term, "Image:") === 0) {
		$ns = NS_IMAGE;
		$term = substr($term, 6);
		$prefix = "Image:";
	}
	else if (strpos($term, ":Image:") === 0) {
		$ns = NS_IMAGE;
		$term = substr($term, 7);
		$prefix = "Image:";
	}
	
	$term1 = str_replace( ' ', '_', $wgContLang->ucfirst( $term ) );
	$term2 = str_replace( ' ', '_', $wgContLang->lc( $term ) );
	$term3 = str_replace( ' ', '_', $wgContLang->uc( $term ) );
	$term4 = str_replace( ' ', '_', $wgContLang->ucfirst( $term2 ) );
	$term = $term1;

	/*
	if ( strlen( str_replace( '_', '', $term ) )<3 ) {
		return "";
	}
	*/

	$db = wfGetDB( DB_SLAVE );
	if ( !empty( $term ) ) {
		$res = $db->select( 'page', 'page_title',
		array(  'page_namespace' => $ns,
		"page_title LIKE '%". $db->strencode( $term1 ) ."%' ".
		"OR (page_title LIKE '%". $db->strencode( $term2 ) ."%') ".
		"OR (page_title LIKE '%". $db->strencode( $term3 ) ."%') ".
		"OR (page_title LIKE '%". $db->strencode( $term4 ) ."%') " ),
		"wfSajaxSearch",
		array( 'LIMIT' => $limit+1 )
		);
	} else {
		$res = $db->select( 'page', 'page_title',
		array(  'page_namespace' => $ns ),
		"wfSajaxSearch",
		array( 'ORDER BY' => 'page_touched DESC', 'LIMIT' => $limit+1 )
		);
	}

	$ret = "";
	$i = 0;
	while ( ( $row = $db->fetchObject( $res ) ) && ( ++$i <= $limit ) ) {
		/*
		if (isset($prefix) && !is_null($prefix)) {
			$ret .= $prefix;
		}
		*/
		$ret .= $row->page_title ."\n";
	}

	$term = htmlspecialchars( $term );

	return $ret;
}

function wfSajaxSearchTemplateFCKeditor($empty) {
	global $wgContLang, $wgOut;
	$ns = NS_TEMPLATE;

	$db = wfGetDB( DB_SLAVE );
	$res = $db->select( 'page', 'page_title',
	array( 'page_namespace' => $ns),
	"wfSajaxSearch"
	);

	$ret = "";
	while ( $row = $db->fetchObject( $res ) ) {
		$ret .= $row->page_title ."\n";
	}

	return $ret;
}

function wfSajaxGetCategoryTreeFCKeditor($pageId, $showSelf)
{
	$showSelf = ( trim($showSelf) == 'false' ) ? false : true;
    $jQCT = new jQueryCategoryTree('jqct');
    return $jQCT->getDataJSON( Title::newFromID( $pageId ), false, $showSelf );
}

function wfSajaxDoCategoryTreeDeleteFCKeditor($id)
{
	global $wgUser;
	$article = Article::newFromID( $id );	
	if ( ! $article instanceof Article ) return 'false';
	$r =& BusinessWikiPermissions_Restrictions::getInstanceFromId( $id );
	$re = $r->validate('delete',$wgUser->mId);
	if( ! $re ) return 'false';
	
	return jQueryCategoryTree::delete( $id );
}

function wfSajaxDoCategoryTreeRenameFCKeditor($id, $value)
{
	global $wgUser;
	$refId = $id;
	if( strpos( $refId, 'sub-' )!==false ) list( $refId ) = sscanf( $id, 'sub-%d' );
	if( $refId == 0 ){
		if ( !in_array( 'sysop', $wgUser->getGroups() ) ) return 'false-permisions';
	return jQueryCategoryTree::rename( $id, $value );
}
	$article = Article::newFromID( $refId );
	if ( ! $article instanceof Article ) return 'false-problem';
	$r =& BusinessWikiPermissions_Restrictions::getInstanceFromId( $refId );
	$re = $r->validate('edit',$wgUser->mId);
	if( ! $re ) return 'false-permisions';
	return jQueryCategoryTree::rename( $id, $value );
}

function wfSajaxDoCategoryTreeMoveFCKeditor($id, $refId)
{
	global $wgUser;
	$article = Article::newFromID( $id ); if ( ! $article instanceof Article ) return 'false';
	$article = Article::newFromID( $refId ); if ( ! $article instanceof Article ) return 'false';
	$r =& BusinessWikiPermissions_Restrictions::getInstanceFromId( $id );
	$re = $r->validate('move',$wgUser->mId);
	if( ! $re ) return 'false-permisions';
	$r =& BusinessWikiPermissions_Restrictions::getInstanceFromId( $refId );
	$re = $r->validate('edit',$wgUser->mId);
	if( ! $re ) return 'false-permisions';
	return jQueryCategoryTree::move( Title::newFromId( $id ), Title::newFromId( $refId ) );
}

function wfSajaxWikiToHTML( $wiki ) {
	global $wgTitle;

	$options = new FCKeditorParserOptions();
	$options->setTidy(true);
	$parser = new FCKeditorParser();
	$parser->setOutputType(OT_HTML);

	wfSajaxToggleFCKeditor('show');		//FCKeditor was switched to visible
	return $parser->parse($wiki, $wgTitle, $options)->getText();
}
function wfSajaxToggleFCKeditor($data) {
	global $wgFCKEditorSaveUserSetting;

	if($data == 'show'){
		$_SESSION['showMyFCKeditor'] = RTE_VISIBLE;	//visible last time
	}
	else {
		$_SESSION['showMyFCKeditor'] = 0;	//invisible
	}
	return "SUCCESS";
}

function wfSajaxGetAttachmentsTableFCKeditor( $pageId, $token ) {
	return Attachments::getTableFCKeditor( $pageId, $token );
}

function wfSajaxDoAttachmentDeleteFCKeditor( $pageId, $token, $fileName ) {
	$title = Title::makeTitle( NS_IMAGE, $fileName );
	$file = wfFindFile( $title );
	if ( !$file ) {
		$file = wfLocalFile( $title );
	}
	$oldimage = '';
	
	FileDeleteForm::doDelete( $title, $file, $oldimage, '', '' );
	
	return wfSajaxGetAttachmentsTableFCKeditor( $pageId, $token );
}

function wfSajaxCreateCategory( $name, $refId ) {
	$title = Title::newFromText( $name, NS_CATEGORY );
	
	if ( $title->exists() ) return 'false';
	
	$article = new Article( $title );
	$article->doEdit( ' ', '', EDIT_NEW | EDIT_AUTOSUMMARY );
	
	jQueryCategoryTree::move( $title, Title::newFromID( $refId ) );
	
	return $title->getLocalURL();
}

function wfSajaxCheckIfPageExists( $name, $ns, $parentId ) {
	$title = Title::newFromText( $name );
	
	if ( !$title->exists() ) {
		return 'true';
	} else {
		if ( $ns == NS_SPECIAL || $ns == NS_MAIN ) {
			return 'false';
		} else {
			$parentText = Title::newFromID( $parentId )->getBaseText();
			$newName = $title->getBaseText() . ' (' . $parentText . ')';
			if ( Title::newFromText( $newName )->exists() ) {
				return 'false'; 
			} else {
				return $newName;
			}
		}
	}
}

function wfSajaxCheckIfFileExists( $name ) {
	$file = wfFindFile( $name );
	
	return empty( $file ) ? 'false' : 'true';
}
