<?php

/**
 * MediaWiki LoginRequired extension
 */

if ( ! defined( 'MEDIAWIKI' ) )
	die( 1 );
	
$wgLoginRequired = true;

$wgFCKEditorDummy = true;
	
$wgHooks['UserLoginForm'][] = 'LoginRequired::onUserLoginOrCreateForm';
$wgHooks['UserCreateForm'][] = 'LoginRequired::onUserLoginOrCreateForm';
$wgHooks['OutputPageBeforeHTML'][] = 'LoginRequired::onOutputPageBeforeHTML';
$wgHooks['BeforePageDisplay'][] = 'LoginRequired::onBeforePageDisplay';

$wgAutoloadClasses['UserloginTemplate2'] = dirname( __FILE__ ) . '/Userlogin2.php';
$wgAutoloadClasses['UsercreateTemplate2'] = dirname( __FILE__ ) . '/Userlogin2.php';

class LoginRequired
{
	public static function onUserLoginOrCreateForm() {
		global $wgUser, $wgFCKEditorDummy;
		
		if ( !$wgUser->isLoggedIn() ) {
			$wgFCKEditorDummy = false;
		}
		
		return true;
	}
	
	public static function onOutputPageBeforeHTML( OutputPage &$out ) {
		global $wgUser, $wgTitle, $wgFCKEditorDummy, $wgLoginRequired;
	
		if ( $wgLoginRequired ) {
    		$UserLogin = SpecialPage::getTitleFor( 'UserLogin' );
    		
    		if ( !$wgUser->isLoggedIn() && !$wgTitle->equals( $UserLogin ) ) {
    			$out->redirect( $UserLogin->getLocalURL() );
    		}
		}

		return true;
	}
	
	public static function onBeforePageDisplay( OutputPage &$out, Skin &$skin ) {
		global $wgUser, $wgTitle, $wgDefaultSkin, $wgLoginRequired;
		
		if ( $wgLoginRequired ) {
    		if ( !$wgUser->isLoggedIn() ) {
    			$skin = Skin::newFromKey( "{$wgDefaultSkin}login" );
    		}
		}
		
		return true;
	}
}