<?php
/**
 * @defgroup Templates Templates
 * @file
 * @ingroup Templates
 */
if( !defined( 'MEDIAWIKI' ) ) die( -1 );

/**
 * HTML template for Special:Userlogin form
 * @ingroup Templates
 */
class UserloginTemplate2 extends QuickTemplate {
	function execute() {
		if( $this->data['message'] ) {
?>
	<div class="<?php $this->text('messagetype') ?>box" style="float: none; width: 500px; margin-left: auto; margin-right: auto;">
		<?php if ( $this->data['messagetype'] == 'error' ) { ?>
			<h2><?php $this->msg('loginerror') ?>:</h2>
		<?php } ?>
		<?php $this->html('message') ?>
	</div>
	<div class="visualClear"></div>
<?php } ?>

<div id="loginstart"><?php $this->msgWiki( 'loginstart' ); ?></div>
<div id="userloginForm">
<form name="userlogin" id="userlogin" method="post" action="<?php $this->text('action') ?>" style="display: block; float: none; margin: 10px auto; width: 400px;">
	<h2><?php $this->msg('login') ?> *</h2>
	<?php $this->html('header'); /* pre-table point for form plugins... */ ?>
	<?php if( @$this->haveData( 'languages' ) ) { ?><div id="languagelinks"><p><?php $this->html( 'languages' ); ?></p></div><?php } ?>
	<table style="width: 100%;">
		<tr>
			<td class="mw-label" style="padding-right: 10px;"><label for='wpName1'><?php $this->msg('yourname') ?></label></td>
			<td class="mw-input">
				<input type='text' class='loginText' name="wpName" id="wpName1"
					tabindex="1"
					value="<?php $this->text('name') ?>" size='20' />
			</td>
		</tr>
		<tr>
			<td class="mw-label" style="padding-right: 10px;"><label for='wpPassword1'><?php $this->msg('yourpassword') ?></label></td>
			<td class="mw-input">
				<input type='password' class='loginPassword' name="wpPassword" id="wpPassword1"
					tabindex="2"
					value="" size='20' />
			</td>
		</tr>
	<?php if( $this->data['usedomain'] ) {
		$doms = "";
		foreach( $this->data['domainnames'] as $dom ) {
			$doms .= "<option>" . htmlspecialchars( $dom ) . "</option>";
		}
	?>
		<tr>
			<td class="mw-label" style="padding-right: 10px;"><?php $this->msg( 'yourdomainname' ) ?></td>
			<td class="mw-input">
				<select name="wpDomain" value="<?php $this->text( 'domain' ) ?>"
					tabindex="3">
					<?php echo $doms ?>
				</select>
			</td>
		</tr>
	<?php }
	if( $this->data['canremember'] ) { ?>
		<tr>
			<td class="mw-input" colspan="2" style="text-align: center;">
				<input type='checkbox' name="wpRemember"
					tabindex="4"
					value="1" id="wpRemember"
					<?php if( $this->data['remember'] ) { ?>checked="checked"<?php } ?>
					/> <label for="wpRemember"><?php $this->msg('remembermypassword') ?></label>
			</td>
		</tr>
		<?php } ?>
		<tr>
			<td class="mw-submit" colspan="2" style="text-align: center; padding: 10px;">
				<input type='submit' name="wpLoginattempt" id="wpLoginattempt" tabindex="5" value="<?php $this->msg('login') ?>" />
			</td>
		</tr>
	</table>
<?php if( @$this->haveData( 'uselang' ) ) { ?><input type="hidden" name="uselang" value="<?php $this->text( 'uselang' ); ?>" /><?php } ?>
	<div id="userloginprompt" style="text-align: center;"><p>* <?php  $this->msg('loginprompt') ?></p></div>
	<input type="hidden" id="command" name="" value="<?php $this->msg('mailmypassword') ?>" />
</form>
<form style="display: block; float: none; margin: 10px auto; width: 400px;" method="post" action="<?php $this->text('action') ?>">
	<?php if( $this->data['useemail'] && $this->data['canreset']) { ?>
	<script type="text/javascript">
		function mailmypassword() {
			var e = document.getElementById('getPassword');
			var display = e.style.display;
			e.style.display = ( display == 'none' ) ? '' : 'none';
		}
	</script>
	<p><?= wfMsg( 'nopassword' ) ?> <strong><a href="#" onclick="mailmypassword(); return false;"><?= wfMsg( 'getnewpassword' ) ?></a></strong></p>
	<table style="width: 100%; display: none;" id="getPassword">
		<tr>
			<td><label for='wpName2'><?php $this->msg('yourname') ?></label></td>
			<td><input type='text' class='loginText' id="wpName2" name="wpName" value="<?php $this->text('name') ?>" size='15' /></td>
			<td><input type="submit" name="wpMailmypassword" value="<?php $this->msg('mailmypassword') ?>" /></td>
		</tr>
	</table>	
	<?php } ?>
	<p id="userloginlink"><?php $this->html('link') ?></p>
</form>
</div>
<div id="loginend"><?php $this->msgWiki( 'loginend' ); ?></div>
<?php

	}
}

/**
 * @ingroup Templates
 */
class UsercreateTemplate2 extends QuickTemplate {
	function addInputItem( $name, $value, $type, $msg ) {
		$this->data['extraInput'][] = array(
			'name' => $name,
			'value' => $value,
			'type' => $type,
			'msg' => $msg,
		);
	}
	
	function execute() {
		if( $this->data['message'] ) {
?>
	<div class="<?php $this->text('messagetype') ?>box" style="float: none; width: 500px; margin-left: auto; margin-right: auto;">
		<?php if ( $this->data['messagetype'] == 'error' ) { ?>
			<h2><?php $this->msg('loginerror') ?>:</h2>
		<?php } ?>
		<?php $this->html('message') ?>
	</div>
	<div class="visualClear"></div>
<?php } ?>
<div id="userlogin">

<form name="userlogin2" id="userlogin2" method="post" action="<?php $this->text('action') ?>" style="display: block; float: none; margin: 10px auto; width: 600px;">
	<h2 style="float: left;"><?php $this->msg('createaccount') ?></h2>
	<p id="userloginlink" style="float: right; margin: 0;"><?php $this->html('link') ?></p>
	<div class="visualClear"></div>
	<?php $this->html('header'); /* pre-table point for form plugins... */ ?>
	<?php if( @$this->haveData( 'languages' ) ) { ?><div id="languagelinks"><p><?php $this->html( 'languages' ); ?></p></div><?php } ?>
	<table>
		<tr>
			<td class="mw-label" style="vertical-align: middle; padding-right: 10px;"><label for='wpName2'><?php $this->msg('yourname') ?></label></td>
			<td class="mw-input" colspan="2">
				<input type='text' class='loginText' name="wpName" id="wpName2"
					tabindex="1"
					value="<?php $this->text( 'name' ); ?>" size='20' />
			</td>
		</tr>
		<tr>
			<td class="mw-label" style="vertical-align: middle; padding-right: 10px;"><label for='wpPassword2'><?php $this->msg('yourpassword') ?></label></td>
			<td class="mw-input" colspan="2">
				<input type='password' class='loginPassword' name="wpPassword" id="wpPassword2"
					tabindex="2"
					value="" size='20' />
			</td>
		</tr>
	<?php if( $this->data['usedomain'] ) {
		$doms = "";
		foreach( $this->data['domainnames'] as $dom ) {
			$doms .= "<option>" . htmlspecialchars( $dom ) . "</option>";
		}
	?>
		<tr>
			<td class="mw-label" style="vertical-align: middle; padding-right: 10px;"><?php $this->msg( 'yourdomainname' ) ?></td>
			<td class="mw-input" colspan="2">
				<select name="wpDomain" value="<?php $this->text( 'domain' ) ?>"
					tabindex="3">
					<?php echo $doms ?>
				</select>
			</td>
		</tr>
	<?php } ?>
		<tr>
			<td class="mw-label" style="vertical-align: middle; padding-right: 10px;"><label for='wpRetype'><?php $this->msg('yourpasswordagain') ?></label></td>
			<td class="mw-input" colspan="2">
				<input type='password' class='loginPassword' name="wpRetype" id="wpRetype"
					tabindex="4"
					value=""
					size='20' />
			</td>
		</tr>
		<tr>
			<?php if( $this->data['useemail'] ) { ?>
				<td class="mw-label" style="vertical-align: middle; padding-right: 10px;"><label for='wpEmail'><?php $this->msg('youremail') ?></label></td>
				<td class="mw-input">
					<input type='text' class='loginText' name="wpEmail" id="wpEmail"
						tabindex="5"
						value="<?php $this->text('email') ?>" size='20' />
				</td>
				<td>
					<div class="prefsectiontip">
						<?php if( $this->data['emailrequired'] ) {
									$this->msgWiki('prefs-help-email-required');
						      } else {
									$this->msgWiki('prefs-help-email');
						      } ?>
					</div>
				</td>
			<?php } ?>
			<?php if( $this->data['userealname'] ) { ?>
				</tr>
				<tr>
					<td class="mw-label" style="vertical-align: middle; padding-right: 10px;"><label for='wpRealName'><?php $this->msg('yourrealname') ?></label></td>
					<td class="mw-input">
						<input type='text' class='loginText' name="wpRealName" id="wpRealName"
							tabindex="6"
							value="<?php $this->text('realname') ?>" size='20' />
					</td>
					<td>
						<div class="prefsectiontip">
							<?php $this->msgWiki('prefs-help-realname'); ?>
						</div>					
					</td>
			<?php } ?>
		</tr>
		<?php if( $this->data['canremember'] ) { ?>
		<tr>
			<td class="mw-input" colspan="3" style="text-align: center; padding: 10px;">
				<input type='checkbox' name="wpRemember"
					tabindex="7"
					value="1" id="wpRemember"
					<?php if( $this->data['remember'] ) { ?>checked="checked"<?php } ?>
					/> <label for="wpRemember"><?php $this->msg('remembermypassword') ?></label>
			</td>
		</tr>
<?php   }

		$tabIndex = 8;
?>
		<tr>
			<td class="mw-submit" colspan="3" style="text-align: center;">
				<input type='submit' name="wpCreateaccount" id="wpCreateaccount"
					tabindex="<?php echo $tabIndex++; ?>"
					value="<?php $this->msg('createaccount') ?>" />
				<?php if( $this->data['createemail'] && false) { ?>
				<input type='submit' name="wpCreateaccountMail" id="wpCreateaccountMail"
					tabindex="<?php echo $tabIndex++; ?>"
					value="<?php $this->msg('createaccountmail') ?>" />
				<?php } ?>
			</td>
		</tr>
	</table>
<?php if( @$this->haveData( 'uselang' ) ) { ?><input type="hidden" name="uselang" value="<?php $this->text( 'uselang' ); ?>" /><?php } ?>
</form>
</div>
<div id="signupend"><?php $this->msgWiki( 'signupend' ); ?></div>
<?php

	}
}
