<?php
//not called from the software = no can do.
if( ! defined( 'MEDIAWIKI' ) ) {
    echo( "This file is an extension to the MediaWiki software, and cannot be used standalone.\n" );
    die( 1 );
}
 
//selection depending of version
if( version_compare( $wgVersion, '1.13.0', '>=' ) ) {
        $wgHooks['UserLoginComplete'][] = 'redirectOnLogin1_13';
        $wgHooks['UserLogoutComplete'][] = 'redirectOnLogout1_13';
} else if( version_compare( $wgVersion, '1.4.0', '>=' ) ) {
        $wgHooks['UserLoginComplete'][] = 'redirectOnLogin';
        $wgHooks['UserLogoutComplete'][] = 'redirectOnLogout';
} else {
    echo( "Your version of the MediaWiki software ($wgVersion) is not compatible with this extension.\n 1.4+ needed" );
    die( 1 );
 
}
$wgHooks['UserLoginForm'][] = 'onUserLoginForm';

function onUserLoginForm( &$template ) {
	global $wgRequest;
	
	$action = $template->data['action'];
	$template->set( 'action', $action . '&oldaction=' . $wgRequest->getText( 'oldaction' ) );
	
	return true;
}
 
 
function redirectOnLogin(&$user) {
        global $wgOut, $wgRequest;
        
        $title = Title::newFromDBkey( $wgRequest->getText( 'returnto' ) );
        if ( $title instanceof Title ) {
	        $url = $title->getLocalURL();
	        $wgOut->redirect( $url );
        }
 
        return true;
}

function redirectOnLogout(&$user) {
        global $wgOut;
        $wgOut->redirect( Title::newMainPage()->getLocalURL() );
 
        return true;
}
 
//do the same, it's just that starting 1.13, that hook's functions need a 2nd argument. Our function use neither of them.
function redirectOnLogin1_13(&$user, &$inject_html) {
    return redirectOnLogin($user);
}
 
function redirectOnLogout1_13(&$user, &$inject_html, $oldname) {
    return redirectOnLogout($user);
}

$wgExtensionCredits['other'][] = array(
    'name'=>'redirectOnLogin',
    'version'=> "1.1",
    'author'=>'Wolfgang ten Weges', // [[fr:user:Darkoneko]]
    'url'=>'http://www.mediawiki.org/wiki/Extension:RedirectOnLogin',
    'description' => 'Redirect to any page you want on login'
);