<?php

class SpecialUploadAvatar_BusinessWiki extends SpecialUploadAvatar {
	public function __construct() {
		parent::__construct();
	}
	
	public function execute( $params ) {
		global $wgRequest, $wgOut, $wgUser, $wgScriptPath;

		if( $wgUser->isBlocked() ){
			$wgOut->blockedPage( false );
			return false;
		}
		
		$wgOut->setHTMLTitle( wfMsg('pagetitle', wfMsg('user-profile-picture-title') ) );
		
		$wgOut->setPageTitle( wfMsg( 'user-profile-picture-title' ) );

		$wgOut->addExtensionStyle( "{$wgScriptPath}/extensions/SocialProfile/BusinessWiki/UserProfile/UserProfile.css" );
		
		$wgOut->addHTML( Xml::openElement( 'div', array( 'id' => 'profile', 'class' => 'ui-tabs ui-widget-content ui-corner-all' ) ) );
		
		$this->initAvatar( $wgRequest );
		$this->executeAvatar();
		
		$wgOut->addHTML( Xml::closeElement( 'div' ) );
	}
	
	public function getAvatar( $size ) {
		global $wgUser, $wgDBname, $wgUploadDirectory, $wgUploadPath;
		
		$files = glob($wgUploadDirectory . "/avatars/" . $wgDBname . "_" . $wgUser->getID() .  "_" . $size . "*");
		
		if ( isset( $files[0] ) && $files[0] ){
			return "<img src=\"{$wgUploadPath}/avatars/" .  basename($files[0]) . "\" alt=\"\" border=\"0\" style=\"margin:10px;border:solid 1px #d5d5d5;\">";
		}
	}

	public function showSuccess( $status ) {
		global $wgUser, $wgOut, $wgContLang, $wgDBname, $wgSitename, $wgProfileInterests, $wgUploadPath, $wgUploadAvatarInRecentChanges;
		$log = new LogPage( wfMsgForContent( 'user-profile-picture-log' ) );
		if( !$wgUploadAvatarInRecentChanges ){
			$log->updateRecentChanges = false;
		}
		$log->addEntry( wfMsgForContent( 'user-profile-picture-log' ), $wgUser->getUserPage(), wfMsgForContent( 'user-profile-picture-log-entry' ) );

		$ext = "jpg";

		$output = "";
        /* @ pszreder { */
		// $output .= "<h1>".wfMsg( 'user-profile-picture-title' )."</h1>";
		/* } */
		/* @ pszreder { */
		$output .= Xml::openElement( 'div', array( 'id' => 'mw-profile' ) );
		$output .= UserProfile_BusinessWiki::getEditProfileNav( wfMsg( 'user-profile-section-picture' ), 2 );
		$output .= Xml::openElement( 'div', array( 'id' => 'mw-profile-tab-2' ) );
		/* } */
		$output .= "<div class=\"profile-info\">";
		$output .= "<p class=\"profile-update-title\">" . wfMsgForContent( 'user-profile-picture-yourpicture' ) . "</p>";
		$output .= "<p>" . wfMsgForContent( 'user-profile-picture-yourpicturestext' ) . "</p>";
		if($status==1)$ext = "gif";
		if($status==2)$ext = "jpg";
		if($status==3)$ext = "png";

		$output .= "<table cellspacing='0' cellpadding='0' style='margin-top:20px;'>";
		$output .= "<tr>
			<td valign=top style='color:#797979;font-size:12px;font-weight:bold;padding-bottom:20px;'>" . wfMsgForContent( 'user-profile-picture-large' ) . "</td>
			<td style='padding-bottom:20px;'>
				<img src=\"{$wgUploadPath}/avatars/" . $wgDBname . "_" . $wgUser->mId . "_l." . $ext . "?ts=" .  rand()   . "\" alt=\"\" border=\"0\"/>
			</td>
		</tr>";
		$output .= "<tr>
			<td valign=top style='color:#797979;font-size:12px;font-weight:bold;padding-bottom:20px;'>" . wfMsgForContent( 'user-profile-picture-medlarge' ) . "</td>
			<td style='padding-bottom:20px;'>
				<img src=\"{$wgUploadPath}/avatars/" . $wgDBname . "_" . $wgUser->mId . "_ml." . $ext . "?ts=" .  rand()   . "\" alt=\"\" border=\"0\"/>
			</td>
		</tr>";
		$output .= "<tr>
			<td valign=top style='color:#797979;font-size:12px;font-weight:bold;padding-bottom:20px;'>" . wfMsgForContent( 'user-profile-picture-medium' ) . "</td>
			<td style='padding-bottom:20px;'>
				<img src=\"{$wgUploadPath}/avatars/" . $wgDBname . "_" . $wgUser->mId . "_m." . $ext . "?ts=" .  rand()   . "\" alt=\"\" border=\"0\"/>
			</td>
		</tr>";
		$output .= "<tr>
			<td valign=top style='color:#797979;font-size:12px;font-weight:bold;padding-bottom:20px;'>" . wfMsgForContent( 'user-profile-picture-small' ) . "</td>
			<td style='padding-bottom:20px;'>
				<img src=\"{$wgUploadPath}/avatars/" . $wgDBname . "_" . $wgUser->mId . "_s." . $ext . "?ts" .  rand()   . "\" alt=\"\" border=\"0\"/>
			</td>
		</tr>";
		$output .= "<tr>
			<td>
				<input type='button' onclick='javascript:history.go(-1)' class=\"site-button\" value='" . wfMsgForContent( 'user-profile-picture-uploaddifferent' ) . "'>
			</td>
		</tr>";
		$output .= "</table>";
		$output .= "</div>";

		/* @ pszreder { */
		$script = <<<HEREDOC
<script type="text/javascript">
$(document).ready(function() {
	$('#mw-profile').tabs({
		selected: 2,
		select: function(e, ui) {
			location.href = $(ui.tab).attr('rel');
			return false;
		}
	});
});
</script>		
HEREDOC;
		
		$wgOut->addHTML( $script );
		$output .= Xml::closeElement( 'div' );
		$output .= Xml::closeElement( 'div' );
		/* } */
		
		$wgOut->addHTML($output);
	}
	
	public function mainUploadForm( $msg = '' ) {
	    $template = new UploadAvatarFormTemplate();
	    
		global $wgOut, $wgUser;
		
		$html =
		    UserProfile_BusinessWiki::getEditProfileNav( wfMsg( 'user-profile-section-picture' ), 2 ) .
		    Xml::openElement( 'div', array( 'id' => 'mw-profile-tab-2' ) );
		    
		$template->set( 'avatar', $this->getAvatar( 'l' ) );
		$template->set( 'msg', $msg );
		    
		$html .= $template->fetch();

		$script = <<<HEREDOC
<script type="text/javascript">
$(document).ready(function() {
	$('#mw-profile').tabs({
		selected: 2,
		select: function(e, ui) {
			location.href = $(ui.tab).attr('rel');
			return false;
		}
	});
});
</script>		
HEREDOC;
		
		$wgOut->addHTML( $script );
		$html .=
		    Xml::closeElement( 'div' );

		$wgOut->addHTML( $html );		
	}
}