<?php

require_once( dirname( __FILE__ ) . '/../../UserProfile/UserProfilePage.php' );

class UserProfilePage_BusinessWiki extends UserProfilePage {
    public function __construct( &$title ) {
        parent::__construct( $title );
    }
    
	public function view() {
		global $wgOut, $wgUser, $wgParser;

		$wgOut->setPageTitle( $this->mTitle->getPrefixedText() );
		
		
		# No need to display noarticletext, we use our own message
		if ( !$this->user_id ) {
			parent::view();
			
			return "";
		}
		
		//$wgOut->addHTML( $out );
		
		if( BusinessWiki_User::newFromId($this->user_id)->isBlocked() ){
			
			$wgOut->addHTML("<div id=\"profile-top\">");
			$wgOut->addHTML( $this->getProfileTop( $this->user_id, $this->user_name ) );
			$wgOut->addHTML("<div class=\"cleared\"></div></div>");
			$wgOut->addHTML( '<div>'.wfMsg('user-profile-user-blocked').'</div>' );//Wybrany użytkownik został zablokowany przez Administratora.
			return '';
		}
		
		// BusinessWiki_User::newFromId($user->getId())->isBlocked();

		$wgOut->addHTML("<div id=\"profile-top\">");
		$wgOut->addHTML( $this->getProfileTop( $this->user_id, $this->user_name ) );
		$wgOut->addHTML("<div class=\"cleared\"></div></div>");

		//left side
		$wgOut->addHTML("<div id=\"user-page-left\" style=\"background-color:#fafcff; border:1px solid #cbddff; padding:0pt 1em 1em;\">");
		$wgOut->addHTML( $this->getContactInfo($this->user_name) );
		$wgOut->addHTML("</div>");

		//right side
		$wgOut->addHTML("<div id=\"user-page-right\" style=\"width:55%; background-color:#fafcff; border:1px solid #cbddff; padding:0pt 1em 1em;\">");
		$wgOut->addHTML( $this->getPersonalInfo( $this->user_id, $this->user_name ) );
		$wgOut->addHTML("</div>");
		
		$parserOptions = ParserOptions::newFromUser( $wgUser );
		$parserOptions->setEditSection( false );
		$parserOptions->setTidy( true );

		$parserOutput = $wgParser->parse( $this->fetchContent(), $this->getTitle(), $parserOptions, true, true );
		$body = $parserOutput->getText();
		
		global $wgContLanguageCode;
		$editLabel = ($wgContLanguageCode == 'pl') ? 'Edytuj' : 'Edit this';
		$out = 
		    '<div class="visualClear"></div>' .
		    '<div style="background-color:#fafcff; border:1px solid #cbddff; padding:0pt 1em 1em; margin-top: 20px;">' .
		    '<div class="user-section-heading">
<div class="user-section-title">' . wfMsg('user-content-page') . '</div>
<div class="user-section-actions">
<div class="action-right">' .
( $this->isOwner() ? '<a href="' . $this->getTitle()->getLocalURL() . '&action=edit">' . $editLabel . '</a>' : ' ' ) .
'</div>
<div class="cleared"></div>
</div>
</div>
<div class="cleared"></div>
<div class="' . ( !empty( $body ) ?  'profile-info-container' : 'no-info-container' ) . '">' .
		
		    ( !empty( $body ) ? $body : wfMsg('user-no-content-page') ) .
		    '</div></div>';
		
		$wgOut->addHTML( $out );
	}
	
	function getContactInfo( $user_name ) {
		global $IP, $wgTitle, $wgUser, $wgMemc, $wgUserProfileDisplay;
		
		$data = $this->profile_data;
		
		$template = new UserProfilePageContactInfoTemplate();
		
		$template->set( 'owner', $this->isOwner() );
		$template->set( 'empty',
		    empty( $data['custom_1'] )
		    && empty( $data['custom_2'] )
		    && empty( $data['custom_3'] )
		);
		$template->set( 'phones', $data['custom_1'] );
		$template->set( 'ims', $data['custom_2'] );
		$template->set( 'others', $data['custom_3'] );
		
		$template->set( 'editLink', Title::makeTitle( NS_SPECIAL, 'UpdateProfile' )->escapeFullURL() . '/contact' );
		
		return $template->fetch();
	}
	
	public function getProfileTop( $user_id, $user_name ) {
		global $IP, $wgTitle, $wgUser, $wgMemc, $wgUploadPath;

		if( !$this->profile_data ){
			$profile = new UserProfile($user_name);
			$this->profile_data = $profile->getProfile();
		}
		$profile_data = $this->profile_data;

		//variables and other crap
		$page_title = $wgTitle->getText();
		$title_parts = explode("/", $page_title);
		$user = $title_parts[0];
		$id = User::idFromName($user);
		$user_safe = urlencode($user);

		$update_profile = Title::makeTitle(NS_SPECIAL, "UpdateProfile");
		$upload_avatar = Title::makeTitle(NS_SPECIAL, "UploadAvatar");

		$avatar = new wAvatar($this->user_id, "l");

		$output = '';

		$output .= "<div id=\"profile-image\">
		<img src=\"{$wgUploadPath}/avatars/".$avatar->getAvatarImage()."\" alt=\"\" border=\"0\"/>
		</div>";

		$output .= "<div id=\"profile-right\">";

			$output .= "<div id=\"profile-title-container\">
				<h1 style=\"margin:0px 15px 0px 0px; float:left;\">
					{$user_name}
				</h1>";
				$output .= "<div class=\"cleared\"></div>
			</div>
			<div class=\"profile-actions\">";

		/*
		if ( $this->isOwner() ) {
			$output .= "
			<a href=\"".$update_profile->escapeFullURL()."\">".wfMsg('user-edit-profile')."</a> |
			<a href=\"".$upload_avatar->escapeFullURL()."\">".wfMsg('user-upload-avatar')."</a>
			";
		}
		*/

		$output .= "</div>

		</div>";

		return $output;
	}
}
