<?php
/**
 * @defgroup Templates Templates
 * @file
 * @ingroup Templates
 */
if( !defined( 'MEDIAWIKI' ) ) die( -1 );

/**
 * @ingroup Templates
 */
class UserProfileBasicFormTemplate extends ExtendedQuickTemplate {
	function execute() {
	    extract( $this->data );
?>
<form action="" method="post" enctype="multipart/form-data" name="profile">

<fieldset>
<legend><?= wfMsg( 'user-profile-personal-info' ) ?></legend>
<p class="profile-update-unit-left"><?= wfMsg( 'user-profile-personal-name' ) ?></p>
<p class="profile-update-unit"><input type="text" size="25" name="real_name" id="real_name" value="<?= $realName ?>"/></p>
<div class="cleared"></div>
<p class="profile-update-unit-left"><?= wfMsg( 'user-profile-personal-email' ) ?></p>
<p class="profile-update-unit"><input type="text" size="25" name="email" id="email" value="<?= $email ?>" />
<?php if ( !$emailAuth ): ?>
<a href="<?= Title::makeTitle( NS_SPECIAL, 'Confirmemail' )->getFullURL() ?>"><?= wfMsg( 'user-profile-personal-confirmemail' ) ?></a>
<?php endif; ?>
</p>
<div class="cleared"></div>
<?php if ( !$emailAuth ): ?>
<p class="profile-update-unit-left"></p><p class="profile-update-unit-small"><?= wfMsg('user-profile-personal-email-needs-auth') ?></p>
<?php endif; ?>
</fieldset>

<fieldset>
<legend><?= wfMsg( 'user-profile-personal-location' ) ?></legend>
<p class="profile-update-unit-left"><?= wfMsg( 'user-profile-personal-city' ) ?></p>
<p class="profile-update-unit"><input type="text" size="25" name="location_city" id="location_city" value="<?= $locationCity ?>"/></p>
<div class="cleared"></div>
<p class="profile-update-unit-left" id="location_state_label"><?= wfMsg( 'user-profile-personal-country' ) ?></p>
<p class="profile-update-unit">
<span id="location_state_form">
</span>
<script>
	displaySection('location_state', '<?= $locationCountry ?>', '<?= $locationState ?>')
</script>
<select name="location_country" id="location_country" onChange="displaySection('location_state',this.value,'')">
<option></option>
<?php foreach ( $countries as $country ): ?>
<option value="<?= $country ?>"<?php if ( $country == $locationCountry ): ?> selected="selected"<?php endif; ?>>
<?= $country ?>
</option>
<?php endforeach; ?>
</select>
</p>
</fieldset>

<fieldset>
<legend><?= wfMsg( 'user-profile-personal-aboutme' ) ?></legend>
<p class="profile-update-unit-left"><?= wfMsg( 'user-profile-personal-aboutme' ) ?></p>
<p class="profile-update-unit">
<textarea name="about" rows="3" cols="75"><?= $about ?></textarea>
</p>
</fieldset>

<fieldset>
<legend><?= wfMsg( 'user-profile-personal-work' ) ?></legend>
<p class="profile-update-unit-left"><?= wfMsg( 'user-profile-personal-occupation' ) ?></p>
<p class="profile-update-unit">
<textarea name="occupation" rows="2" cols="75"><?= $occupation ?></textarea>
</p>
</fieldset>

<fieldset>
<legend><?= wfMsg( 'user-profile-personal-web' ) ?></legend>
<p class="profile-update-unit-left"><?= wfMsg( 'user-profile-personal-websites' ) ?></p>
<p class="profile-update-unit">
<textarea name="websites" rows="2" cols="75"><?= $websites ?></textarea>
</p>
</fieldset>

<div style="margin: 1em; text-align: right;">
<input type="button" class="site-button" value="<?= wfMsg('user-profile-update-button') ?>" size="20" onclick="document.profile.submit()" />
</div>

</form>
<?php
	}
}