<?php
/**
 * Aliases for special pages
 *
 * @file
 * @ingroup Extensions
 */

$aliases = array();

/** English */
$aliases['en'] = array(
	'AddRelationship' => array( 'AddRelationship' ),
	'PopulateUserProfiles' => array( 'PopulateUserProfiles' ),
	'RemoveAvatar' => array( 'RemoveAvatar' ),
	'RemoveRelationship' => array( 'RemoveRelationship' ),
	'SendBoardBlast' => array( 'SendBoardBlast' ),
	'TopFansByStatistic' => array( 'TopFansByStatistic' ),
	'TopUsers' => array( 'TopUsers' ),
	'TopUsersRecent' => array( 'TopUsersRecent' ),
	'ToggleUserPage' => array( 'ToggleUserPage' ),
	'UpdateEditCounts' => array( 'UpdateEditCounts' ),
	'UpdateProfile' => array( 'UpdateProfile' ),
	'UploadAvatar' => array( 'UploadAvatar' ),
	'UserBoard' => array( 'UserBoard' ),
	'ViewRelationshipRequests' => array( 'ViewRelationshipRequests' ),
	'ViewRelationships' => array( 'ViewRelationships' ),
);

/** Arabic (العربية)
 * @author Meno25
 */
$aliases['ar'] = array(
	'AddRelationship' => array( 'إضافة_علاقة' ),
	'PopulateUserProfiles' => array( 'ملء_ملفات_المستخدمين' ),
	'RemoveAvatar' => array( 'إزالة_أفاتر' ),
	'RemoveRelationship' => array( 'إزالة_علاقة' ),
	'SendBoardBlast' => array( 'إرسال_بورد_بلاست' ),
	'TopFansByStatistic' => array( 'أعلى_المعجبين_بواسطة_الإحصاءات' ),
	'TopUsers' => array( 'أعلى_المستخدمين' ),
	'TopUsersRecent' => array( 'أحدث_أعلى_المستخدمين' ),
	'ToggleUserPage' => array( 'تغيير_صفحة_المستخدم' ),
	'UpdateEditCounts' => array( 'تحديث_عدادات_التعديلات' ),
	'UpdateProfile' => array( 'تحديث_الملف' ),
	'UploadAvatar' => array( 'رفع_أفاتر' ),
	'UserBoard' => array( 'مجلس_المستخدم' ),
	'ViewRelationshipRequests' => array( 'عرض_طلبات_العلاقات' ),
	'ViewRelationships' => array( 'عرض_العلاقات' ),
);

/** Egyptian Spoken Arabic (مصرى)
 * @author Meno25
 */
$aliases['arz'] = array(
	'AddRelationship' => array( 'إضافة_علاقة' ),
	'PopulateUserProfiles' => array( 'ملء_ملفات_المستخدمين' ),
	'RemoveAvatar' => array( 'إزالة_أفاتر' ),
	'RemoveRelationship' => array( 'إزالة_علاقة' ),
	'SendBoardBlast' => array( 'إرسال_بورد_بلاست' ),
	'TopFansByStatistic' => array( 'أعلى_المعجبين_بواسطة_الإحصاءات' ),
	'TopUsers' => array( 'أعلى_المستخدمين' ),
	'TopUsersRecent' => array( 'أحدث_أعلى_المستخدمين' ),
	'ToggleUserPage' => array( 'تغيير_صفحة_المستخدم' ),
	'UpdateEditCounts' => array( 'تحديث_عدادات_التعديلات' ),
	'UpdateProfile' => array( 'تحديث_الملف' ),
	'UploadAvatar' => array( 'رفع_أفاتر' ),
	'UserBoard' => array( 'مجلس_المستخدم' ),
	'ViewRelationshipRequests' => array( 'عرض_طلبات_العلاقات' ),
	'ViewRelationships' => array( 'عرض_العلاقات' ),
);

/** German (Deutsch) */
$aliases['de'] = array(
	'AddRelationship' => array( 'Verbindung hinzufügen' ),
	'PopulateUserProfiles' => array( 'Populäre Profile' ),
	'RemoveAvatar' => array( 'Avatar entfernen' ),
	'RemoveRelationship' => array( 'Verbindung entfernen' ),
	'TopUsers' => array( 'Top-Benutzer' ),
	'TopUsersRecent' => array( 'Letzte Top-Benutzer' ),
	'UpdateProfile' => array( 'Profil aktualisieren' ),
	'UploadAvatar' => array( 'Avatar hochladen' ),
	'ViewRelationshipRequests' => array( 'Verbindungsgesuche betrachten' ),
	'ViewRelationships' => array( 'Verbindungen betrachten' ),
);

/** Persian (فارسی) */
$aliases['fa'] = array(
	'AddRelationship' => array( 'افزودن_رابطه' ),
	'TopUsers' => array( 'کاربران_برتر' ),
);

/** Khmer (ភាសាខ្មែរ) */
$aliases['km'] = array(
	'TopUsers' => array( 'អ្នកប្រើប្រាស់សកម្មបំផុត' ),
);

/** Luxembourgish (Lëtzebuergesch) */
$aliases['lb'] = array(
	'AddRelationship' => array( 'Relatioun derbäisetzen' ),
	'PopulateUserProfiles' => array( 'Benotzerprofiler ausfëllen' ),
	'RemoveAvatar' => array( 'Avatar ewechhuelen' ),
	'RemoveRelationship' => array( 'Relatioun ewechhuelen' ),
	'UpdateEditCounts' => array( 'Zielen vun den Ännerungen aktualiséieren' ),
	'UpdateProfile' => array( 'Profil eroplueden' ),
	'UploadAvatar' => array( 'Avatar eroplueden' ),
	'ViewRelationshipRequests' => array( 'Ufroen vu Relatiounen weisen' ),
	'ViewRelationships' => array( 'Relatiounen weisen' ),
);

/** Nedersaksisch (Nedersaksisch) */
$aliases['nds-nl'] = array(
	'AddRelationship' => array( 'Relasie_toevoegen' ),
	'PopulateUserProfiles' => array( 'Gebrukersprefielen_vullen' ),
	'RemoveAvatar' => array( 'Avatar_vortdoon' ),
	'RemoveRelationship' => array( 'Relasie_vortdoon' ),
	'SendBoardBlast' => array( 'Multiberich_versturen' ),
	'TopFansByStatistic' => array( 'Toplieste_fans_per_staotestieken' ),
	'TopUsers' => array( 'Toplieste_gebrukers' ),
	'TopUsersRecent' => array( 'Toplieste_leste_gebrukers' ),
	'ToggleUserPage' => array( 'Gebrukerspagina_wisselen' ),
	'UpdateEditCounts' => array( 'Bewarkingsteller_biewarken' ),
	'UpdateProfile' => array( 'Prefiel_biewarken' ),
	'UploadAvatar' => array( 'Avatar_toevoegen' ),
	'UserBoard' => array( 'Gebrukersbord' ),
	'ViewRelationshipRequests' => array( 'Relasieverzeuken_bekieken' ),
	'ViewRelationships' => array( 'Relasies_bekieken' ),
);

/** Dutch (Nederlands) */
$aliases['nl'] = array(
	'AddRelationship' => array( 'RelatieToevoegen' ),
	'PopulateUserProfiles' => array( 'GebruikersprofielenVullen' ),
	'RemoveAvatar' => array( 'AvatarVerwijderen' ),
	'RemoveRelationship' => array( 'RelatieVerwijderen' ),
	'SendBoardBlast' => array( 'MultiBerichtVersturen' ),
	'TopFansByStatistic' => array( 'ToplijstFansPerStatistieken' ),
	'TopUsers' => array( 'ToplijstGebruikers' ),
	'TopUsersRecent' => array( 'ToplijstRecenteGebruikers' ),
	'ToggleUserPage' => array( 'GebruikerspaginaWisselen' ),
	'UpdateEditCounts' => array( 'BewerkingstellersBijwerken' ),
	'UpdateProfile' => array( 'ProfielBijwerken' ),
	'UploadAvatar' => array( 'AvatarUploaden' ),
	'UserBoard' => array( 'Gebruikersboard' ),
	'ViewRelationshipRequests' => array( 'RelatieverzoekenBekijken' ),
	'ViewRelationships' => array( 'RelatiesBekijken' ),
);

/** Norwegian (bokmål)‬ (‪Norsk (bokmål)‬) */
$aliases['no'] = array(
	'RemoveAvatar' => array( 'Fjern profilbilde' ),
	'UpdateProfile' => array( 'Oppdater profil' ),
	'UploadAvatar' => array( 'Oppdater profilbilde' ),
);

