<?php

if ( ! defined( 'MEDIAWIKI' ) )
	die( 1 );
	
define( 'SOCIALPROFILE', true );
	
$dir = dirname(__FILE__) . '/BusinessWiki/';

// Internationalization files
$wgExtensionMessagesFiles['SocialProfileUserProfile'] = $dir . 'UserProfile/UserProfile.i18n.php';

// Classes to be autoloaded
$wgAutoloadClasses['SpecialUpdateProfile_BusinessWiki'] = $dir . 'UserProfile/SpecialUpdateProfile.php';
$wgAutoloadClasses['SpecialUploadAvatar_BusinessWiki'] = $dir . 'UserProfile/SpecialUploadAvatar.php';

$wgAutoloadClasses['UserProfile_BusinessWiki'] = $dir . 'UserProfile/UserProfileClass.php';
$wgAutoloadClasses['UserProfile_BusinessWiki'] = $dir . 'UserProfile/UserProfileClass.php';

$wgAutoloadClasses['UserProfileBasicFormTemplate'] = $dir . 'UserProfile/templates/UserProfileBasicFormTemplate.php';
$wgAutoloadClasses['UserProfileContactFormTemplate'] = $dir . 'UserProfile/templates/UserProfileContactFormTemplate.php';
$wgAutoloadClasses['UploadAvatarFormTemplate'] = $dir . 'UserProfile/templates/UploadAvatarFormTemplate.php';
$wgAutoloadClasses['UserProfilePageContactInfoTemplate'] = $dir . 'UserProfile/templates/UserProfilePageContactInfoTemplate.php';

// New special pages
$wgSpecialPages['UpdateProfile'] = 'SpecialUpdateProfile_BusinessWiki';
$wgSpecialPages['UploadAvatar'] = 'SpecialUploadAvatar_BusinessWiki';

require_once( $dir . 'UserProfile/UserProfile.php' );

$wgHooks['UserLoginComplete'][] = 'fnSocialProfile_BusinessWiki_patch';

function fnSocialProfile_BusinessWiki_patch() {
    global $wgUploadDirectory;
    
    wfMkdirParents( "{$wgUploadDirectory}/avatars" );
    foreach ( array( 's', 'm', 'ml', 'l' ) as $size ) {
        if ( !file_exists( "{$wgUploadDirectory}/avatars/default_{$size}.gif" ) ) {
            symlink(
                dirname(__FILE__) . '/BusinessWiki/' . "avatars/default_{$size}.gif",
                "{$wgUploadDirectory}/avatars/default_{$size}.gif"
            );
        }
    }
    
    return true;
}