<?php
/**
 * Internationalization file for SystemGifts extension.
 *
 * @ingroup Extensions
 */

$messages = array();

/** English
 * @author Wikia, Inc.
 */
$messages['en'] = array(
	'systemgiftmanager' => 'System Gifts Manager', 
	'ga-addnew' => '+ Add New Gift',
	'ga-back-edit-gift' => 'Back to Edit This Gift',
	'ga-back-gift-list' => 'Back to Gift List',
	'ga-back-link' => '<a href="$1">< Back to $2\'s Profile</a>',
	'ga-choosefile' => 'Choose File:',
	'ga-count' => '$1 has $2 {{PLURAL:$2|award|awards}}.',
	'ga-create-gift' => 'Create gift',
	'ga-created' => 'The gift has been created',
	'ga-currentimage' => 'Current Image',
	'ga-error-message-invalid-link' => 'The link you have entered is invalid.',
	'ga-error-message-no-user' => 'The user you are trying to view does not exist.',
	'ga-error-title' => 'Woops, you took a wrong turn!',
	'ga-file-instructions' => 'Your image must be a jpeg, png or gif (no animated gifs), and must be less than 100kb in size.',
	'ga-gift' => 'gift',
	'ga-gift-given-count' => 'This gift has been given out $1 {{PLURAL:$1|time|times}}',
	'ga-gift-title' => '$1\'s "$2"',
	'ga-giftdesc' => 'gift description',
	'ga-giftimage' => 'gift image',
	'ga-giftname' => 'gift name',
	'ga-gifttype' => 'gift type',
	'ga-goback' => 'Go Back',
	'ga-imagesbelow' => 'Below are your images that will be used on the site',
	'ga-img' => 'add/replace image',
	'ga-large' => 'Large',
	'ga-medium' => 'Medium',
	'ga-mediumlarge' => 'Medium-Large',
	'ga-new' => 'New',
	'ga-next' => 'Next',
	'ga-previous' => 'Prev',
	'ga-recent-recipients-award' => 'Other recent recipients of this award',
	'ga-saved' => 'The gift has been saved',
	'ga-small' => 'Small',
	'ga-threshold' => 'threshold',
	'ga-title' => '$1\'s Awards',
	'ga-uploadsuccess' => 'Upload Success',
	'ga-viewlist' => 'View Gift List',
	'system_gift_received_subject' => 'You have received the $1 Award on {{SITENAME}}!',
	'system_gift_received_body' => 'Hi $1:

You have just received the $2 Award on {{SITENAME}}!

"$3"

Click below to check out your trophy case!

$4

We hope you like it!

Thanks,


The {{SITENAME}} Team

---

Hey, want to stop getting emails from us?  

Click $5
and change your settings to disable email notifications.'
);

/** Finnish (Suomi)
 * @author Jack Phoenix
 */
$messages['fi'] = array(
	'systemgiftmanager' => 'Järjestelmälahjojen hallinta', 
	'ga-addnew' => '+ Lisää uusi lahja',
	'ga-back-edit-gift' => 'Takaisin tämän lahjan muokkaamiseen',
	'ga-back-gift-list' => 'Takaisin lahjalistaan',
	'ga-back-link' => '<a href="$1">< Takaisin käyttäjän $2 profiiliin</a>',
	'ga-choosefile' => 'Valitse tiedosto:',
	'ga-count' => 'Käyttäjällä $1 on $2 {{PLURAL:$2|palkinto|palkintoa}}.',
	'ga-create-gift' => 'Luo lahja',
	'ga-created' => 'Lahja on luotu',
	'ga-currentimage' => 'Tämänhetkinen kuva',
	'ga-error-message-invalid-link' => 'Antamasi linkki on kelvoton.',
	'ga-error-message-no-user' => 'Käyttäjää, jota yrität katsoa, ei ole olemassa.',
	'ga-error-title' => 'Hups, astuit harhaan!',
	'ga-file-instructions' => 'Kuvasi tulee olla jpeg, png tai gif-muotoinen (ei animoituja gif-kuvia) ja sen tulee olla kooltaan alle 100Kb.',
	'ga-gift' => 'lahja',
	'ga-gift-given-count' => 'Tämä lahja on annettu $1 {{PLURAL:$1|kerran|kertaa}}',
	'ga-gift-title' => 'Käyttäjän $1 "$2"',
	'ga-giftdesc' => 'lahjan kuvaus',
	'ga-giftimage' => 'lahjan kuva',
	'ga-giftname' => 'lahjan nimi',
	'ga-gifttype' => 'lahjan tyyppi',
	'ga-goback' => 'Palaa takaisin',
	'ga-imagesbelow' => 'Alapuolella ovat kuvasi, joita käytetään sivustolla',
	'ga-img' => 'lisää/korvaa kuva',
	'ga-large' => 'Suuri',
	'ga-medium' => 'Keskikokoinen',
	'ga-mediumlarge' => 'Keskikokoinen - suuri',
	'ga-new' => 'Uusi',
	'ga-next' => 'Seur.',
	'ga-previous' => 'Edell.',
	'ga-recent-recipients-award' => 'Muut tämän palkinnon tuoreet saajat',
	'ga-saved' => 'Lahja on tallennettu',
	'ga-small' => 'Pieni',
	'ga-threshold' => 'kynnys',
	'ga-title' => 'Käyttäjän $1 palkinnot',
	'ga-uploadsuccess' => 'Tallentaminen onnistui',
	'ga-viewlist' => 'Katso lahjalista',
	'system_gift_received_subject' => 'Olet saanut $1-palkinnon {{GRAMMAR:inessive|{{SITENAME}}}}!',
	'system_gift_received_body' => 'Hei $1:

Olet juuri saanut $2-palkinnon {{GRAMMAR:inessive|{{SITENAME}}}}!

"$3"

Napsauta alapuolella olevaa linkkiä tarkistaaksesi palkintorasiasi!

$4

Toivomme, että pidät siitä!

Kiittäen,


{{GRAMMAR:genitive|{{SITENAME}}}} tiimi

---

Hei, etkö halua enää saada sähköposteja meiltä?

Napsauta $5
ja muuta asetuksiasi poistaaksesi sähköpostitoiminnot käytöstä.',
);

/** Portuguese (Português)
 * @author Vanessa Sabino
 */
$messages['pt'] = array(
	'systemgiftmanager' => 'Gerenciador do Sistema de Presentes', 
	'ga-addnew' => '+ Adicionar Novo Presente',
	'ga-back-edit-gift' => 'Voltar para Editar Este Presente',
	'ga-back-gift-list' => 'Voltar para Lista de Presentes',
	'ga-back-link' => '<a href="$1">< Voltar para Perfil de $2</a>',
	'ga-choosefile' => 'Escolher Arquivo:',
	'ga-count' => '$1 tem $2 {{PLURAL:$2|prêmio|prêmios}}.',
	'ga-create-gift' => 'Criar presente',
	'ga-created' => 'O presente foi criado',
	'ga-currentimage' => 'Imagem Atual',
	'ga-error-message-invalid-link' => 'O link que você colocou é inválido.',
	'ga-error-message-no-user' => 'O usuário que você está tentando ver não existe.',
	'ga-error-title' => 'Ops, você entrou no lugar errado!',
	'ga-file-instructions' => 'Sua imagem precisa ser um jpeg, png or gif (sem gifs animados), e precisa ter tamanho menor que 100kb.',
	'ga-gift' => 'presente',
	'ga-gift-given-count' => 'Este presente foi dado a $1 {{PLURAL:$1|vez|vezes}}',
	'ga-gift-title' => '"$2" de $1',
	'ga-giftdesc' => 'descrição do presente',
	'ga-giftimage' => 'imagem do presente',
	'ga-giftname' => 'nome do presente',
	'ga-gifttype' => 'tipo do presente',
	'ga-goback' => 'Voltar',
	'ga-imagesbelow' => 'Abaixo estão suas imagens que serão usadas no site',
	'ga-img' => 'adicionar/substituir imagem',
	'ga-large' => 'Grande',
	'ga-medium' => 'Médio',
	'ga-mediumlarge' => 'Médio/Grande',
	'ga-new' => 'Novo',
	'ga-next' => 'Próximo',
	'ga-previous' => 'Anterior',
	'ga-recent-recipients-award' => 'Outros ganhadores recentes deste prêmio',
	'ga-saved' => 'Este presente foi salvo',
	'ga-small' => 'Pequeno',
	'ga-threshold' => 'threshold',
	'ga-title' => 'Presentes de $1',
	'ga-uploadsuccess' => 'Upload bem sucedido',
	'ga-viewlist' => 'Ver Lista de Presentes',
	'system_gift_received_subject' => 'Você recebeu o prêmio $1 em {{SITENAME}}!',
	'system_gift_received_body' => 'Oi $1:

Você acaba de receber o prêmio $2 em {{SITENAME}}!

"$3"

Clique abaixo para ver sua estante de troféis!

$4

Esperamos que tenha gostado!

Obrigado,


O Time de {{SITENAME}}

---

Ei, quer parer de receber e-mails de nós?

Clique $5
e altere suas preferências para desabilitar e-mails de notificação.'
);

