<?php
/**
 * Internationalization file for the UserStats extension.
 *
 * @ingroup Extensions
 */

$messages = array();

/** English
 * @author Wikia, Inc.
 */
$messages['en'] = array(
	'user-stats-alltime-title' => 'All-time most points',
	'user-stats-weekly-title' => 'Most points this week',
	'user-stats-monthly-title' => 'Most points this month',
	'topusers' => 'Top users',
	'top-fans-by-points-nav-header' => 'Top fans',
	'top-fans-by-category-nav-header' => 'Top by category',
	'top-fans-total-points-link' => 'Total points',
	'top-fans-weekly-points-link' => 'Points this week',
	'top-fans-monthly-points-link' => 'Points this month',
	'top-fans-points' => 'points',
	'top-fans-by-category-title' => 'Top overall $1',
	'top-fans-bad-field-title' => 'Oops!',
	'top-fans-bad-field-message' => 'The specified stat does not exist.',
	'top-fans-stats-vote-count' => '{{PLURAL:$1|Vote|Votes}}',
	'top-fans-stats-monthly-winner-count' => '{{PLURAL:$1|Monthly win|Monthly wins}}',
	'top-fans-stats-weekly-winner-count' => '{{PLURAL:$1|Weekly win|Weekly wins}}',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|Edit|Edits}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|Comment|Comments}}',
	'top-fans-stats-referrals-completed' => '{{PLURAL:$1|Referral|Referrals}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|Friend|Friends}}',
	'top-fans-stats-foe-count' => '{{PLURAL:$1|Foe|Foes}}',
	'top-fans-stats-opinions-published' => '{{PLURAL:$1|Published opinion|Published opinions}}',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|Opinion|Opinions}}',
	'top-fans-stats-comment-score-positive-rec' => '{{PLURAL:$1|Thumb up|Thumbs up}}',
	'top-fans-stats-comment-score-negative-rec' => '{{PLURAL:$1|Thumb down|Thumbs down}}',
	'top-fans-stats-comment-score-positive-given' => '{{PLURAL:$1|Thumb up give|Thumbs up give}}n',
	'top-fans-stats-comment-score-negative-given' => '{{PLURAL:$1|Thumb down given|Thumbs down given}}',
	'top-fans-stats-gifts-rec-count' => '{{PLURAL:$1|Gift received|Gifts received}}',
	'top-fans-stats-gifts-sent-count' => '{{PLURAL:$1|Gift sent|Gifts sent}}',
	'level-advance-subject' => 'You are now a "$1" on {{SITENAME}}!',
	'level-advance-body' => 'Hi $1:

You are now a "$2" on {{SITENAME}}!

Congratulations,

The {{SITENAME}} Team

---
Hey, want to stop getting emails from us?

Click $3
and change your settings to disable email notifications.'
);

/** Afrikaans (Afrikaans)
 * @author Naudefj
 */
$messages['af'] = array(
	'user-stats-monthly-title' => 'Meeste punte die maand',
	'topusers' => 'Topgebruikers',
	'top-fans-total-points-link' => 'Puntetotaal',
	'top-fans-weekly-points-link' => 'Punte die week',
	'top-fans-monthly-points-link' => 'Punte die maand',
	'top-fans-points' => 'punte',
	'top-fans-stats-vote-count' => '{{PLURAL:$1|Stem|Stemme}}',
);

/** Arabic (العربية)
 * @author Meno25
 */
$messages['ar'] = array(
	'user-stats-alltime-title' => 'أكثر النقاط كل الوقت',
	'user-stats-weekly-title' => 'أكثر النقاط هذا الأسبوع',
	'user-stats-monthly-title' => 'أكثر النقاط هذا الشهر',
	'topusers' => 'أعلى المستخدمين',
	'top-fans-by-points-nav-header' => 'أعلى المعجبين',
	'top-fans-by-category-nav-header' => 'الأعلى بالتصنيف',
	'top-fans-total-points-link' => 'إجمالي النقاط',
	'top-fans-weekly-points-link' => 'النقاط هذا الأسبوع',
	'top-fans-monthly-points-link' => 'النقاط هذا الشهر',
	'top-fans-points' => 'نقاط',
	'top-fans-by-category-title' => 'أعلى إجمالي $1',
	'top-fans-bad-field-title' => 'آه!',
	'top-fans-bad-field-message' => 'الإحصاءات المحددة غير موجودة.',
	'top-fans-stats-vote-count' => '{{PLURAL:$1|تصويت|تصويت}}',
	'top-fans-stats-monthly-winner-count' => '{{PLURAL:$1|فوز شهري|فوز شهري}}',
	'top-fans-stats-weekly-winner-count' => '{{PLURAL:$1|فوز أسبوعي|فوز أسبوعي}}',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|تعديل|تعديل}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|تعليق|تعليق}}',
	'top-fans-stats-referrals-completed' => '{{PLURAL:$1|تراجع|تراجع}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|صديق|صديق}}',
	'top-fans-stats-foe-count' => '{{PLURAL:$1|عدو|عدو}}',
	'top-fans-stats-opinions-published' => '{{PLURAL:$1|رأي منشور|رأي منشور}}',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|رأي|رأي}}',
	'top-fans-stats-comment-score-positive-rec' => '{{PLURAL:$1|وسام|وسام}}',
	'top-fans-stats-comment-score-negative-rec' => '{{PLURAL:$1|عيب|عيب}}',
	'top-fans-stats-comment-score-positive-given' => '{{PLURAL:$1|وسام معطى|وسام معطى}}',
	'top-fans-stats-comment-score-negative-given' => '{{PLURAL:$1|عيب معطى|عيب معطى}}',
	'top-fans-stats-gifts-rec-count' => '{{PLURAL:$1|هدية تم تلقيها|هدية تم تلقيها}}',
	'top-fans-stats-gifts-sent-count' => '{{PLURAL:$1|هدية مرسلة|هدية مرسلة}}',
	'level-advance-subject' => 'أنت الآن "$1" في {{SITENAME}}!',
	'level-advance-body' => 'مرحبا $1:

أنت الآن "$2" في {{SITENAME}}!

تهانينا،

فرق {{SITENAME}}

---
هل تريد التوقف عن تلقي رسائل بريد إلكتروني منا؟

اضغط $3
وغير إعداداتك لتعديل إخطارات البريد الإلكتروني.',
);

/** Egyptian Spoken Arabic (مصرى)
 * @author Meno25
 */
$messages['arz'] = array(
	'user-stats-alltime-title' => 'أكثر النقاط كل الوقت',
	'user-stats-weekly-title' => 'أكثر النقاط هذا الأسبوع',
	'user-stats-monthly-title' => 'أكثر النقاط هذا الشهر',
	'topusers' => 'أعلى المستخدمين',
	'top-fans-by-points-nav-header' => 'أعلى المعجبين',
	'top-fans-by-category-nav-header' => 'الأعلى بالتصنيف',
	'top-fans-total-points-link' => 'إجمالى النقاط',
	'top-fans-weekly-points-link' => 'النقاط هذا الأسبوع',
	'top-fans-monthly-points-link' => 'النقاط هذا الشهر',
	'top-fans-points' => 'نقاط',
	'top-fans-by-category-title' => 'أعلى إجمالى $1',
	'top-fans-bad-field-title' => 'آه!',
	'top-fans-bad-field-message' => 'الإحصاءات المحددة غير موجودة.',
	'top-fans-stats-vote-count' => '{{PLURAL:$1|تصويت|تصويت}}',
	'top-fans-stats-monthly-winner-count' => '{{PLURAL:$1|فوز شهري|فوز شهري}}',
	'top-fans-stats-weekly-winner-count' => '{{PLURAL:$1|فوز أسبوعي|فوز أسبوعي}}',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|تعديل|تعديل}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|تعليق|تعليق}}',
	'top-fans-stats-referrals-completed' => '{{PLURAL:$1|تراجع|تراجع}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|صديق|صديق}}',
	'top-fans-stats-foe-count' => '{{PLURAL:$1|عدو|عدو}}',
	'top-fans-stats-opinions-published' => '{{PLURAL:$1|رأى منشور|رأى منشور}}',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|رأي|رأي}}',
	'top-fans-stats-comment-score-positive-rec' => '{{PLURAL:$1|وسام|وسام}}',
	'top-fans-stats-comment-score-negative-rec' => '{{PLURAL:$1|عيب|عيب}}',
	'top-fans-stats-comment-score-positive-given' => '{{PLURAL:$1|وسام معطى|وسام معطى}}',
	'top-fans-stats-comment-score-negative-given' => '{{PLURAL:$1|عيب معطى|عيب معطى}}',
	'top-fans-stats-gifts-rec-count' => '{{PLURAL:$1|هدية تم تلقيها|هدية تم تلقيها}}',
	'top-fans-stats-gifts-sent-count' => '{{PLURAL:$1|هدية مرسلة|هدية مرسلة}}',
	'level-advance-subject' => 'أنت الآن "$1" فى {{SITENAME}}!',
	'level-advance-body' => 'مرحبا $1:

أنت الآن "$2" فى {{SITENAME}}!

تهانينا،

فرق {{SITENAME}}

---
هل تريد التوقف عن تلقى رسائل بريد إلكترونى منا؟

اضغط $3
وغير إعداداتك لتعديل إخطارات البريد الإلكتروني.',
);

/** Bulgarian (Български)
 * @author DCLXVI
 */
$messages['bg'] = array(
	'user-stats-weekly-title' => 'Най-много точки тази седмица',
	'user-stats-monthly-title' => 'Най-много точки този месец',
	'topusers' => 'Топ потребители',
	'top-fans-by-points-nav-header' => 'Топ фенове',
	'top-fans-total-points-link' => 'Общо точки',
	'top-fans-weekly-points-link' => 'Точки тази седмица',
	'top-fans-monthly-points-link' => 'Точки този месец',
	'top-fans-points' => 'точки',
	'top-fans-bad-field-title' => 'Опа!',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|Редакция|Редакции}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|Коментар|Коментари}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|Приятел|Приятели}}',
	'top-fans-stats-foe-count' => '{{PLURAL:$1|Неприятел|Неприятели}}',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|Мнение|Мнения}}',
	'level-advance-subject' => 'Вече сте „$1“ в {{SITENAME}}!',
);

/** Czech (Česky)
 * @author Matěj Grabovský
 */
$messages['cs'] = array(
	'user-stats-alltime-title' => 'Nejvíc bodů celkem',
	'user-stats-weekly-title' => 'Nejvíc bodů tento týden',
	'user-stats-monthly-title' => 'Nejvíc bodů tento měsíc',
	'topusers' => 'Nej uživatelé',
	'top-fans-by-points-nav-header' => 'Nej fanouškové',
	'top-fans-by-category-nav-header' => 'Nej podle kategorie',
	'top-fans-total-points-link' => 'Celkem bodů',
);

/** German (Deutsch)
 * @author Revolus
 */
$messages['de'] = array(
	'topusers' => 'Top-Benutzer',
	'top-fans-points' => 'Punkte',
	'top-fans-bad-field-title' => 'Hoppla!',
	'level-advance-subject' => 'Du bist jetzt „$1“ auf {{SITENAME}}!',
);

/** Greek (Ελληνικά)
 * @author Consta
 */
$messages['el'] = array(
	'top-fans-stats-edit-count' => '{{PLURAL:$1|Επεξεργασία|Επεξεργασίες}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|Σχόλιο|Σχόλια}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|Φίλος|Φίλοι}}',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|Γνώμη|Γνώμες}}',
);

/** Esperanto (Esperanto)
 * @author Yekrats
 */
$messages['eo'] = array(
	'top-fans-points' => 'poentoj',
	'top-fans-bad-field-title' => 'Ho ve!',
	'top-fans-stats-vote-count' => '{{PLURAL:$1|Voĉdono|Voĉdonoj}}',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|Redakto|Redaktoj}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|Komento|Komentoj}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|Amiko|Amikoj}}',
	'top-fans-stats-foe-count' => '{{PLURAL:$1|Malamiko|Malamikoj}}',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|Opinio|Opinioj}}',
	'top-fans-stats-gifts-rec-count' => '{{PLURAL:$1|Donaco ricevita|Donacoj ricevita}}',
	'top-fans-stats-gifts-sent-count' => '{{PLURAL:$1|Donaco sendita|Donacoj senditaj}}',
	'level-advance-subject' => 'Vi nun estas "$1" en {{SITENAME}}!',
);

/** Finnish (Suomi)
 * @author Jack Phoenix
 */
$messages['fi'] = array(
	'user-stats-alltime-title' => 'Kaikkien aikojen suurimmat pistemäärät',
	'user-stats-weekly-title' => 'Eniten pisteitä tällä viikolla',
	'user-stats-monthly-title' => 'Eniten pisteitä tässä kuussa',
	'topusers' => 'Huippukäyttäjät',
	'top-fans-by-points-nav-header' => 'Huippufanit',
	'top-fans-by-category-nav-header' => 'Huiput luokittain',
	'top-fans-total-points-link' => 'Pisteitä yhteensä',
	'top-fans-weekly-points-link' => 'Pisteitä tällä viikolla',
	'top-fans-monthly-points-link' => 'Pisteitä tässä kuussa',
	'top-fans-points' => 'pistettä',
	'top-fans-bad-field-title' => 'Ups!',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|muokkaus|muokkausta}}',
	'level-advance-subject' => 'Olet nyt "$1" {{GRAMMAR:inessive|{{SITENAME}}}}!',
	'level-advance-body' => 'Hei $1:

Olet nyt "$2" {{GRAMMAR:inessive|{{SITENAME}}}}!

Onneksi olkoon,

{{GRAMMAR:genitive|{{SITENAME}}}} tiimi

---
Hei, etkö enää halua saada sähköpostia meiltä?

Napsauta $3
ja muuta asetuksiasi poistaaksesi sähköposti-ilmoitukset käytöstä.',
);

/** French (Français)
 * @author Cedric31
 * @author Grondin
 */
$messages['fr'] = array(
	'user-stats-alltime-title' => 'Points les plus élevés toutes périodes confondues',
	'user-stats-weekly-title' => 'Points les plus élevés cette semaine',
	'user-stats-monthly-title' => 'Points les plus élevés ce mois-ci',
	'topusers' => 'Top des utilisateurs',
	'top-fans-by-points-nav-header' => 'Top des fans',
	'top-fans-by-category-nav-header' => 'Top par catégorie',
	'top-fans-total-points-link' => 'Total des points',
	'top-fans-weekly-points-link' => 'Points de cette semaine',
	'top-fans-monthly-points-link' => 'Points de ce mois-ci',
	'top-fans-points' => 'points',
	'top-fans-by-category-title' => 'Top général de $1',
	'top-fans-bad-field-title' => 'Zut !',
	'top-fans-bad-field-message' => 'La statistique indiquée n’existe pas.',
	'top-fans-stats-vote-count' => '{{PLURAL:$1|Vote|Votes}}',
	'top-fans-stats-monthly-winner-count' => '{{PLURAL:$1|victoire mensuelle|victoires mensuelles}}',
	'top-fans-stats-weekly-winner-count' => '{{PLURAL:$1|victoire hebdomadaire|victoires hebdomadaires}}',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|modification|modifications}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|commentaire|commentaires}}',
	'top-fans-stats-referrals-completed' => '{{PLURAL:$1|référence|références}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|ami|amis}}',
	'top-fans-stats-foe-count' => '{{PLURAL:$1|ennemi|ennemis}}',
	'top-fans-stats-opinions-published' => '{{PLURAL:$1|opinion publiée|opinions publiées}}',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|opinion|opinions}}',
	'top-fans-stats-comment-score-positive-rec' => '{{PLURAL:$1|bravo|bravos}}',
	'top-fans-stats-comment-score-negative-rec' => '{{PLURAL:$1|nul|nuls}}',
	'top-fans-stats-comment-score-positive-given' => '{{PLURAL:$1|bravo attribué|bravos attribués}}',
	'top-fans-stats-comment-score-negative-given' => '{{PLURAL:$1|nul attribué|nuls attribués}}',
	'top-fans-stats-gifts-rec-count' => '{{PLURAL:$1|cadeau reçu|cadeaux reçus}}',
	'top-fans-stats-gifts-sent-count' => '{{PLURAL:$1|cadeau envoyé|cadeaux envoyés}}',
	'level-advance-subject' => 'Vous avez désormais un « $1 » sur {{SITENAME}} !',
	'level-advance-body' => "Salut $1 : 

Vous avez maintenant un « $2 » sur {{SITENAME}} !

Toutes nos félicitations,

L'équipe de {{SITENAME}}

---
Voulez-vous arrêter de recevoir des courriels de notre part ?

Cliquez $3
et modifiez vos paramètres en désactivant les notifications par courriel.",
);

/** Galician (Galego)
 * @author Toliño
 */
$messages['gl'] = array(
	'user-stats-alltime-title' => 'Os que obtiveron máis puntos en total',
	'user-stats-weekly-title' => 'Máis puntos nesta semana',
	'user-stats-monthly-title' => 'Máis puntos neste mes',
	'topusers' => 'Usuarios máis votados',
	'top-fans-by-points-nav-header' => 'Seguidores máis votados',
	'top-fans-by-category-nav-header' => 'Máis votados por categoría',
	'top-fans-total-points-link' => 'Puntos totais',
	'top-fans-weekly-points-link' => 'Puntos nesta semana',
	'top-fans-monthly-points-link' => 'Puntos neste mes',
	'top-fans-points' => 'puntos',
	'top-fans-by-category-title' => 'Máis votados en xeral na categoría $1',
	'top-fans-bad-field-title' => 'Vaites!',
	'top-fans-bad-field-message' => 'A estatística especificada non existe.',
	'top-fans-stats-vote-count' => '{{PLURAL:$1|Voto|Votos}}',
	'top-fans-stats-monthly-winner-count' => '{{PLURAL:$1|Vitoria mensual|Vitorias mensuais}}',
	'top-fans-stats-weekly-winner-count' => '{{PLURAL:$1|Vitoria semanal|Vitorias semanais}}',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|Edición|Edicións}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|Comentario|Comentarios}}',
	'top-fans-stats-referrals-completed' => '{{PLURAL:$1|Referencia|Referencias}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|Amigo|Amigos}}',
	'top-fans-stats-foe-count' => '{{PLURAL:$1|Inimigo|Inimigos}}',
	'top-fans-stats-opinions-published' => '{{PLURAL:$1|Opinión publicada|Opinións publicadas}}',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|Opinión|Opinións}}',
	'top-fans-stats-comment-score-positive-rec' => '{{PLURAL:$1|Aprobación|Aprobacións}}',
	'top-fans-stats-comment-score-negative-rec' => '{{PLURAL:$1|Desaprobación|Desaprobacións}}',
	'top-fans-stats-comment-score-positive-given' => '{{PLURAL:$1|Aprobación dada|Aprobacións dadas}}',
	'top-fans-stats-comment-score-negative-given' => '{{PLURAL:$1|Desaprobación dada|Desaprobacións dadas}}',
	'top-fans-stats-gifts-rec-count' => '{{PLURAL:$1|Agasallo recibido|Agasallos recibidos}}',
	'top-fans-stats-gifts-sent-count' => '{{PLURAL:$1|Agasallo enviado|Agasallos enviados}}',
	'level-advance-subject' => 'Agora é un "$1" en {{SITENAME}}!',
	'level-advance-body' => 'Ola, $1:

Agora é un "$2" en {{SITENAME}}!

Parabéns,

O equipo de {{SITENAME}}

---
Quere deixar de recibir correos electrónicos nosos?

Faga clic $3
e troque as súas configuracións para deshabilitar as notificacións por correo electrónico.',
);

/** Hebrew (עברית)
 * @author Rotemliss
 * @author YaronSh
 */
$messages['he'] = array(
	'user-stats-alltime-title' => 'מספר הנקודות המירבי בכל הזמנים',
	'user-stats-weekly-title' => 'מספר הנקודות המירבי השבוע',
	'user-stats-monthly-title' => 'מספר הנקודות המירבי החודש',
	'topusers' => 'המשתמשים המובילים',
	'top-fans-by-points-nav-header' => 'המעריצים המובילים',
	'top-fans-by-category-nav-header' => 'מובילים לפי קטגוריה',
	'top-fans-total-points-link' => 'סך כל הנקודות',
	'top-fans-weekly-points-link' => 'נקודות השבוע',
	'top-fans-monthly-points-link' => 'נקודות החודש',
	'top-fans-points' => 'נקודות',
	'top-fans-by-category-title' => 'סך כל המובילים $1',
	'top-fans-bad-field-title' => 'אופס!',
	'top-fans-bad-field-message' => 'הסטטיסטיקה שצוינה אינה קיימת.',
	'top-fans-stats-vote-count' => '{{PLURAL:$1|הצבעה|הצבעות}}',
	'top-fans-stats-monthly-winner-count' => '{{PLURAL:$1|נצחון חודשי|נצחונות חודשיים}}',
	'top-fans-stats-weekly-winner-count' => '{{PLURAL:$1|נצחון שבועי|נצחונות שבועיים}}',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|עריכה|עריכות}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|הערה|הערות}}',
	'top-fans-stats-referrals-completed' => '{{PLURAL:$1|הפניה|הפניות}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|חבר|חברים}}',
	'top-fans-stats-foe-count' => '{{PLURAL:$1|יריב|יריבים}}',
	'top-fans-stats-opinions-published' => '{{PLURAL:$1|דעה שפורסמה|דעות שפורסמו}}',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|דעה|דעות}}',
	'top-fans-stats-comment-score-positive-rec' => '{{PLURAL:$1|המלצה|המלצות}}',
	'top-fans-stats-comment-score-negative-rec' => '{{PLURAL:$1|גינוי|גינויים}}',
	'top-fans-stats-comment-score-positive-given' => '{{PLURAL:$1|ניתנה המלצה|ניתנו המלצות}}',
	'top-fans-stats-comment-score-negative-given' => '{{PLURAL:$1|ניתן גינוי|ניתנו גינויים}}',
	'top-fans-stats-gifts-rec-count' => '{{PLURAL:$1|התקבלה מתנה|התקבלו מתנות}}',
	'top-fans-stats-gifts-sent-count' => '{{PLURAL:$1|נשלחה מתנה|נשלחו מתנות}}',
	'level-advance-subject' => 'כעת הינכם  "$1" ב{{grammar:תחילית|{{SITENAME}}}}!',
	'level-advance-body' => 'שלום $1:

כעת הנכם "$2" ב{{grammar:תחילית|{{SITENAME}}}}!

ברכותינו,

צוות {{SITENAME}}

---
מעוניינים להפסיק לקבל מאיתנו הודעות?

לחצו $3
ושנו את הגדרותיכם כדי לבטל התראות בדואר אלקטרוני.',
);

/** Upper Sorbian (Hornjoserbsce)
 * @author Michawiki
 */
$messages['hsb'] = array(
	'user-stats-alltime-title' => 'Najwjace dypkow za cyłu dobu',
	'user-stats-weekly-title' => 'Najwjace dypkow tutón tydźeń',
	'user-stats-monthly-title' => 'Najwjace dypkow tutón měsac',
	'topusers' => 'Najlěpši wužiwarjo',
	'top-fans-by-points-nav-header' => 'Najlěpši přiwisnicy',
	'top-fans-by-category-nav-header' => 'Najlěpši po kategoriji',
	'top-fans-total-points-link' => 'Dypki w cyłku',
	'top-fans-weekly-points-link' => 'Dypki tutón tydźeń',
	'top-fans-monthly-points-link' => 'Dypki tutón měsac',
	'top-fans-points' => 'dypki',
);

/** Interlingua (Interlingua)
 * @author McDutchie
 */
$messages['ia'] = array(
	'user-stats-alltime-title' => 'Le plus punctos de omne tempore',
	'user-stats-weekly-title' => 'Le plus punctos de iste septimana',
	'user-stats-monthly-title' => 'Le plus punctos de iste mense',
	'topusers' => 'Usatores supreme',
	'top-fans-by-points-nav-header' => 'Admiratores supreme',
	'top-fans-by-category-nav-header' => 'Summitate per categoria',
	'top-fans-total-points-link' => 'Total del punctos',
	'top-fans-weekly-points-link' => 'Punctos de iste septimana',
	'top-fans-monthly-points-link' => 'Punctos de iste mense',
	'top-fans-points' => 'punctos',
	'top-fans-by-category-title' => 'Summitate general $1',
	'top-fans-bad-field-title' => 'Ups!',
	'top-fans-bad-field-message' => 'Le statistica specificate non existe.',
	'top-fans-stats-vote-count' => '{{PLURAL:$1|Voto|Votos}}',
	'top-fans-stats-monthly-winner-count' => '{{PLURAL:$1|Victoria mensual|Victorias mensual}}',
	'top-fans-stats-weekly-winner-count' => '{{PLURAL:$1|Victoria septimanal|Victorias septimanal}}',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|Modification|Modificationes}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|Commento|Commentos}}',
	'top-fans-stats-referrals-completed' => '{{PLURAL:$1|Referentia|Referentias}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|Amico|Amicos}}',
	'top-fans-stats-foe-count' => '{{PLURAL:$1|Inimico|Inimicos}}',
	'top-fans-stats-opinions-published' => '{{PLURAL:$1|Opinion|Opiniones}} publicate',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|Opinion|Opiniones}}',
	'top-fans-stats-comment-score-positive-rec' => '{{PLURAL:$1|Acclamation|Acclamationes}}',
	'top-fans-stats-comment-score-negative-rec' => '{{PLURAL:$1|Disapprobation|Disapprobationes}}',
	'top-fans-stats-comment-score-positive-given' => '{{PLURAL:$1|Acclamation|Acclamationes}} date',
	'top-fans-stats-comment-score-negative-given' => '{{PLURAL:$1|Disapprobation|Disapprobationes}} date',
	'top-fans-stats-gifts-rec-count' => '{{PLURAL:$1|Dono|Donos}} recipite',
	'top-fans-stats-gifts-sent-count' => '{{PLURAL:$1|Dono|Donos}} inviate',
	'level-advance-subject' => 'Tu es ora un "$1" in {{SITENAME}}!',
	'level-advance-body' => 'Salute $1,

Tu es ora un "$2" in {{SITENAME}}!

Felicitationes,

Le equipa de {{SITENAME}}

---
Tu non vole reciper plus e-mail de nos?

Clicca $3
e disactiva in tu preferentias le notificationes per e-mail.',
);

/** Ripoarisch (Ripoarisch)
 * @author Purodha
 */
$messages['ksh'] = array(
	'user-stats-alltime-title' => 'De miehßte Punkte övver alle Zick',
	'user-stats-weekly-title' => 'De miehßte Punkte övver diß Woch',
	'user-stats-monthly-title' => 'De miehßte Punkte disse Mohnd',
	'top-fans-stats-vote-count' => '{{PLURAL:$1|Stemm|Stemme}}',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|Änderung|Änderunge}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|Kommentaa|Kommentaare}}',
	'top-fans-stats-referrals-completed' => '{{PLURAL:$1|Verwies|Verwiese}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|Frünnd|Frünnde}}',
	'top-fans-stats-foe-count' => '{{PLURAL:$1|Feind|Feinde}}',
	'top-fans-stats-opinions-published' => '{{PLURAL:$1|öffentlesch afjejovve Meinung|veröffentleschte Meinunge}}',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|Meinung|Meinunge}}',
	'top-fans-stats-comment-score-positive-rec' => '„Daume huh“',
	'top-fans-stats-comment-score-negative-rec' => '„Daume eraf“',
	'top-fans-stats-gifts-rec-count' => '{{PLURAL:$1|Jeschenk|Jeschenke}} kräje',
	'top-fans-stats-gifts-sent-count' => '{{PLURAL:$1|Jeschenk|Jeschenke}} jescheck',
	'level-advance-subject' => 'Do bes jätz ene „$1“ op de {{SITENAME}}!',
	'level-advance-body' => 'Hallo $1,

Do bes jetz ene $2 op de {{SITENAME}}!

Hätzlesche Jlöckwonsch fun de janze {{SITENAME}}

---

Wells De kein e-mail fun uns han? Dann kleck
$3
un donn en Dinge Ennstellunge affschallde, dat
De e-mail jescheck kriß.',
);

/** Luxembourgish (Lëtzebuergesch)
 * @author Robby
 */
$messages['lb'] = array(
	'user-stats-alltime-title' => 'Am Meeschte Punkte vn allen Zäiten',
	'user-stats-weekly-title' => 'Am Meeschte Punkten dës Woch',
	'user-stats-monthly-title' => 'Am meeschte Punkten dëse Mount',
	'topusers' => 'Top Benotzer',
	'top-fans-by-points-nav-header' => 'Top vun de Fans',
	'top-fans-by-category-nav-header' => 'Top pro Kategorie',
	'top-fans-total-points-link' => 'Total vun de Punkten',
	'top-fans-weekly-points-link' => 'Punkte vun dëser Woch',
	'top-fans-monthly-points-link' => 'Punkte vun dësem Mount',
	'top-fans-points' => 'Punkten',
	'top-fans-by-category-title' => 'Allgemengen Top $1',
	'top-fans-bad-field-title' => 'Ups!',
	'top-fans-bad-field-message' => 'Déi gefrote Statistik gëtt et net.',
	'top-fans-stats-vote-count' => '{{PLURAL:$1|Stëmm|Stëmmen}}',
	'top-fans-stats-monthly-winner-count' => '{{PLURAL:$1|Gewënner vum Mount|Gewënner vum Mount}}',
	'top-fans-stats-weekly-winner-count' => '{{PLURAL:$1|Gewënn vun der Woch|Gewënner vun der Woch}}',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|Ännerung|Ännerungen}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|Bemierkung|Bemierkungen}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|Frënd|Frënn}}',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|Meenung|Meenungen}}',
	'top-fans-stats-gifts-sent-count' => '{{PLURAL:$1|Cadeau|Cadeauë}} geschéckt',
	'level-advance-subject' => 'Dir sidd elo "$1" op {{SITENAME}}!',
);

/** Dutch (Nederlands)
 * @author Siebrand
 * @author Tvdm
 */
$messages['nl'] = array(
	'user-stats-alltime-title' => 'Meeste punten aller tijden',
	'user-stats-weekly-title' => 'Meeste punten deze week',
	'user-stats-monthly-title' => 'Meeste punten deze maand',
	'topusers' => 'Topgebruikers',
	'top-fans-by-points-nav-header' => 'Topfans',
	'top-fans-by-category-nav-header' => 'Top per categorie',
	'top-fans-total-points-link' => 'Totaal punten',
	'top-fans-weekly-points-link' => 'Punten deze week',
	'top-fans-monthly-points-link' => 'Punten per maand',
	'top-fans-points' => 'punten',
	'top-fans-by-category-title' => 'Top algemeen $1',
	'top-fans-bad-field-title' => 'Oeps!',
	'top-fans-bad-field-message' => 'De opgegeven statistiek bestaat niet.',
	'top-fans-stats-vote-count' => '{{PLURAL:$1|Stem|Stemmen}}',
	'top-fans-stats-monthly-winner-count' => 'Maandelijkse {{PLURAL:$1|overwinning|overwinningen}}',
	'top-fans-stats-weekly-winner-count' => 'Wekelijkse {{PLURAL:$1|overwinning|overwinningen}}',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|Bewerking|Bewerkingen}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|Opmerking|Opmerkingen}}',
	'top-fans-stats-referrals-completed' => '{{PLURAL:$1|Verwijzing|Verwijzingen}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|Vriend|Vrienden}}',
	'top-fans-stats-foe-count' => '{{PLURAL:$1|Tegenstander|Tegenstanders}}',
	'top-fans-stats-opinions-published' => 'Gepubliceerde {{PLURAL:$1|mening|meningen}}',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|Mening|Meningen}}',
	'top-fans-stats-comment-score-positive-rec' => '{{PLURAL:$1|Duim|Duimen}} omhoog',
	'top-fans-stats-comment-score-negative-rec' => '{{PLURAL:$1|Duim|Duimen}} omlaag',
	'top-fans-stats-comment-score-positive-given' => '{{PLURAL:$1|Duim|Duimen}} omhoog uitgedeeld',
	'top-fans-stats-comment-score-negative-given' => '{{PLURAL:$1|Duim|Duimen}} omlaag uitgedeeld',
	'top-fans-stats-gifts-rec-count' => '{{PLURAL:$1|Cadeautje|Cadeautjes}} ontvangen',
	'top-fans-stats-gifts-sent-count' => '{{PLURAL:$1|Cadeautje|Cadeautjes}} gestuurd',
	'level-advance-subject' => 'U bent nu "$1" op {{SITENAME}}',
	'level-advance-body' => 'Hallo $1.

U bent nu "$2" op {{SITENAME}}

Van harte gefeliciteerd.

Het team van {{SITENAME}}

---
Wilt u niet langer e-mails van ons ontvangen?

Klik $3
en wijzig uw instellingen om e-mailberichten uit te schakelen.",',
);

/** Norwegian (bokmål)‬ (‪Norsk (bokmål)‬)
 * @author Jon Harald Søby
 */
$messages['no'] = array(
	'user-stats-alltime-title' => 'Flest poeng noensinne',
	'user-stats-weekly-title' => 'Flest poeng denne uka',
	'user-stats-monthly-title' => 'Flest poeng denne måneden',
	'topusers' => 'Beste brukere',
	'top-fans-by-points-nav-header' => 'Beste tilhengere',
	'top-fans-by-category-nav-header' => 'Beste per kategori',
	'top-fans-total-points-link' => 'Poeng totalt',
	'top-fans-weekly-points-link' => 'Poeng denne uka',
	'top-fans-monthly-points-link' => 'Poeng denne måneden',
	'top-fans-points' => 'poeng',
	'top-fans-by-category-title' => 'Best totalt $1',
	'top-fans-bad-field-title' => 'Ops!',
	'top-fans-bad-field-message' => 'Den valgte statistikken finnes ikke.',
	'top-fans-stats-vote-count' => '{{PLURAL:$1|Stemme|Stemmer}}',
	'top-fans-stats-monthly-winner-count' => '{{PLURAL:$1|Månedlig seier|Månedlige seire}}',
	'top-fans-stats-weekly-winner-count' => '{{PLURAL:$1|Ukentlig seier|Ukentlige seire}}',
	'top-fans-stats-edit-count' => '{{PLURAL:$|Redigering|Redigeringer}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|Kommentar|Kommentarer}}',
	'top-fans-stats-referrals-completed' => '{{PLURAL:$1|Referering|Refereringer}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|Venn|Venner}}',
	'top-fans-stats-foe-count' => '{{PLURAL:$1|Fiende|Fiender}}',
	'top-fans-stats-opinions-published' => '{{PLURAL:$1|Publisert mening|Publiserte meninger}}',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|Mening|Meninger}}',
	'top-fans-stats-comment-score-positive-rec' => '{{PLURAL:$1|Tommel opp|Tomler opp}}',
	'top-fans-stats-comment-score-negative-rec' => '{{PLURAL:$1|Tommel ned|Tomler ned}}',
	'top-fans-stats-comment-score-positive-given' => '{{PLURAL:$1|Tommel opp gitt|Tomler opp gitt}}',
	'top-fans-stats-comment-score-negative-given' => '{{PLURAL:$1|Tommel ned gitt|Tomler ned gitt}}',
	'top-fans-stats-gifts-rec-count' => '{{PLURAL:$1|Gave mottatt|Gaver mottatt}}',
	'top-fans-stats-gifts-sent-count' => '{{PLURAL:$1|Gave|Gaver}} sendt',
	'level-advance-subject' => 'Du er nå $1 på {{SITENAME}}.',
	'level-advance-body' => 'Hei, $1.

Du er nå $2 på {{SITENAME}}.

Gratulerer,
{{SITENAME}}-teamet

----
Vil du ikke lenger motta e-poster fra oss?

Klikk $3
og endre innstillingene dine for å slå av e-postmeldinger.',
);

/** Occitan (Occitan)
 * @author Cedric31
 */
$messages['oc'] = array(
	'user-stats-alltime-title' => 'Punts los mai elevats totes periòdes confonduts',
	'user-stats-weekly-title' => 'Punts los mai elevats aquesta setmana',
	'user-stats-monthly-title' => 'Punts los mai elevats aqueste mes',
	'topusers' => 'Top dels utilizaires',
	'top-fans-by-points-nav-header' => 'Top dels fans',
	'top-fans-by-category-nav-header' => 'Top per categoria',
	'top-fans-total-points-link' => 'Total dels punts',
	'top-fans-weekly-points-link' => "Punts d'aquesta setmana",
	'top-fans-monthly-points-link' => "Punts d'aqueste mes",
	'top-fans-points' => 'punts',
	'top-fans-by-category-title' => 'Top general de $1',
	'top-fans-bad-field-title' => 'Au!',
	'top-fans-bad-field-message' => "L'estatistica indicada existís pas.",
	'top-fans-stats-vote-count' => '{{PLURAL:$1|Vòt|Vòts}}',
	'top-fans-stats-monthly-winner-count' => '{{PLURAL:$1|victòria mesadièra|victòrias mesadièras}}',
	'top-fans-stats-weekly-winner-count' => '{{PLURAL:$1|victòria setmanièra|victòrias setmanièras}}',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|modificacion|modificacions}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|Comentari|Comentaris}}',
	'top-fans-stats-referrals-completed' => '{{PLURAL:$1|referéncia|referéncias}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|amic|amics}}',
	'top-fans-stats-foe-count' => '{{PLURAL:$1|enemic|enemics}}',
	'top-fans-stats-opinions-published' => '{{PLURAL:$1|opinion publicada|opinions publicadas}}',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|Opinion|Opinions}}',
	'top-fans-stats-comment-score-positive-rec' => '{{PLURAL:$1|òsca|òscas}}',
	'top-fans-stats-comment-score-negative-rec' => '{{PLURAL:$1|nul|nuls}}',
	'top-fans-stats-comment-score-positive-given' => '{{PLURAL:$1|òsca atribuit|òscas atribuits}}',
	'top-fans-stats-comment-score-negative-given' => '{{PLURAL:$1|nul atribuit|nuls atribuits}}',
	'top-fans-stats-gifts-rec-count' => '{{PLURAL:$1|present recebut|presents recebuts}}',
	'top-fans-stats-gifts-sent-count' => '{{PLURAL:$1|present mandat|presents mandats}}',
	'level-advance-subject' => "D'ara enlà, avètz un « $1 » sus {{SITENAME}} !",
	'level-advance-body' => "Adiu $1 : 

Ara avètz un « $2 » sus {{SITENAME}} !

Totas nòstras felicitacions,

L'equipa de {{SITENAME}}

---
Volètz arrestar de recebre de corrièrs electronics de nòstra part ?

Clicatz $3
e modificatz vòstres paramètres en desactivant las notificacions per corrièr electronic.",
);

/** Polish (Polski)
 * @author Leinad
 * @author Maikking
 */
$messages['pl'] = array(
	'user-stats-alltime-title' => 'Najwięcej punktów w historii',
	'user-stats-weekly-title' => 'Najwięcej punktów w tym tygodniu',
	'user-stats-monthly-title' => 'Najwięcej punktów w tym miesiącu',
	'top-fans-total-points-link' => 'Suma punktów',
	'top-fans-weekly-points-link' => 'Punkty w tym tygodniu',
	'top-fans-monthly-points-link' => 'Punkty w tym miesiącu',
	'top-fans-points' => 'punktów',
	'top-fans-bad-field-title' => 'Oops!',
	'top-fans-bad-field-message' => 'Taka statystyka nie istnieje.',
	'top-fans-stats-vote-count' => '{{PLURAL:$1|Głos|Głosy}}',
	'top-fans-stats-monthly-winner-count' => '{{PLURAL:$1|Zwycięzca miesiąca|Zwycięzcy miesiąca}}',
	'top-fans-stats-weekly-winner-count' => '{{PLURAL:$1|Zwycięzca tygodnia|Zwycięzcy tygodnia}}',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|Edycja|Edycje}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|Komentarz|Komentarzy}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|Znajomy|Znajomych}}',
	'top-fans-stats-foe-count' => '{{PLURAL:$1|Wróg|Wrogów}}',
	'top-fans-stats-opinions-published' => '{{PLURAL:$1|Opublikowana opinia|Opublikowane opinie}}',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|Opinia|Opinii}}',
	'top-fans-stats-comment-score-positive-rec' => '{{PLURAL:$1|Głos za otrzymany|Głosy za otrzymane}}',
	'top-fans-stats-comment-score-negative-rec' => '{{PLURAL:$1|Głos przeciw otrzymany|Głosy przeciw otrzymane}}',
	'top-fans-stats-comment-score-positive-given' => '{{PLURAL:$1|Głos za oddany|Głosy za oddane}}',
	'top-fans-stats-comment-score-negative-given' => '{{PLURAL:$1|Głos przeciw oddane|Głosy przeciw oddane}}',
	'top-fans-stats-gifts-rec-count' => '{{PLURAL:$1|Prezent otrzymany|Prezenty otrzymane}}',
	'top-fans-stats-gifts-sent-count' => '{{PLURAL:$1|Prezent dany|Prezenty dane}}',
	'level-advance-subject' => 'Należysz teraz do grupy "$1" na {{SITENAME}}!',
	'level-advance-body' => 'Witaj $1:

Od teraz jesteś „$2” w {{SITENAME}}!

Gratulacje,

Zespół {{SITENAME}}

---
Jeżeli nie chcesz otrzymywać od nas więcej wiadomości, kliknij na poniższy link i zmień swoje ustawienia powiadamiania:

$3',
);

/** Portuguese (Português)
 * @author Vanessa Sabino
 */
$messages['pt'] = array(
	'user-stats-alltime-title' => 'Mais pontos de todo o tempo',
	'user-stats-weekly-title' => 'Mais pontos esta semana',
	'user-stats-monthly-title' => 'Mais pontos deste mês',
	'topusers' => 'Usuários top',
	'top-fans-by-points-nav-header' => 'Fãs top',
	'top-fans-by-category-nav-header' => 'Top por categoria',
	'top-fans-total-points-link' => 'Pontos totais',
	'top-fans-weekly-points-link' => 'Pontos esta semana',
	'top-fans-monthly-points-link' => 'Pontos este mês',
	'top-fans-points' => 'pontos',
	'top-fans-by-category-title' => 'Top overall $1',
	'top-fans-bad-field-title' => 'Ops!',
	'top-fans-bad-field-message' => 'O status especificado não existe.',
	'top-fans-stats-vote-count' => '{{PLURAL:$1|Voto|Votos}}',
	'top-fans-stats-monthly-winner-count' => '{{PLURAL:$1|vencedor do mês|vencedores do mês}}',
	'top-fans-stats-weekly-winner-count' => '{{PLURAL:$1|vencedor da semana|vencedores da semana}}',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|Edição|Edições}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|Comentário|Comentários}}',
	'top-fans-stats-referrals-completed' => '{{PLURAL:$1|Indicação|Indicações}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|Amigo|Amigos}}',
	'top-fans-stats-foe-count' => '{{PLURAL:$1|Inimigo|Inimigos}}',
	'top-fans-stats-opinions-published' => '{{PLURAL:$1|Opinião publicada|Opiniões publicadas}}',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|Opinião|Opiniões}}',
	'top-fans-stats-comment-score-positive-rec' => '{{PLURAL:$1|Polegar para cima|Polegares para cima}}',
	'top-fans-stats-comment-score-negative-rec' => '{{PLURAL:$1|Polegar para baixo|Polegares para baixo}}',
	'top-fans-stats-comment-score-positive-given' => '{{PLURAL:$1|Polegar para cima dado|Polegares para cima dados}}n',
	'top-fans-stats-comment-score-negative-given' => '{{PLURAL:$1|Polegar para baixo dado|Polegares para baixo dados}}',
	'top-fans-stats-gifts-rec-count' => '{{PLURAL:$1|Presente recebido|Presentes recebidos}}',
	'top-fans-stats-gifts-sent-count' => '{{PLURAL:$1|Presente enviado|Presentes enviados}}',
	'level-advance-subject' => 'Você agora é um "$1" em {{SITENAME}}!',
	'level-advance-body' => 'Oi $1:

Você agora é um "$2" em {{SITENAME}}!

Parabéns,

O Time de {{SITENAME}}

---
Ei, quer parar de receber e-mails de nós?

Clique $3
e altere suas preferências para desabilitar e-mails de notificação',
);

/** Russian (Русский)
 * @author Ferrer
 */
$messages['ru'] = array(
	'top-fans-stats-vote-count' => '{{PLURAL:$1|Голос|Голосов}}',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|Правка|Правок}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|Комментарий|Комментариев}}',
);

/** Slovak (Slovenčina)
 * @author Helix84
 */
$messages['sk'] = array(
	'user-stats-alltime-title' => 'Najviac bodov celkom',
	'user-stats-weekly-title' => 'Najviac bodov tento týždeň',
	'user-stats-monthly-title' => 'Najviac bodov tento mesiac',
	'topusers' => 'Naj používatelia',
	'top-fans-by-points-nav-header' => 'Naj fanúšikovia',
	'top-fans-by-category-nav-header' => 'Naj podľa kategórie',
	'top-fans-total-points-link' => 'Celkom bodov',
	'top-fans-weekly-points-link' => 'Bodov tento týždeň',
	'top-fans-monthly-points-link' => 'Bodov tento mesiac',
	'top-fans-points' => 'bodov',
	'top-fans-by-category-title' => 'Naj celkom $1',
	'top-fans-bad-field-title' => 'Ops!',
	'top-fans-bad-field-message' => 'Uvedená štatistika neexistuje.',
	'top-fans-stats-vote-count' => '{{PLURAL:$1|Hlas|Hlasy|Hlasov}}',
	'top-fans-stats-monthly-winner-count' => '{{PLURAL:$1|Mesačná výhra|Mesačné výhry|Mesačných výhier}}',
	'top-fans-stats-weekly-winner-count' => '{{PLURAL:$1|Týždenná výhra|Týždenné výhry|Týždenných výhier}}',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|Úprava|Úpravy|Úprav}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|Komentár|Komentáre|Komentárov}}',
	'top-fans-stats-referrals-completed' => '{{PLURAL:$1|Odkazujúci|Odkazujúci|Odkazujúcich}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|Priateľ|Priatelia|Priateľov}}',
	'top-fans-stats-foe-count' => '{{PLURAL:$1|Nepriateľ|Nepriatelia|Nepriateľov}}',
	'top-fans-stats-opinions-published' => '{{PLURAL:$1|Zverejnený názor|Zverejnené názory|Zverejnených názorov}}',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|Názor|Názory|Názorov}}',
	'top-fans-stats-comment-score-positive-rec' => '{{PLURAL:$1|Pochvala|Pochvaly|Pochvál}}',
	'top-fans-stats-comment-score-negative-rec' => '{{PLURAL:$1|Pokarhanie|Pokarhania|Pokarhaní}}',
	'top-fans-stats-comment-score-positive-given' => '{{PLURAL:$1|Daná pochvala|Dané pochvaly|Daných pochvál}}',
	'top-fans-stats-comment-score-negative-given' => '{{PLURAL:$1|Dané pokarhanie|Dané pokarhania|Daných pokarhaní}}',
	'top-fans-stats-gifts-rec-count' => '{{PLURAL:$1|Obdržaný dar|Obdržané dary|Obdržaných darov}}',
	'top-fans-stats-gifts-sent-count' => '{{PLURAL:$1|Poslaný dar|Poslané dary|Poslaných darov}}',
	'level-advance-subject' => 'Teraz ste „$1” na {{GRAMMAR:lokál|{{SITENAME}}}}!',
	'level-advance-body' => 'Ahoj $1:

Teraz ste „$2” na {{GRAMMAR:lokál|{{SITENAME}}}}!

Gratulujeme,

Tím {{GRAMMAR:genitív|{{SITENAME}}}}

---
Nechcete ďalej dostávať tieto emaily?

Kliknite na $3
a vypnite v svojich nastaveniach upozornenia emailom.',
);

/** Swedish (Svenska)
 * @author Boivie
 */
$messages['sv'] = array(
	'user-stats-alltime-title' => 'Flest poäng någonsin',
	'user-stats-weekly-title' => 'Flest poäng den här veckan',
	'user-stats-monthly-title' => 'Flest poäng den här månaden',
	'topusers' => 'Bästa användare',
	'top-fans-by-points-nav-header' => 'Bästa fans',
	'top-fans-by-category-nav-header' => 'Bästa per kategori',
	'top-fans-total-points-link' => 'Poäng totalt',
	'top-fans-weekly-points-link' => 'Poäng den här veckan',
	'top-fans-monthly-points-link' => 'Poäng den här månaden',
	'top-fans-points' => 'poäng',
	'top-fans-by-category-title' => 'Bäst totalt $1',
	'top-fans-bad-field-title' => 'Hoppsan!',
	'top-fans-bad-field-message' => 'Den valda statistiken finns inte.',
	'top-fans-stats-vote-count' => '{{PLURAL:$1|Röst|Röster}}',
	'top-fans-stats-monthly-winner-count' => '{{PLURAL:$1|Månadsvis vinst|Månadsvisa vinster}}',
	'top-fans-stats-weekly-winner-count' => '{{PLURAL:$1|Veckovis vinst|Veckovisa vinster}}',
	'top-fans-stats-edit-count' => '{{PLURAL:$1|Redigering|Redigeringar}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|Kommentar|Kommentarer}}',
	'top-fans-stats-referrals-completed' => '{{PLURAL:$1|Referering|Refereringar}}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|Vän|Vänner}}',
	'top-fans-stats-foe-count' => '{{PLURAL:$1|Ovän|Ovänner}}',
	'top-fans-stats-opinions-published' => '{{PLURAL:$1|Publiserad åsikt|Publicerade åsikter}}',
	'top-fans-stats-opinions-created' => '{{PLURAL:$1|Åsikt|Åsikter}}',
	'top-fans-stats-comment-score-positive-rec' => '{{PLURAL:$1|Tummen upp|Tummen upp}}',
	'top-fans-stats-comment-score-negative-rec' => '{{PLURAL:$1|Tummen ner|Tummen ner}}',
	'top-fans-stats-comment-score-positive-given' => '{{PLURAL:$1|Given tummen upp|Givna tummen upp}}',
	'top-fans-stats-comment-score-negative-given' => '{{PLURAL:$1|Given tummen ner|Givna tummen ner}}',
	'top-fans-stats-gifts-rec-count' => '{{PLURAL:$1|Fådd gåva|Fådda gåvor}}',
	'top-fans-stats-gifts-sent-count' => '{{PLURAL:$1|Skickad gåva|Skickade gåvor}}',
	'level-advance-subject' => 'Du är nu en "$1" på {{SITENAME}}!',
	'level-advance-body' => 'Hej $1!

Du är nu en "$2" på {{SITENAME}}!

Grattis,

{{SITENAME}}-teamet

---
Förresten, vill du slippa få epost från oss?

Klicka $3
och ändra dina inställningar för att avaktivera epost-meddelanden.',
);

/** Volapük (Volapük)
 * @author Malafaya
 */
$messages['vo'] = array(
	'top-fans-stats-edit-count' => '{{PLURAL:$1|Redakam|Redakams}}',
	'top-fans-stats-comment-count' => '{{PLURAL:$1|Küpet|Küpets}',
	'top-fans-stats-friends-count' => '{{PLURAL:$1|Flen|Flens}}',
);

