<?php

/**
 * MediaWiki Tags special page
 */

if( !defined( 'MEDIAWIKI' ) ) {
    echo( "This file is an extension to the MediaWiki software and cannot be used standalone.\n" );
    die( 1 );
}

require_once( "SpecialPage.php" );

class SpecialTags extends SpecialPage {
	public function __construct() {
		SpecialPage::SpecialPage( 'Tags', '', true );
	}

	public function execute() {
		global $wgOut, $wgRequest;
		
		$tag = $wgRequest->getVal( 'tag' );

		$tag = str_replace( '_', ' ', $tag );

		$this->setHeaders();

		$pageTitle = !empty( $tag ) ? wfMsg( 'pages_with_tag' ) . "{$tag}" : wfMsg( 'tags' ) ;
		$wgOut->setPagetitle( $pageTitle );

		if ( !empty( $tag ) ) {
			Tags::$tag = $tag;
			//$wgOut->addHTML( Tags::getPagesHTML( $tag ) );
			$view = new TagsView();
			$wgOut->addHTML( $view->getPagesHTML() );
		} else {
			$wgOut->addHTML( Tags::getCloudHTML( true ) );
		}
	}
}