<?php

class ToolbarItemAddPage extends ToolbarItem {
	public function __construct() {
		global $wgTitle;
		
		# Localized label and title
		$this->label['pl'] = 'Nowa<br />strona';
		$this->title['pl'] = 'Nowa<br />strona';
		$this->label['en'] = 'New<br />Page';
		$this->title['en'] = 'New<br />Page';

		# Action
		$rel = ( $wgTitle->getNamespace() == NS_CATEGORY )
			? "category={$wgTitle->getArticleID()}&action=edit&fck=new"
			: 'action=edit&fck=new';

		$this->action = <<<EOT
$.businesswiki.ajaxDialog('NewPage');
$(this).attr('rel', '{$rel}');
EOT;
		
		# Rules
		$this->rules = array();
		$this->rules[] = array( TB_RULE_NAMESPACE, TB_RULE_IN, array( NS_MAIN, NS_CATEGORY, NS_SPECIAL ) );
		$this->rules[] = array( TB_RULE_ACTION, TB_RULE_NOTIN, array( 'edit' ) );
		$this->rules[] = array( TB_RULE_USERCAN, TB_RULE_IN, array( 'create' ) );
		$this->rules[] = array( TB_RULE_CUSTOM, null, $this->customRules() );
	}
	
	private function customRules() {
		global $wgTitle;
		
		if (
		    $wgTitle->getNamespace() == NS_SPECIAL
		    && !$wgTitle->equals( SpecialPage::getTitleFor( 'Page Index' ) )
		    && !$wgTitle->equals( SpecialPage::getTitleFor( 'Dashboard' ) )
		) return false;
		
		return true;
	}
}
