<?php

class ToolbarItemEdit extends ToolbarItem {
	public function __construct() {
		global $wgTitle;
		
		# Localized label and title
		$this->label['pl'] = 'Edytuj';
		$this->title['pl'] = 'Edytuj';
		$this->label['en'] = 'Edit';
		$this->title['en'] = 'Edit';

		# Action
		if ( NS_USER != $wgTitle->getNamespace() || !defined( 'SOCIALPROFILE' ) ) {
		    $this->action = "document.location.href = '{$wgTitle->getLocalURL()}&action=edit';";
		} else {
		    $title = SpecialPage::getTitleFor( 'UpdateProfile' );
		    $this->action = "document.location.href = '{$title->getLocalURL()}';";
		}
		
		# Rules
		$this->rules = array();
		$this->rules[] = array( TB_RULE_NAMESPACE, TB_RULE_IN, array( NS_MAIN, NS_TEMPLATE, NS_USER ) );
		$this->rules[] = array( TB_RULE_ACTION, TB_RULE_IN, array( 'view' ) );
		$this->rules[] = array( TB_RULE_USERCAN, TB_RULE_IN, array( 'edit' ) );
		$this->rules[] = array( TB_RULE_CUSTOM, null, $this->customRules() );
	}
	
	private function customRules() {
		global $wgTitle, $wgUser;
		
		// if ( $wgTitle->equals( Title::newMainPage() ) ) return false;

		if (
		    ( NS_USER == $wgTitle->getNamespace() )
		    && !$wgTitle->equals( $wgUser->getUserPage() )
		) return false;
		
		return true;
	}
}