<?php

class ToolbarItemSecurity extends ToolbarItem {
	public function __construct() {
		# Localized label and title
		$this->label['pl'] = 'Uprawnienia';
		$this->title['pl'] = 'Uprawnienia';
		$this->label['en'] = 'User rights';
		$this->title['en'] = 'User rights';

		# Action
		$this->action = <<<EOT
$.businesswiki.ajaxDialog('PageRestrictions', [wgArticleId]);
EOT;
		
		# Rules
		$this->rules = array();
		$this->rules[] = array( TB_RULE_LOGGEDIN, true );
		$this->rules[] = array( TB_RULE_NAMESPACE, TB_RULE_IN, array( NS_MAIN, NS_CATEGORY ) );
		$this->rules[] = array( TB_RULE_CUSTOM, null, $this->customRules() );
	}
	
	private function customRules() {
		global $wgTitle, $wgUser;

		$title = BusinessWiki_Title::newFromID( $wgTitle->getArticleID() );
		
		if ( !is_null( $title ) ) {
		    if (
		        in_array( 'sysop', $wgUser->getGroups() )
		        || $title->isFirstContributor( $wgUser )
		    ) return true;
		}
		
		return false;
	}
}