<?php

class ToolbarItemSelectFolder extends ToolbarItem {
	public function __construct() {
		# Localized label and title
		$this->label['pl'] = 'Katalog';
		$this->title['pl'] = 'Katalog';
		$this->label['en'] = 'Folder';
		$this->title['en'] = 'Folder';

		# Action
		$this->action = <<<EOT
wgTreeArticleId = wgArticleId;
wgTreeArticleParentId = wgArticleParentId;
wgTreeNamespaceNumber = wgNamespaceNumber;
wgTreeManageOnly = false;
wgTreeShowSelf = false;
$.businesswiki.ajaxDialog('SelectFolder');
EOT;
		
		# Rules
		$this->rules = array();
		$this->rules[] = array( TB_RULE_NAMESPACE, TB_RULE_IN, array( NS_MAIN, NS_CATEGORY ) );
		$this->rules[] = array( TB_RULE_ACTION, TB_RULE_IN, array( 'view','edit' ) );
		$this->rules[] = array( TB_RULE_USERCAN, TB_RULE_IN, array( 'move' ) );
		$this->rules[] = array( TB_RULE_CUSTOM, null, $this->customRules() );
	}
	
	private function customRules() {
		global $wgTitle;
		
		if ( $wgTitle->equals( Title::newMainPage() ) ) return false;
		if ( $wgTitle->getArticleID() != 0 ) return false;
		
		return true;
	}
}