<?php

class ToolbarItemWatch extends ToolbarItem {
	public function __construct() {
		global $wgTitle;
		
		# Localized label and title
		$this->label['pl'] = 'Obserwuj';
		$this->title['pl'] = 'Obserwuj';
		$this->label['en'] = 'Watch';
		$this->title['en'] = 'Watch';

		# Action
		$this->action = <<<END
wgAjaxWatch.ajaxCall();
END;
		
		# Rules
		$this->rules = array();
		$this->rules[] = array( TB_RULE_LOGGEDIN, true );
		$this->rules[] = array( TB_RULE_NAMESPACE, TB_RULE_IN, array( NS_MAIN ) );
		$this->rules[] = array( TB_RULE_ACTION, TB_RULE_IN, array( 'view' ) );
		$this->rules[] = array( TB_RULE_USERCAN, TB_RULE_IN, array( 'read' ) );
		$this->rules[] = array( TB_RULE_CUSTOM, null, $this->customRules() );
	}
	
	private function customRules() {
		global $wgTitle;
		
		if ( $wgTitle->equals( Title::newMainPage() ) == NS_SPECIAL ) return false;		
		if ( $wgTitle->userIsWatching() ) return false;
		if ( $wgTitle->getArticleID() == 0 ) return false;
		
		return true;
	}
}