<?php
class DatabaseApi
	{
		static $allowedParams = array( 'create' => 'string', 'message_id' => 'string', 'room' => 'int' , 'query' => 'string' , 'format' => 'string' );

		public function __construct(){}

		/**
		 * @param integer $query_id
		 * @param vars array
		 * @return string
		 */
		public function getQuery($query_id, $vars){
			require_once ('Queries.php');
			$Queries = new Queries;
			if($query_id)
			$query = Queries::getQuery($query_id);
			if($vars){
	        	if(is_array($vars)){
		            // check if number of vars is even
		          	if((int)count($vars) == (int)substr_count($query, ':')){
		            	foreach(array_keys($vars) as $key){
		            		$query = str_replace(':'.$key.'', addslashes(trim($vars[$key])), $query);
		            	}
		            	if(strpos($query, '<')){
		            		// get prefix
		            		$db = new Database;
							$prefix = $db->getProperty('mTablePrefix');
		            		$query = str_replace('<prefix>', $prefix, $query);
		            	}
		           	} else { return; }
	        	}
			}
			return $query;
		}

		private function _cleanUpPostedVars($vars){
			// clean vars addslashes(trim())
			$temp = array();
			foreach(array_keys($vars) as $key){
				$temp[$key] = addslashes(trim($vars[$key]));
			}
			return $temp;
		}
		
		public function executeQuery($query_id, $vars){
			$db =& wfGetDB( DB_SLAVE );
			if ( $db !== false ) {
				if($query_id && $vars)
				$query = self::getQuery($query_id, self::_cleanUpPostedVars($vars));
				$obj = $db->query($query, __METHOD__);
				$result_array = array();
				while($row = $db->fetchObject( $obj )){
					$result_array[] = $row;
				}
				return $result_array;
			} else {
				return false;
			}
		}

		public function executeQueryTest($query_id, $vars){
			$db =& wfGetDB( DB_SLAVE );
			if ( $db !== false ) {
				if($query_id && $vars)
				$query = self::getQuery($query_id, self::_cleanUpPostedVars($vars));
				//$obj = $db->query($query, __METHOD__);
				//$result_array = array();
				//while($row = $db->fetchObject( $obj )){
				//	$result_array[] = $row;
				//}
				return $query;
			} else {
				return false;
			}
		}

		public function getInsertId(){
			$db =& wfGetDB( DB_SLAVE );
			if( $db !== false ){
				return $db->insertId();
			}
		}

		public function getParams() {
			global $wgRequest;
			
			$params = array();
			
			foreach ( self::$allowedParams as $key => $type ) {
				switch ( $type ) {
					case 'string':
						$value = $wgRequest->getText( $key );
						break;
					case 'int':
						$value = $wgRequest->getInt( $key );
						break; 
				}
				
				if ( is_string( $value ) && $value != '' ) $params[$key] = $value;
				if ( is_int( $value ) && $value != 0 ) $params[$key] = $value;
			}
			
			return $params;
		}

		public function getAllowedParams() {  } // TODO!!!

		public function checkParams($params){
			if(isset($params) && $params != NULL){
				return TRUE;
			}
			return FALSE;
		}

		private function _check_if_room_exists(){}

	}
