<?php

/**
 * MediaWiki WikiCast extension
 */

if( !defined( 'MEDIAWIKI' ) ) {
    echo( "This file is an extension to the MediaWiki software and cannot be used standalone.\n" );
    die( 1 );
}

$wgExtensionCredits['specialpage'][] = array(
	'name' 				=> 'WikiCastApi',
	'author' 			=> 'Wojtek Zalewski',
	'version'     		=> '0.1',
	'description' 		=> 'Adds chat alike messaging',
	'descriptionmsg' 	=> 'wikicast_description',
	'url' 				=> 'http://www.bizneswiki.pl'
);

$wgExtensionFunctions[] = 'wfWikiCastApi';

$dir = dirname(__FILE__) . '/';
require_once $dir . 'WikiCast.i18n.php';

$wgAutoloadClasses['SpecialWikiApi'] = $dir . 'SpecialWikiApi.php';
$wgSpecialPages['WikiApi'] = 'SpecialWikiApi';

function wfWikiCastApi() {}

class WikiApi {

		function WikiApi(){
			//$this->includable( true );
		}

		function execute(){
			global $wgOut, $wgRequest, $wgServer, $wgUser, $wgParser, $html,  $wgUseAjax;
			// Load Chat class
			//-----------------------------------------------------------------------------------
			require_once('DatabaseApi.php');
			$WikiCastApi = new DatabaseApi;
			//-----------------------------------------------------------------------------------
			require_once ('Title.php');
			$Poo = new Title;
			// Disable wiki output:
			$wgOut->disable();
			wfResetOutputBuffers();
			// Get URI params:
			//-----------------------------------------------------------------------------------
			$params = $WikiCastApi->checkParams($WikiCastApi->getParams());
			//-----------------------------------------------------------------------------------
			if(!$params){
				// print help screen
			} else {
			$params 	= 	$WikiCastApi->getParams();
			$messages 	= 	$WikiCastApi->executeQuery($params['query'],array('room_id' => $params['room'], 'order_by' => 'message_datetime', 'message_id' => $params['message_id']));
			$output 		= 	Output_Render_Abstract::build($params['format']);
			echo $output->render($messages);
			}

		}

	}

	class Output_Render_Abstract
	{

		private function __construct(){}

		/**
		 * @param string $type (JSON/XML)
		 * @return class
		 */
		public static function build($type){
			//
			switch($type){
				case (string)'json':
				$type = (string)'json';
				break;

				case (string)'rss':
				$type = (string)'rss';
				break;

				default:
				$type = (string)'json';
				break;
			}
			if($type){
				if(include_once 'Output_Render_'.strtoupper($type).'.php'){
					$classname = 'Output_Render_'.strtoupper($type);
					return new $classname;
				}
				else {
					throw new Exception ('Blad ladowania klasy');
				}
			} else {}

		}

		public function render(){}
	}