<?php

/**
 * MediaWiki WikiCast extension
 */

if( !defined( 'MEDIAWIKI' ) ) {
    echo( "This file is an extension to the MediaWiki software and cannot be used standalone.\n" );
    die( 1 );
}

$wgExtensionCredits['specialpage'][] = array(
  					'name'			=>	'WikiCast',
	'author' => 'Wojtek Zalewski',
	'version'        => '0.1',
	'description' => 'Adds chat alike messaging',
	'descriptionmsg' => 'wikicast_description',
	'url' => 'http://www.bizneswiki.pl'
);

//$wgHooks['UnknownAction'][] = 'Tags::onUnknownAction';

$wgExtensionFunctions[] = 'wfWikiCast';

$wgHooks['LanguageGetSpecialPageAliases'][] = 'wfWikiCastLocalizedSpecialPageName';
$wgHooks['LanguageGetMagic'][] 				= 'wfWikiCastMagic';

$dir = dirname(__FILE__) . '/';
require_once $dir . 'WikiCast.i18n.php';

$wgAutoloadClasses['SpecialWikiCast'] = $dir . 'SpecialWikiCast.php';
$wgSpecialPages['WikiCast'] = 'SpecialWikiCast';

function wfWikiCast(){
	global $wgParser, $wgWikiCastMessages, $wgMessageCache;

	foreach ( $wgWikiCastMessages as $lang => $messages) {
		$wgMessageCache->addMessages( $messages, $lang );
	}
}

function wfWikiCastLocalizedSpecialPageName( &$specialPageArray, $code ) {
	$text = wfMsg( 'specialwikicast' );
	$title = Title::newFromText($text);
	$specialPageArray['WikiCast'][] = $title->getDBKey();

	return true;
}

function wfWikiCastMagic( &$magicWords, $langCode ) {
	$magicWords['specialwikicast'] = "WikiCast";
	$magicWords['specialpagename'] = "WikiCast";

	return true;
}
	
class WikiCast {
	
	public static function onUnknownAction( $action, $tag ) {
		global $wgOut, $wgRequest;
		
		return false;
	}
	
	function load( $q = 'kw1', $room = '1', $format = 'JSON' ) {
		global $wgOut, $wgRequest, $wgServer, $wgWikiCastSettings, $wgUser, $wgJsMimeType;
		global $wgParser, $wgDefaultSkin, $wgStylePath, $wgScriptPath;

		$this->setHeaders();
		$wgOut->setPagetitle( 'WikiCast' );
		
		$wgOut->addStyle( "{$wgDefaultSkin}/WikiCast/WikiCast.css" );
		$wgOut->addHeadItem( 'jquery-form', '<script type="text/javascript" src="'.$wgServer.'/bizneswiki.pl/extensions/WikiCast/js/jquery.form.js"></script>' );
		$wgOut->addHeadItem( 'jqalert', '<script type="text/javascript" language="javascript" src="'.$wgServer.'/bizneswiki.pl/extensions/WikiCast/js/jqalert.js"></script>');
		$wgOut->addHeadItem('deletechecked', '<script type="text/javascript">' .
					'$(document).ready(function(){
						$(\'.delete\').click(function(){
							var answer = confirm(\''.wfMsg('WikiCastDeleteRoom').'\');
		return answer;
	});
					});' .
					'</script>');
		//$wgOut->addHTML( "<script type=\"$wgJsMimeType\">/*<![CDATA[*/\n$script\n/*]]>*/</script>" );
		$html = '';
		//$href = Title::getLocalURL();
		// Load Chat class
		//-----------------------------------------------------------------------------------
		require_once( 'DatabaseApi.php' );
		$WikiCastApi = new DatabaseApi();
		//-----------------------------------------------------------------------------------

		// Get URI params:
		//-----------------------------------------------------------------------------------
		$params = $WikiCastApi->checkParams( $WikiCastApi->getParams() );
		if(!$params){
			$title = Title::newFromText( SpecialPage::getLocalName(), NS_SPECIAL )->getLocalURL();
			// add strone dodwania czatu:
			$rooms = $WikiCastApi->executeQuery('getRooms',array('order_by' => 'created_on'));
			$wgOut->addHTML("<h1>".wfMsg('createNewRoom')."</h1>\n");
			$wgOut->addHTML('<form id="wikicast-create-room" action="'.$wgServer.$title.'&create=do&query=createRoom" method="post">');
			$wgOut->addHTML('<div id="create_room_wrp"><p class="create_room"><input id="msg" type="text" name="room_name" /></p>');
			$wgOut->addHTML('<p class="room_submit"><input type="submit" value="'.wfMsg('createRoomBt').'" ></input></p></div>');
			$wgOut->addWikiText("".wfMsg('createRoomInfo')."");
			$wgOut->addHTML('</form>');
			$wgOut->addHTML("<h1>".wfMsg('roomList')."</h1>\n");
		// show allready created chat rooms:
		$wgOut->addHTML('<ul>');
		foreach(array_keys($rooms) as $room){
			$wgOut->addHTML("<li><a href=\"{$wgServer}"."{$title}&delete=do&room=".$rooms[$room]->room_id."\" class=\"delete\" id=\"delete\"><img src=\"{$wgServer}{$wgScriptPath}/extensions/WikiCast/images/delete.png\" style=\"padding-right:5px;\"></a><a href=\"{$wgServer}"."{$title}&room=".$rooms[$room]->room_id."\">".$rooms[$room]->room_name."</a>" .
					"</li>");
			}
		$wgOut->addHTML('</ul>');
		} else {
			$params 	= 	$WikiCastApi->getParams();
			$title 		= 	Title::newFromText( SpecialPage::getLocalName(), NS_SPECIAL )->getLocalURL();

			if($_POST){ // obsluzmy posty
				if(isset($_GET['create'])){
					$wgOut->disable();
					wfResetOutputBuffers();
					$WikiCastApi->executeQuery('createRoom',array('room_name'=> $_POST['room_name'], 'created_by' => $wgUser->mId));
					header('Location: '.$wgServer.$title.'&room='.$WikiCastApi->getInsertId().'');
				}
				else
				{
					$wgOut->disable();
					wfResetOutputBuffers();
					$WikiCastApi->executeQuery('postMessage',array('message'=> $_POST['msg'], 'name' => $wgUser->mId, 'room_id' => $_POST['room']));
					echo '{"message_id":"'.$WikiCastApi->getInsertId().'","message":"'.addslashes(trim($_POST['msg'])).'","time":"'.date('Y-m-d H:i:s',time()).'","nick":"'.$wgUser->mName.'"}';
				}
			} else{
				if(isset($_GET['delete']) && isset($params['room'])){
					$wgOut->disable();
					wfResetOutputBuffers();
					$WikiCastApi->executeQuery('deleteRoom',array('room_id' => $params['room']));
					$WikiCastApi->executeQuery('deleteMessages',array('room_id' => $params['room']));
					header('Location: '.$wgServer.$title.'');
					 echo 'deleted';
				}
				// get room data:
				$room		=	$WikiCastApi->executeQuery('getRoomData',array('room_id' => $params['room']));
				// output post form:
				$html .= '' .
					'<p class="chat_room_info"><b>'.wfMsg('roomName').'</b> '.$room[0]->room_name.' , '.wfMsg('createdBy').' '.$room[0]->created_by.'@'.$room[0]->created_on.'</p>
						  	<form id="divante-wikicast-form" action="'.$wgServer.$title.'&query=postMessage&room_id='.$params['room'].'" method="post">
						    <div id="wikicast-submit"><p class="msg"><input id="msg" type="text" name="msg" /></p>' .
						    ' <input type="hidden" name="room" value="'.$params['room'].'" />

						    <p class="submit"><input type="submit" value="'.wfMsg('sendMessage').'" ></input></p>' .
						    		'<div></div>
						    </div>
						    </form>' .
						    '<div id="divante-wikicast">
						    <span id="divante-wikicast-response" style="float:right;"></span>
						    <div id="empty-room-info"> </div>
						    <div id="divante-wikicast-list"></div>
						    </div>
						  ';

			$html .= '<script type="text/javascript">
				        var count = 0;
				        var files = \''.$wgServer.$wgScriptPath.'/extensions/WikiCast/\';
				        var lastTime = 0;
						var any_messages = 0;

				        function prepare(response) {
				          var d = new Date();
				          count++;
				          d.setTime(response.time*1000);
				          var mytime = 0;
				          var mytime = d.getHours()+\':\'+d.getMinutes()+\':\'+d.getSeconds();
				          var string = \'<div class="wikicast-list" id="list-\'+count+\'">\'
				              + \'<div style="display:block;clear:both;padding-bottom:25px;padding-top:10px;"><span class="wikicast-list-time" style="float: left;width: 110px;display: inline-block;">\'+response.time+\'</span>\'
				              + \'<span class="wikicast-list-nick" style="float: left;width: 50px;display: inline-block;">\'+response.nick+\':</span>\'
				              + \'<span class="wikicast-list-message" style="float: right;text-align:left;display: inline-block;width:76%;border-bottom: 1px solid #f2f2f2;">\'+response.message+\'</span></div>\'
				              +\'</div>\';

				          return string;
				        }

				        function success(response, status)  {
				          if(status == \'success\') {
							$(\'#empty-room-info\').fadeOut(\'slow\');
				            lastTime = response.message_id;
				            $(\'#divante-wikicast-response\').html(\'\');
				            $(\'#divante-wikicast-list\').prepend(prepare(response));
				            $(\'input[name=message]\').attr(\'value\', \'\').focus();
				            $(\'#list-\'+count).fadeIn(\'fast\');
				            $(\'input[name=msg]\').clearFields();
				            timeoutID = setTimeout(refresh, 3000);
				          }
				        }

				        function validate(formData, jqForm, options) {
				          for (var i=0; i < formData.length; i++) {
				              if (!formData[i].value) {
				                  //alert(\'Wypełnij pole wiadomości\');
				                  //setTimeout("jqalert(\'Wypełnij pole wiadomości\')",100);
				                  jqalert(\''.wfMsg('fillMessageInput').'\');
				                  //jqalert(\'Wypełnij pole wiadomości\');
				                  $(\'input[name=\'+formData[i].name+\']\').css(\'background\', \'red !important\');
				                  return false;
				              }
				          }

				          $(\'#divante-wikicast-response\').html(\'<img src="\'+files+\'images/loader.gif" />\');
				          clearTimeout(timeoutID);

				        }

				        function refresh() {
				         $.getJSON("'.$wgServer.'/index.php?title=Special:WikiApi&room='.$params['room'].'&query=getMessages&format=json&message_id="+lastTime, function(json) {
				            if(json.length) {
				            $(\'#empty-room-info\').html(\'<img src="\'+files+\'images/loader.gif" /> '.wfMsg('loadingMessages').'\');
				              for(i=0; i < json.length; i++) {
				              	$(\'#empty-room-info\').fadeOut(\'slow\');
				                $(\'#divante-wikicast-list\').prepend(prepare(json[i]));
				                $(\'#list-\' + count).fadeIn(\'fast\');

				              }
				              var j = i-1;

				              lastTime = json[j].message_id;
				              any_messages = 1;
				            }
				           if(any_messages == 0){
				             $(\'#empty-room-info\').html(\''.wfMsg('noMessagesWriteSth').'\');
				           }
				           //alert(lastTime);
				          });
				          timeoutID = setTimeout(refresh, 3000);
				        }

				        // wait for the DOM to be loaded
				        $(document).ready(function() {
				            var options = {
				              dataType:       \'json\',
				              beforeSubmit:   validate,
				              success:        success
				            };
				            $(\'#divante-wikicast-form\').ajaxForm(options);
				            timeoutID = setTimeout(refresh, 100);
				        });
				  </script>';
			//$wgOut->addScriptFile('/extensions/WikiCast/wikicast.js');
			$wgOut->addHTML($html);
			}

		}
	}
}
