<?php
/**
 * BiznesWiki skin.
 *
 * @todo document
 * @file
 * @ingroup Skins
 */

if( !defined( 'MEDIAWIKI' ) )
	die( -1 );

/**
 * Inherit main code from SkinTemplate, set the CSS and template filter.
 * @todo document
 * @ingroup Skins
 */
class SkinBizneswiki extends SkinTemplate {
	function getPoweredBy() {
		global	$wgVersion;
		return "";
	}
	
	function initPage( OutputPage $out ) {
		parent::initPage( $out );
		$this->skinname = 'bizneswiki';
		$this->stylename = 'bizneswiki';
		$this->template = 'BizneswikiTemplate';
	}

	function setupSkinUserCss( OutputPage $out ){
		//$out->addStyle( 'bizneswiki/main.stitched.css', 'screen' );
	}
}
	
/**
 * @todo document
 * @ingroup Skins
 */
class BizneswikiTemplate extends QuickTemplate {
	var $skin;
	
	private $style;
	
	function execute() {
		global $wgFCKEditorDir, $wgUser;		
		$this->skin = $skin = $this->data['skin'];
		$this->style = $this->data['stylepath'] . '/' . $this->data['stylename'];
		
		wfSuppressWarnings();
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="<?php $this->text( 'xhtmldefaultnamespace' ) ?>" <?php 
	foreach($this->data['xhtmlnamespaces'] as $tag => $ns) {
		?>xmlns:<?= "{$tag}=\"{$ns}\" ";
	} ?>xml:lang="<?php $this->text( 'lang' ) ?>" lang="<?php $this->text( 'lang' ) ?>" dir="<?php $this->text( 'dir' ) ?>">
<head>
	<meta http-equiv="Content-Type" content="<?php $this->text( 'mimetype' ) ?>; charset=<?php $this->text( 'charset' ) ?>" />
	<?php $this->html('headlinks') ?>
	<title><?php $this->text('pagetitle') ?></title>
	<?php $this->html('csslinks') ?>
	<!--[if lt IE 7]><meta http-equiv="imagetoolbar" content="no" /><![endif]-->
	
	<?= Skin::makeGlobalVariablesScript( $this->data ) ?>
	
	<!-- Head Scripts -->
	<script type="<?php $this->text('jsmimetype') ?>" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js"></script>
	<script type="<?php $this->text('jsmimetype') ?>" src="<?php $this->text( 'stylepath' ) ?>/common/wikibits.js?<?= $GLOBALS['wgStyleVersion'] ?>"></script>
	<?php $this->html('headscripts'); ?>
	<script type="<?php $this->text('jsmimetype') ?>">
		var wgLivepreviewMessageLoading = "Loading…";
		var wgLivepreviewMessageReady = "Loading… Ready!";
	</script>
</head>
<body<?php if($this->data['body_onload']) { ?> onload="<?php $this->text('body_onload') ?>"<?php } ?>
 class="mediawiki <?php $this->text('nsclass') ?> <?php $this->text('dir') ?> <?php $this->text('pageclass') ?>">
    <div id="blueBar">
    	<div class="left">
    		<ul>
    			<li><a class="mainpage" href="<?php echo htmlspecialchars($this->data['nav_urls']['mainpage']['href'])?>"><?php $this->msg('mainpage') ?></a></li>
    			<?php if ( $this->data['loggedin'] ) { ?>
    			<li><a class="preferences" href="<?php echo $this->data['personal_urls']['preferences']['href'] ?>"><?php echo ucfirst($this->data['personal_urls']['preferences']['text']) ?></a></li>
    			<? } ?>
    			<?php $PageIndex = SpecialPage::getTitleFor( 'PageIndex' ) ?>
    			<li><a class="pageindex" href="<?php echo $PageIndex->getLocalURL() ?>"><?php echo $PageIndex->getBaseText() ?></a></li>
    		</ul>	
    	</div>
    	
    	<div class="right">
    		<form action="<?php $this->text('searchaction') ?>" id="searchform">
    			<label for="searchInput"><span><?php $this->msg('search') ?>:</span></label>
    			<input id="searchInput" name="search" class="searchInput text" type="text"<?php echo $this->skin->tooltipAndAccesskey('search');
    				if( isset( $this->data['search'] ) ) {
    					?> value="<?php $this->text('search') ?>"<?php } ?> />
    			<input type="submit" name="go" value="<?php $this->msg('searcharticle') ?>" class="searchButton button" id="searchGoButton"<?php echo $this->skin->tooltipAndAccesskey( 'search-go' ); ?> />
    			<input type="submit" name="fulltext" value="<?php $this->msg('searchbutton') ?>" class="searchButton button" id="mw-searchButton"<?php echo $this->skin->tooltipAndAccesskey( 'search-fulltext' ); ?> />
    			<div class="visualClear"></div>
    		</form>
    	</div>
    </div>
    
    <div id="logoBar">
    	<div id="p-logo">
    		<a style="background-image: url(<?php $this->text('logopath') ?>);" <?php
    			?>href="<?php echo htmlspecialchars($this->data['nav_urls']['mainpage']['href'])?>"<?php
    			echo $skin->tooltipAndAccesskey('n-mainpage') ?>><?php echo $this->data['nav_urls']['mainpage']['text'] ?></a>	
    	</div>
    	<div class="tools">
    		<?= new Toolbar() ?>
    		<div class="right">
    			<span>
    				<?php if($this->data['loggedin']) {?>
    				<?= $this->msg( 'loggedas' ) ?> <strong><?= $this->skin->link( $wgUser->getUserPage(), $wgUser->getName() ) ?></strong>.
    				<a id="ca-top-logout" href="<?php echo htmlspecialchars($this->data['personal_urls']['logout']['href']) ?>">
    					<?php echo htmlspecialchars($this->data['personal_urls']['logout']['text']) ?>
    				</a>
    				<?php } else { ?>
    				<? if ($this->data['personal_urls']['anonlogin']) { ?>
    				<a id="ca-top-login" href="<?php echo htmlspecialchars($this->data['personal_urls']['anonlogin']['href']) ?>">
    					<?php echo htmlspecialchars($this->data['personal_urls']['anonlogin']['text']) ?>
    				</a>
    				<?php } else { ?>
    				<a id="ca-top-login" href="<?php echo htmlspecialchars($this->data['personal_urls']['login']['href']) ?>">
    					<?php echo htmlspecialchars($this->data['personal_urls']['login']['text']) ?>
    				</a>
    				<?php } ?>
    				<?php } ?>
    			</span>
    		</div>
    	</div>
    </div>
    <div class="visualClear"></div>
    
    <div id="globalWrapper">
    	<div id="sidebar">
    		<!-- BEGIN navigation -->
    		<h5 id="navigation" class="toggle_head folders"><span><?php $this->msg('folders') ?></span></h5>
    		<div class="toggle_body">
                <?php echo jQueryCategoryTree::newTree( 'jqct' )->getHTML() ?>
    			<div class="visualClear"></div>
    			
    			<a id="jqct-manage" class="more" href="#"><?= $this->msg( 'manage' ) ?></a>
    		</div>
    		<!-- END navigation -->
    	  
    		<h5 id="tags" class="toggle_head"><span><?php $this->msg( 'tags' ) ?></span></h5>
    	    <div class="toggle_body">
    	    	<?php echo Tags::getCloudHTML() ?>
    	    </div>
    	    
            <?php if ( $wgUser->isLoggedIn() ) { ?>
    		<!-- BEGIN favorites -->
    		<h5 id="favorites" class="toggle_head"><span><?php $this->msg( 'favorites' ) ?></span></h5>
    		<div class="toggle_body scroll-pane">
                <?php echo Favorites::getHTML() ?>
    		</div>
    		<!-- END favorites -->
    	
    		<!-- BEGIN mypages -->
    		<h5 id="mypages" class="toggle_head"><span><?php $this->msg( 'mypages' ) ?></span></h5>
    		<div class="toggle_body scroll-pane">
                <?php echo MyPages::getHTML() ?>
    		</div>
    		<!-- END mypages -->
            <?php } ?>
    
    		<!-- BEGIN toolbox -->
    		<h5 id="toolbox" class="toggle_head"><span><?= $this->msg( 'toolsBoxName' ) ?></span></h5>
    		<div class="toggle_body">
    			<ul>
                    <?php $page = SpecialPage::getPage( 'Recentchanges' ) ?>
    				<li><?= $this->skin->link( $page->getTitle(), $page->getDescription() ) ?></li>
                    <?php if ( defined( 'SOCIALPROFILE' ) ): ?>
                    <?php $page = SpecialPage::getPage( 'UserDirectory' ) ?>
    				<li><?= $this->skin->link( $page->getTitle(), $page->getDescription() ) ?></li>
    				<?php endif; ?>
                    <?php if ( in_array( 'sysop', $GLOBALS['wgUser']->getGroups() ) ): ?>
                    <?php $title = SpecialPage::getTitleFor( 'Administration' ) ?>
    				<li><?= $this->skin->link( $title, $title->getBaseText() ) ?></li>
                    <?php endif; ?>
                    <?php if ( defined( 'LIVEBLEND' ) ): ?>
                    <?php $title = SpecialPage::getTitleFor( 'LiveBlend' ) ?>
    				<li><?= $this->skin->link( $title, $title->getBaseText() ) ?></li>
                    <?php endif; ?>
                    <?php $title = Title::newFromText( wfMsg( 'toolsHelpLink' ) ) ?>
					<?php global $wgContLanguageCode ?>
					<?php if ($wgContLanguageCode == 'pl'): ?>
					<li><a href="http://pomoc.onbusinesswiki.com/index.php?title=Strona_główna"><?= $title->getBaseText() ?></a></li>
					<?php else: ?>
					<li><a href="http://help.onbusinesswiki.com/index.php?title=Main_Page"><?= $title->getBaseText() ?></a></li>
					<?php endif ?>    				
    			</ul>
    		</div>
    		<!-- END toolbox -->
    	</div>

		<div id="column-content">
			<div id="content">
				<a name="top" id="contentTop"></a>
                <?php if($this->data['sitenotice']) { ?>
				<div id="siteNotice">
                    <?php $this->html('sitenotice') ?>
				</div>
                <?php } ?>
                <?= new Breadcrumbs() ?>
				<h3 id="siteSub"><?= $this->msg( 'tagline' ) ?></h3>
                <?php if ( !empty( $this->data['title'] ) ) { ?>
				<h1 class="firstHeading"><?php $this->data['displaytitle'] != "" ? $this->html('title') : $this->text('title') ?></h1>
                <?php } ?>
				<div id="bodyContent">
                    <?php if ( $this->data['subtitle'] ) { ?>
					<div id="contentSub">
                        <?php $this->html('subtitle') ?>
					</div>
                    <?php } ?>
                    <?php if($this->data['undelete']) { ?>
					<div id="contentSub">
                        <?php $this->html('undelete') ?>
					</div>
                    <?php } ?>
                    <?php if($this->data['newtalk'] ) { ?>
					<div class="usermessage">
                        <?php $this->html('newtalk')  ?>
					</div>
                    <?php } ?>
					<!-- BEGIN content -->
                    <?php $this->html('bodytext') ?>
                    <?php if($this->data['catlinks']) { ?>
					<div id="catlinks">
	                    <?php $this->html('catlinks') ?>
					</div>
	                <?php } ?>
					<!-- END content -->
					<div class="visualClear"></div>
					
				</div>
			</div>
		</div>
		<div class="visualClear"></div>
		
		<div id="footer">
			<div>
            <?php 
            if ( $this->data['lastmod'] ) {
            	$this->html( 'lastmod' );
            }
            if ( $this->data['viewcount'] ) {
            	$this->html( 'viewcount' );
            }
            ?>
			</div>
		</div>
	</div>
	<?php $this->html( 'bottomscripts' ) ?>
    <?php $this->html( 'reporttime' ) ?>
	<div class="visualClear"></div>

	<div id="footerBar">
		&copy; 2008-2010 Divante
	</div>
</body>
</html>
<?php wfRestoreWarnings(); } }
