<?php
/**
 * BiznesWiki skin.
 *
 * @todo document
 * @file
 * @ingroup Skins
 */

if( !defined( 'MEDIAWIKI' ) )
	die( -1 );

/**
 * Inherit main code from SkinTemplate, set the CSS and template filter.
 * @todo document
 * @ingroup Skins
 */
class SkinBizneswikiLogin extends SkinTemplate {
	function getPoweredBy() {
		global	$wgVersion;
		return "";
	}
	
	function initPage( OutputPage $out ) {
		parent::initPage( $out );
		$this->skinname  = 'bizneswiki';
		$this->stylename = 'bizneswiki';
		$this->template  = 'BizneswikiLoginTemplate';
	}

	function setupSkinUserCss( OutputPage $out ){
		// Do not call parent::setupSkinUserCss(), we have our own print style
		// $out->addStyle( 'bizneswiki/main.stitched.css', 'screen' );
	}
}
	
/**
 * @todo document
 * @ingroup Skins
 */
class BizneswikiLoginTemplate extends QuickTemplate {
	var $skin;
	
	private $style;
	
	/**
	 * Template filter callback for BiznesWiki skin.
	 * Takes an associative array of data set from a SkinTemplate-based
	 * class, and a wrapper for MediaWiki's localization database, and
	 * outputs a formatted page.
	 *
	 * @access private
	 */
	function execute() {
		$this->skin = $skin = $this->data['skin'];

		$this->style = $this->data['stylepath'] . '/' . $this->data['stylename'];
		
		// Suppress warnings to prevent notices about missing indexes in $this->data
		wfSuppressWarnings();
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="<?php $this->text( 'xhtmldefaultnamespace' ) ?>" <?php 
	foreach($this->data['xhtmlnamespaces'] as $tag => $ns) {
		?>xmlns:<?php echo "{$tag}=\"{$ns}\" ";
	} ?>xml:lang="<?php $this->text( 'lang' ) ?>" lang="<?php $this->text( 'lang' ) ?>" dir="<?php $this->text( 'dir' ) ?>">
	<head>
		<meta http-equiv="Content-Type" content="<?php $this->text( 'mimetype' ) ?>; charset=<?php $this->text( 'charset' ) ?>" />
		<?php $this->html('headlinks') ?>
		<title><?php $this->text('pagetitle') ?></title>
		<?php $this->html('csslinks') ?>
		<!--[if lt IE 7]><meta http-equiv="imagetoolbar" content="no" /><![endif]-->
		
		<?php print Skin::makeGlobalVariablesScript( $this->data ); ?>
		
		<!-- Head Scripts -->
		<script type="<?php $this->text('jsmimetype') ?>" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js"></script>
		<script type="<?php $this->text( 'jsmimetype' ) ?>" src="<?php $this->text( 'stylepath' ) ?>/common/wikibits.js?<?= $GLOBALS['wgStyleVersion'] ?>"></script>
		<?php $this->html('headscripts'); ?>
	</head>
<body class="mediawiki <?php $this->text('nsclass') ?> <?php $this->text('dir') ?> <?php $this->text('pageclass') ?>">
<div id="logoBar" style="margin-top: 50px;">
	<img src="<?php $this->text('logopath') ?>" alt="Bizneswiki.pl" />
</div>

<div id="globalWrapper" style="display: block;">

    <div id="content" style="clear: both"> 
      <div id="bodyContent">
        <!-- BEGIN content -->
        <?php $this->html('bodytext') ?>
        <!-- END content -->
      </div>
       
    </div>
</div>

</body>
</html>
<?php wfRestoreWarnings(); } }
